app.PolicyEditorConfig = { "conditionOperators": ["ArnEquals", "ArnEqualsIfExists", "ArnLike", "ArnLikeIfExists", "ArnNotEquals", "ArnNotEqualsIfExists", "ArnNotLike", "ArnNotLikeIfExists", "BinaryEquals", "BinaryEqualsIfExists", "BinaryNotEquals", "BinaryNotEqualsIfExists", "Bool", "BoolIfExists", "DateEquals", "DateEqualsIfExists", "DateGreaterThan", "DateGreaterThanEquals", "DateGreaterThanEqualsIfExists", "DateGreaterThanIfExists", "DateLessThan", "DateLessThanEquals", "DateLessThanEqualsIfExists", "DateLessThanIfExists", "DateNotEquals", "DateNotEqualsIfExists", "IpAddress", "IpAddressIfExists", "NotIpAddress", "NotIpAddressIfExists", "Null", "NumericEquals", "NumericEqualsIfExists", "NumericGreaterThan", "NumericGreaterThanEquals", "NumericGreaterThanEqualsIfExists", "NumericGreaterThanIfExists", "NumericLessThan", "NumericLessThanEquals", "NumericLessThanEqualsIfExists", "NumericLessThanIfExists", "NumericNotEquals", "NumericNotEqualsIfExists", "StringEquals", "StringEqualsIfExists", "StringEqualsIgnoreCase", "StringEqualsIgnoreCaseIfExists", "StringLike", "StringLikeIfExists", "StringNotEquals", "StringNotEqualsIfExists", "StringNotEqualsIgnoreCase", "StringNotEqualsIgnoreCaseIfExists", "StringNotLike", "StringNotLikeIfExists"], "conditionKeys": ["aws:CurrentTime", "aws:EpochTime", "aws:MultiFactorAuthAge", "aws:MultiFactorAuthPresent", "aws:PrincipalArn", "aws:PrincipalOrgID", "aws:PrincipalTag/${TagKey}", "aws:PrincipalType", "aws:Referer", "aws:RequestTag/${TagKey}", "aws:RequestedRegion", "aws:SecureTransport", "aws:SourceAccount", "aws:SourceArn", "aws:SourceIp", "aws:SourceVpc", "aws:SourceVpce", "aws:TagKeys", "aws:TokenIssueTime", "aws:UserAgent", "aws:userid", "aws:username"], "serviceMap": { "Amazon Comprehend": { "StringPrefix": "comprehend", "Actions": ["BatchDetectDominantLanguage", "BatchDetectEntities", "BatchDetectKeyPhrases", "BatchDetectSentiment", "BatchDetectSyntax", "CreateDocumentClassifier", "CreateEntityRecognizer", "DeleteDocumentClassifier", "DeleteEntityRecognizer", "DescribeDocumentClassificationJob", "DescribeDocumentClassifier", "DescribeDominantLanguageDetectionJob", "DescribeEntitiesDetectionJob", "DescribeEntityRecognizer", "DescribeKeyPhrasesDetectionJob", "DescribeSentimentDetectionJob", "DescribeTopicsDetectionJob", "DetectDominantLanguage", "DetectEntities", "DetectKeyPhrases", "DetectSentiment", "DetectSyntax", "ListDocumentClassificationJobs", "ListDocumentClassifiers", "ListDominantLanguageDetectionJobs", "ListEntitiesDetectionJobs", "ListEntityRecognizers", "ListKeyPhrasesDetectionJobs", "ListSentimentDetectionJobs", "ListTagsForResource", "ListTopicsDetectionJobs", "StartDocumentClassificationJob", "StartDominantLanguageDetectionJob", "StartEntitiesDetectionJob", "StartKeyPhrasesDetectionJob", "StartSentimentDetectionJob", "StartTopicsDetectionJob", "StopDominantLanguageDetectionJob", "StopEntitiesDetectionJob", "StopKeyPhrasesDetectionJob", "StopSentimentDetectionJob", "StopTrainingDocumentClassifier", "StopTrainingEntityRecognizer", "TagResource", "UntagResource"], "ARNFormat": "arn:${Partition}:comprehend:${Region}:${AccountId}:${ResourceType}/${ResourceName}", "ARNRegex": "^arn:${Partition}:comprehend:.+:.+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Backup": { "StringPrefix": "backup", "Actions": ["CreateBackupPlan", "CreateBackupSelection", "CreateBackupVault", "DeleteBackupPlan", "DeleteBackupSelection", "DeleteBackupVault", "DeleteBackupVaultAccessPolicy", "DeleteBackupVaultNotifications", "DeleteRecoveryPoint", "DescribeBackupJob", "DescribeBackupVault", "DescribeProtectedResource", "DescribeRecoveryPoint", "DescribeRestoreJob", "ExportBackupPlanTemplate", "GetBackupPlan", "GetBackupPlanFromJSON", "GetBackupPlanFromTemplate", "GetBackupSelection", "GetBackupVaultAccessPolicy", "GetBackupVaultNotifications", "GetRecoveryPointRestoreMetadata", "GetSupportedResourceTypes", "ListBackupJobs", "ListBackupPlanTemplates", "ListBackupPlanVersions", "ListBackupPlans", "ListBackupSelections", "ListBackupVaults", "ListProtectedResources", "ListRecoveryPointsByBackupVault", "ListRecoveryPointsByResource", "ListRestoreJobs", "ListTags", "PutBackupVaultAccessPolicy", "PutBackupVaultNotifications", "StartBackupJob", "StartRestoreJob", "StopBackupJob", "TagResource", "UntagResource", "UpdateBackupPlan", "UpdateRecoveryPointLifecycle"], "ARNFormat": "arn:aws:backup:<region>:<account-id>:<resource-type>:<resource_name>", "ARNRegex": "^arn:aws:backup:.+:.+:.+", "HasResource": true }, "Amazon Mobile Analytics": { "StringPrefix": "mobileanalytics", "Actions": ["GetFinancialReports", "GetReports", "PutEvents"], "HasResource": false }, "Amazon Elastic File System": { "StringPrefix": "elasticfilesystem", "Actions": ["CreateFileSystem", "CreateMountTarget", "CreateTags", "DeleteFileSystem", "DeleteMountTarget", "DeleteTags", "DescribeFileSystems", "DescribeLifecycleConfiguration", "DescribeMountTargetSecurityGroups", "DescribeMountTargets", "DescribeTags", "ModifyMountTargetSecurityGroups", "PutLifecycleConfiguration", "UpdateFileSystem"], "ARNFormat": "arn:${Partition}:elasticfilesystem:${Region}:${Account}:file-system/${FileSystemId}", "ARNRegex": "^arn:${Partition}:elasticfilesystem:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Glue": { "StringPrefix": "glue", "Actions": ["BatchCreatePartition", "BatchDeleteConnection", "BatchDeletePartition", "BatchDeleteTable", "BatchGetPartition", "CreateClassifier", "CreateConnection", "CreateCrawler", "CreateDatabase", "CreateDevEndpoint", "CreateJob", "CreatePartition", "CreateScript", "CreateSecurityConfiguration", "CreateTable", "CreateTrigger", "CreateUserDefinedFunction", "DeleteClassifier", "DeleteConnection", "DeleteCrawler", "DeleteDatabase", "DeleteDevEndpoint", "DeleteJob", "DeletePartition", "DeleteResourcePolicy", "DeleteSecurityConfiguration", "DeleteTable", "DeleteTrigger", "DeleteUserDefinedFunction", "GetCatalogImportStatus", "GetClassifier", "GetClassifiers", "GetConnection", "GetConnections", "GetCrawler", "GetCrawlerMetrics", "GetCrawlers", "GetDataCatalogEncryptionSettings", "GetDatabase", "GetDatabases", "GetDataflowGraph", "GetDevEndpoint", "GetDevEndpoints", "GetJob", "GetJobRun", "GetJobRuns", "GetJobs", "GetMapping", "GetPartition", "GetPartitions", "GetPlan", "GetResourcePolicy", "GetSecurityConfiguration", "GetSecurityConfigurations", "GetTable", "GetTableVersions", "GetTables", "GetTrigger", "GetTriggers", "GetUserDefinedFunction", "GetUserDefinedFunctions", "ImportCatalogToGlue", "PutDataCatalogEncryptionSettings", "PutResourcePolicy", "ResetJobBookmark", "StartCrawler", "StartCrawlerSchedule", "StartJobRun", "StartTrigger", "StopCrawler", "StopCrawlerSchedule", "StopTrigger", "UpdateClassifier", "UpdateConnection", "UpdateCrawler", "UpdateDatabase", "UpdateDevEndpoint", "UpdateJob", "UpdatePartition", "UpdateTable", "UpdateTrigger", "UpdateUserDefinedFunction"], "ARNFormat": "arn:aws:glue:<region>:<accountID>:<resourceType>/<resourcePath>", "ARNRegex": "^arn:aws:glue:.+:.+", "HasResource": true }, "AWS Database Migration Service": { "StringPrefix": "dms", "Actions": ["AddTagsToResource", "ApplyPendingMaintenanceAction", "CreateEndpoint", "CreateEventSubscription", "CreateReplicationInstance", "CreateReplicationSubnetGroup", "CreateReplicationTask", "DeleteCertificate", "DeleteEndpoint", "DeleteEventSubscription", "DeleteReplicationInstance", "DeleteReplicationSubnetGroup", "DeleteReplicationTask", "DescribeAccountAttributes", "DescribeCertificates", "DescribeConnections", "DescribeEndpointTypes", "DescribeEndpoints", "DescribeEventCategories", "DescribeEventSubscriptions", "DescribeEvents", "DescribeOrderableReplicationInstances", "DescribeRefreshSchemasStatus", "DescribeReplicationInstanceTaskLogs", "DescribeReplicationInstances", "DescribeReplicationSubnetGroups", "DescribeReplicationTaskAssessmentResults", "DescribeReplicationTasks", "DescribeSchemas", "DescribeTableStatistics", "ImportCertificate", "ListTagsForResource", "ModifyEndpoint", "ModifyEventSubscription", "ModifyReplicationInstance", "ModifyReplicationSubnetGroup", "ModifyReplicationTask", "RebootReplicationInstance", "RefreshSchemas", "ReloadTables", "RemoveTagsFromResource", "StartReplicationTask", "StartReplicationTaskAssessment", "StopReplicationTask", "TestConnection"], "ARNFormat": "arn:aws:dms:<region>:<account>:<resource>", "ARNRegex": "arn:aws:dms:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "dms:cert-tag/${TagKey}", "dms:endpoint-tag/${TagKey}", "dms:es-tag/${TagKey}", "dms:rep-tag/${TagKey}", "dms:req-tag/${TagKey}", "dms:subgrp-tag/${TagKey}", "dms:task-tag/${TagKey}"], "HasResource": true }, "Amazon Session Manager Message Gateway Service": { "StringPrefix": "ssmmessages", "Actions": ["CreateControlChannel", "CreateDataChannel", "OpenControlChannel", "OpenDataChannel"], "HasResource": false }, "AWS Systems Manager": { "StringPrefix": "ssm", "Actions": ["AddTagsToResource", "CancelCommand", "CancelMaintenanceWindowExecution", "CreateActivation", "CreateAssociation", "CreateAssociationBatch", "CreateDocument", "CreateMaintenanceWindow", "CreatePatchBaseline", "CreateResourceDataSync", "DeleteActivation", "DeleteAssociation", "DeleteDocument", "DeleteInventory", "DeleteMaintenanceWindow", "DeleteParameter", "DeleteParameters", "DeletePatchBaseline", "DeleteResourceDataSync", "DeregisterManagedInstance", "DeregisterPatchBaselineForPatchGroup", "DeregisterTargetFromMaintenanceWindow", "DeregisterTaskFromMaintenanceWindow", "DescribeActivations", "DescribeAssociation", "DescribeAssociationExecutionTargets", "DescribeAssociationExecutions", "DescribeAutomationExecutions", "DescribeAutomationStepExecutions", "DescribeAvailablePatches", "DescribeDocument", "DescribeDocumentParameters", "DescribeDocumentPermission", "DescribeEffectiveInstanceAssociations", "DescribeEffectivePatchesForPatchBaseline", "DescribeInstanceAssociationsStatus", "DescribeInstanceInformation", "DescribeInstancePatchStates", "DescribeInstancePatchStatesForPatchGroup", "DescribeInstancePatches", "DescribeInstanceProperties", "DescribeInventoryDeletions", "DescribeMaintenanceWindowExecutionTaskInvocations", "DescribeMaintenanceWindowExecutionTasks", "DescribeMaintenanceWindowExecutions", "DescribeMaintenanceWindowSchedule", "DescribeMaintenanceWindowTargets", "DescribeMaintenanceWindowTasks", "DescribeMaintenanceWindows", "DescribeMaintenanceWindowsForTarget", "DescribeParameters", "DescribePatchBaselines", "DescribePatchGroupState", "DescribePatchGroups", "DescribeSessions", "GetAutomationExecution", "GetCommandInvocation", "GetConnectionStatus", "GetDefaultPatchBaseline", "GetDeployablePatchSnapshotForInstance", "GetDocument", "GetInventory", "GetInventorySchema", "GetMaintenanceWindow", "GetMaintenanceWindowExecution", "GetMaintenanceWindowExecutionTask", "GetMaintenanceWindowExecutionTaskInvocation", "GetMaintenanceWindowTask", "GetManifest", "GetParameter", "GetParameterHistory", "GetParameters", "GetParametersByPath", "GetPatchBaseline", "GetPatchBaselineForPatchGroup", "LabelParameterVersion", "ListAssociationVersions", "ListAssociations", "ListCommandInvocations", "ListCommands", "ListComplianceItems", "ListComplianceSummaries", "ListDocumentVersions", "ListDocuments", "ListInstanceAssociations", "ListInventoryEntries", "ListResourceComplianceSummaries", "ListResourceDataSync", "ListTagsForResource", "ModifyDocumentPermission", "PutComplianceItems", "PutConfigurePackageResult", "PutInventory", "PutParameter", "RegisterDefaultPatchBaseline", "RegisterPatchBaselineForPatchGroup", "RegisterTargetWithMaintenanceWindow", "RegisterTaskWithMaintenanceWindow", "RemoveTagsFromResource", "ResumeSession", "SendAutomationSignal", "SendCommand", "StartAssociationsOnce", "StartAutomationExecution", "StartSession", "StopAutomationExecution", "TerminateSession", "UpdateAssociation", "UpdateAssociationStatus", "UpdateDocument", "UpdateDocumentDefaultVersion", "UpdateInstanceAssociationStatus", "UpdateInstanceInformation", "UpdateMaintenanceWindow", "UpdateMaintenanceWindowTarget", "UpdateMaintenanceWindowTask", "UpdateManagedInstanceRole", "UpdatePatchBaseline"], "ARNFormat": "arn:aws:ssm:<region>:<account_ID>:<relative-id>", "ARNRegex": "^arn:aws:(ssm|ec2):.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "ssm:resourceTag/tag-key"], "HasResource": true }, "AWS SSO": { "StringPrefix": "sso", "Actions": ["AddMemberToGroup", "AssociateDirectory", "AssociateProfile", "CreateAlias", "CreateApplicationInstance", "CreateApplicationInstanceCertificate", "CreateGroup", "CreatePermissionSet", "CreateProfile", "CreateTrust", "CreateUser", "DeleteApplicationInstance", "DeleteApplicationInstanceCertificate", "DeleteGroup", "DeletePermissionSet", "DeletePermissionsPolicy", "DeleteProfile", "DeleteUser", "DescribeGroups", "DescribePermissionsPolicies", "DescribeUsers", "DisableUser", "DisassociateDirectory", "DisassociateProfile", "EnableUser", "GetApplicationInstance", "GetApplicationTemplate", "GetPermissionSet", "GetPermissionsPolicy", "GetProfile", "GetSSOConfiguration", "GetSSOStatus", "GetTrust", "GetUserPoolInfo", "ImportApplicationInstanceServiceProviderMetadata", "ListApplicationInstanceCertificates", "ListApplicationInstances", "ListApplicationTemplates", "ListApplications", "ListDirectoryAssociations", "ListGroupsForUser", "ListMembersInGroup", "ListPermissionSets", "ListProfileAssociations", "ListProfiles", "PutPermissionsPolicy", "RemoveMemberFromGroup", "SearchGroups", "SearchUsers", "SetTemporaryPassword", "StartSSO", "UpdateApplicationInstanceActiveCertificate", "UpdateApplicationInstanceDisplayData", "UpdateApplicationInstanceResponseConfiguration", "UpdateApplicationInstanceResponseSchemaConfiguration", "UpdateApplicationInstanceSecurityConfiguration", "UpdateApplicationInstanceServiceProviderConfiguration", "UpdateApplicationInstanceStatus", "UpdateDirectoryAssociation", "UpdateGroup", "UpdatePermissionSet", "UpdateProfile", "UpdateSSOConfiguration", "UpdateTrust", "UpdateUser"], "ARNFormat": "arn:${Partition}:sso:${Region}:${Account}:<relative-id>", "ARNRegex": "^arn:${Partition}:sso:${Region}:.+", "HasResource": false }, "AWS IoT": { "StringPrefix": "iot", "Actions": ["AcceptCertificateTransfer", "AddThingToBillingGroup", "AddThingToThingGroup", "AssociateTargetsWithJob", "AttachPolicy", "AttachPrincipalPolicy", "AttachSecurityProfile", "AttachThingPrincipal", "CancelAuditTask", "CancelCertificateTransfer", "CancelJob", "CancelJobExecution", "ClearDefaultAuthorizer", "Connect", "CreateAuthorizer", "CreateBillingGroup", "CreateCertificateFromCsr", "CreateDynamicThingGroup", "CreateJob", "CreateKeysAndCertificate", "CreateOTAUpdate", "CreatePolicy", "CreatePolicyVersion", "CreateRoleAlias", "CreateScheduledAudit", "CreateSecurityProfile", "CreateStream", "CreateThing", "CreateThingGroup", "CreateThingType", "CreateTopicRule", "DeleteAccountAuditConfiguration", "DeleteAuthorizer", "DeleteBillingGroup", "DeleteCACertificate", "DeleteCertificate", "DeleteDynamicThingGroup", "DeleteJob", "DeleteJobExecution", "DeleteOTAUpdate", "DeletePolicy", "DeletePolicyVersion", "DeleteRegistrationCode", "DeleteRoleAlias", "DeleteScheduledAudit", "DeleteSecurityProfile", "DeleteStream", "DeleteThing", "DeleteThingGroup", "DeleteThingShadow", "DeleteThingType", "DeleteTopicRule", "DeleteV2LoggingLevel", "DeprecateThingType", "DescribeAccountAuditConfiguration", "DescribeAuditTask", "DescribeAuthorizer", "DescribeBillingGroup", "DescribeCACertificate", "DescribeCertificate", "DescribeDefaultAuthorizer", "DescribeEndpoint", "DescribeEventConfigurations", "DescribeIndex", "DescribeJob", "DescribeJobExecution", "DescribeRoleAlias", "DescribeScheduledAudit", "DescribeSecurityProfile", "DescribeStream", "DescribeThing", "DescribeThingGroup", "DescribeThingRegistrationTask", "DescribeThingType", "DetachPolicy", "DetachPrincipalPolicy", "DetachSecurityProfile", "DetachThingPrincipal", "DisableTopicRule", "EnableTopicRule", "GetEffectivePolicies", "GetIndexingConfiguration", "GetJobDocument", "GetLoggingOptions", "GetOTAUpdate", "GetPendingJobExecutions", "GetPolicy", "GetPolicyVersion", "GetRegistrationCode", "GetStatistics", "GetThingShadow", "GetTopicRule", "GetV2LoggingOptions", "ListActiveViolations", "ListAttachedPolicies", "ListAuditFindings", "ListAuditTasks", "ListAuthorizers", "ListBillingGroups", "ListCACertificates", "ListCertificates", "ListCertificatesByCA", "ListIndices", "ListJobExecutionsForJob", "ListJobExecutionsForThing", "ListJobs", "ListOTAUpdates", "ListOutgoingCertificates", "ListPolicies", "ListPolicyPrincipals", "ListPolicyVersions", "ListPrincipalPolicies", "ListPrincipalThings", "ListRoleAliases", "ListScheduledAudits", "ListSecurityProfiles", "ListSecurityProfilesForTarget", "ListStreams", "ListTagsForResource", "ListTargetsForPolicy", "ListTargetsForSecurityProfile", "ListThingGroups", "ListThingGroupsForThing", "ListThingPrincipals", "ListThingRegistrationTaskReports", "ListThingRegistrationTasks", "ListThingTypes", "ListThings", "ListThingsInBillingGroup", "ListThingsInThingGroup", "ListTopicRules", "ListV2LoggingLevels", "ListViolationEvents", "Publish", "Receive", "RegisterCACertificate", "RegisterCertificate", "RegisterThing", "RejectCertificateTransfer", "RemoveThingFromBillingGroup", "RemoveThingFromThingGroup", "ReplaceTopicRule", "SearchIndex", "SetDefaultAuthorizer", "SetDefaultPolicyVersion", "SetLoggingOptions", "SetV2LoggingLevel", "SetV2LoggingOptions", "StartNextPendingJobExecution", "StartOnDemandAuditTask", "StartThingRegistrationTask", "StopThingRegistrationTask", "Subscribe", "TagResource", "TestAuthorization", "TestInvokeAuthorizer", "TransferCertificate", "UntagResource", "UpdateAccountAuditConfiguration", "UpdateAuthorizer", "UpdateBillingGroup", "UpdateCACertificate", "UpdateCertificate", "UpdateDynamicThingGroup", "UpdateEventConfigurations", "UpdateIndexingConfiguration", "UpdateJob", "UpdateJobExecution", "UpdateRoleAlias", "UpdateScheduledAudit", "UpdateSecurityProfile", "UpdateStream", "UpdateThing", "UpdateThingGroup", "UpdateThingGroupsForThing", "UpdateThingShadow", "ValidateSecurityProfileBehaviors"], "ARNFormat": "arn:aws:iot:<region>:<account_ID>:<type>/<name>", "ARNRegex": "^arn:aws:iot:.+:[0-9]+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Migration Hub": { "StringPrefix": "mgh", "Actions": ["AssociateCreatedArtifact", "AssociateDiscoveredResource", "CreateProgressUpdateStream", "DeleteProgressUpdateStream", "DescribeApplicationState", "DescribeMigrationTask", "DisassociateCreatedArtifact", "DisassociateDiscoveredResource", "ImportMigrationTask", "ListCreatedArtifacts", "ListDiscoveredResources", "ListMigrationTasks", "ListProgressUpdateStreams", "NotifyApplicationState", "NotifyMigrationTaskState", "PutResourceAttributes"], "ARNFormat": "arn:aws:mgh:<region>:<namespace>:<relative-id>", "ARNRegex": "^arn:aws:mgh:[a-z0-9-]+:[0-9]{12}:.+", "HasResource": true }, "AWS Artifact": { "StringPrefix": "artifact", "Actions": ["AcceptAgreement", "DownloadAgreement", "Get", "TerminateAgreement"], "ARNFormat": "arn:aws:artifact::<resource>", "ARNRegex": "^arn:aws:artifact::.+", "HasResource": true }, "Amazon Transcribe": { "StringPrefix": "transcribe", "Actions": ["CreateVocabulary", "DeleteTranscriptionJob", "DeleteVocabulary", "GetTranscriptionJob", "GetVocabulary", "ListTranscriptionJobs", "ListVocabularies", "StartStreamTranscription", "StartTranscriptionJob", "UpdateVocabulary"], "ARNFormat": "arn:${Partition}:transcribe:${Region}:${AccountId}:${ResourceType}/${ResourceName}", "ARNRegex": "^arn:${Partition}:transcribe:.+:.+:.+", "HasResource": false }, "AWS Lambda": { "StringPrefix": "lambda", "Actions": ["AddLayerVersionPermission", "AddPermission", "CreateAlias", "CreateEventSourceMapping", "CreateFunction", "DeleteAlias", "DeleteEventSourceMapping", "DeleteFunction", "DeleteFunctionConcurrency", "DeleteLayerVersion", "EnableReplication", "GetAccountSettings", "GetAlias", "GetEventSourceMapping", "GetFunction", "GetFunctionConfiguration", "GetLayerVersion", "GetLayerVersionPolicy", "GetPolicy", "InvokeAsync", "InvokeFunction", "ListAliases", "ListEventSourceMappings", "ListFunctions", "ListLayerVersions", "ListLayers", "ListTags", "ListVersionsByFunction", "PublishLayerVersion", "PublishVersion", "PutFunctionConcurrency", "RemoveLayerVersionPermission", "RemovePermission", "TagResource", "UntagResource", "UpdateAlias", "UpdateEventSourceMapping", "UpdateFunctionCode", "UpdateFunctionConfiguration"], "ARNFormat": "arn:aws:lambda:<region>:<account>:<resourceType>:<resourceId>", "ARNRegex": "^arn:aws:lambda:.+", "conditionKeys": ["lambda:FunctionArn", "lambda:Layer", "lambda:Principal"], "HasResource": true }, "Amazon Machine Learning": { "StringPrefix": "machinelearning", "Actions": ["AddTags", "CreateBatchPrediction", "CreateDataSourceFromRDS", "CreateDataSourceFromRedshift", "CreateDataSourceFromS3", "CreateEvaluation", "CreateMLModel", "CreateRealtimeEndpoint", "DeleteBatchPrediction", "DeleteDataSource", "DeleteEvaluation", "DeleteMLModel", "DeleteRealtimeEndpoint", "DeleteTags", "DescribeBatchPredictions", "DescribeDataSources", "DescribeEvaluations", "DescribeMLModels", "DescribeTags", "GetBatchPrediction", "GetDataSource", "GetEvaluation", "GetMLModel", "Predict", "UpdateBatchPrediction", "UpdateDataSource", "UpdateEvaluation", "UpdateMLModel"], "ARNFormat": "arn:aws:machinelearning:<region>:<account_ID>:<resource_type>/<relative_ID>", "ARNRegex": "^arn:aws:machinelearning:.+", "HasResource": true }, "AWS Device Farm": { "StringPrefix": "devicefarm", "Actions": ["CreateDevicePool", "CreateNetworkProfile", "CreateProject", "CreateRemoteAccessSession", "CreateUpload", "DeleteDevicePool", "DeleteNetworkProfile", "DeleteProject", "DeleteRemoteAccessSession", "DeleteRun", "DeleteUpload", "GetAccountSettings", "GetDevice", "GetDevicePool", "GetDevicePoolCompatibility", "GetJob", "GetNetworkProfile", "GetOfferingStatus", "GetProject", "GetRemoteAccessSession", "GetRun", "GetSuite", "GetTest", "GetUpload", "InstallToRemoteAccessSession", "ListArtifacts", "ListDevicePools", "ListDevices", "ListJobs", "ListNetworkProfiles", "ListOfferingTransactions", "ListOfferings", "ListProjects", "ListRemoteAccessSessions", "ListRuns", "ListSamples", "ListSuites", "ListTests", "ListUniqueProblems", "ListUploads", "PurchaseOffering", "RenewOffering", "ScheduleRun", "StopRemoteAccessSession", "StopRun", "UpdateDevicePool", "UpdateNetworkProfile", "UpdateProject"], "HasResource": false }, "AWS Ground Station": { "StringPrefix": "groundstation", "Actions": ["CancelContact", "CreateConfig", "CreateDataflowEndpointGroup", "CreateMissionProfile", "DeleteConfig", "DeleteDataflowEndpointGroup", "DeleteMissionProfile", "DescribeContact", "GetConfig", "GetDataflowEndpointGroup", "GetMinuteUsage", "GetMissionProfile", "GetSatellite", "ListConfigs", "ListContacts", "ListDataflowEndpointGroups", "ListGroundStations", "ListMissionProfiles", "ListSatellites", "ListTagsForResource", "ReserveContact", "TagResource", "UntagResource", "UpdateConfig", "UpdateMissionProfile"], "ARNFormat": "arn:aws:groundstation:<region>:<accountID>:<resourceType>/<resourceId>", "ARNRegex": "^arn:aws:groundstation:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "groundstation:configId", "groundstation:configType", "groundstation:contactId", "groundstation:dataflowEndpointGroupId", "groundstation:groundStationId", "groundstation:missionProfileId", "groundstation:satelliteId"], "HasResource": true }, "Amazon GuardDuty": { "StringPrefix": "guardduty", "Actions": ["AcceptInvitation", "ArchiveFindings", "CreateDetector", "CreateIPSet", "CreateMembers", "CreateSampleFindings", "CreateThreatIntelSet", "DeclineInvitations", "DeleteDetector", "DeleteIPSet", "DeleteInvitations", "DeleteMembers", "DeleteThreatIntelSet", "DisassociateFromMasterAccount", "DisassociateMembers", "GetDetector", "GetFindings", "GetFindingsStatistics", "GetIPSet", "GetInvitationsCount", "GetMasterAccount", "GetMembers", "GetThreatIntelSet", "InviteMembers", "ListDetectors", "ListFindings", "ListIPSets", "ListInvitations", "ListMembers", "ListThreatIntelSets", "StartMonitoringMembers", "StopMonitoringMembers", "UnarchiveFindings", "UpdateDetector", "UpdateFindingsFeedback", "UpdateIPSet", "UpdateThreatIntelSet"], "ARNFormat": "arn:aws:guardduty:<region>:<account_ID>:.+", "ARNRegex": "^arn:aws:guardduty:.+", "HasResource": true }, "Amazon CloudWatch Events": { "StringPrefix": "events", "Actions": ["DeleteRule", "DescribeEventBus", "DescribeRule", "DisableRule", "EnableRule", "ListRuleNamesByTarget", "ListRules", "ListTagsForResource", "ListTargetsByRule", "PutEvents", "PutPermission", "PutRule", "PutTargets", "RemovePermission", "RemoveTargets", "TagResource", "TestEventPattern", "UntagResource"], "ARNFormat": "arn:aws:<serviceName>:<region>:<account>:<resourceType>/<resourceName>", "ARNRegex": "^arn:aws:events:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "events:TargetArn", "events:detail-type", "events:detail.eventTypeCode", "events:detail.service", "events:detail.userIdentity.principalId", "events:source"], "HasResource": true }, "Amazon Lex": { "StringPrefix": "lex", "Actions": ["CreateBotVersion", "CreateIntentVersion", "CreateSlotTypeVersion", "DeleteBot", "DeleteBotAlias", "DeleteBotChannelAssociation", "DeleteBotVersion", "DeleteIntent", "DeleteIntentVersion", "DeleteSlotType", "DeleteSlotTypeVersion", "DeleteUtterances", "GetBot", "GetBotAlias", "GetBotAliases", "GetBotChannelAssociation", "GetBotChannelAssociations", "GetBotVersions", "GetBots", "GetBuiltinIntent", "GetBuiltinIntents", "GetBuiltinSlotTypes", "GetIntent", "GetIntentVersions", "GetIntents", "GetSlotType", "GetSlotTypeVersions", "GetSlotTypes", "GetUtterancesView", "PostContent", "PostText", "PutBot", "PutBotAlias", "PutIntent", "PutSlotType"], "ARNFormat": "arn:aws:lex:<region>:<account_ID>:<type>:<name>", "ARNRegex": "^arn:aws:lex:.+:[0-9]+:.+", "conditionKeys": ["lex:associatedIntents", "lex:associatedSlotTypes", "lex:channelType"], "HasResource": true }, "AWS Resource Access Manager": { "StringPrefix": "ram", "Actions": ["AcceptResourceShareInvitation", "AssociateResourceShare", "CreateResourceShare", "DeleteResourceShare", "DisassociateResourceShare", "EnableSharingWithAwsOrganization", "GetResourcePolicies", "GetResourceShareAssociations", "GetResourceShareInvitations", "GetResourceShares", "ListPendingInvitationResources", "ListPrincipals", "ListResources", "RejectResourceShareInvitation", "TagResource", "UntagResource", "UpdateResourceShare"], "ARNFormat": "arn:aws:ram:<region>:<account-id>:resource-share/<resource-uuid>", "ARNRegex": "^arn:aws:ram:.+:.+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "ram:AllowsExternalPrincipals", "ram:Principal", "ram:RequestedResourceType", "ram:ResourceArn", "ram:ResourceShareName", "ram:ShareOwnerAccountId"], "HasResource": true }, "AWS Code Signing for Amazon FreeRTOS": { "StringPrefix": "signer", "Actions": ["CancelSigningProfile", "DescribeSigningJob", "GetSigningPlatform", "GetSigningProfile", "ListSigningJobs", "ListSigningPlatforms", "ListSigningProfiles", "PutSigningProfile", "StartSigningJob"], "ARNFormat": "arn:aws:signer:<region>::<signer_resource_path>", "ARNRegex": "^arn:aws:signer:.+", "HasResource": true }, "AWS Elemental MediaConnect": { "StringPrefix": "mediaconnect", "Actions": ["AddFlowOutputs", "CreateFlow", "DeleteFlow", "DescribeFlow", "GrantFlowEntitlements", "ListEntitlements", "ListFlows", "RemoveFlowOutput", "RevokeFlowEntitlement", "StartFlow", "StopFlow", "UpdateFlowEntitlement", "UpdateFlowOutput", "UpdateFlowSource"], "ARNFormat": "arn:${Partition}:mediaconnect:${Region}:${Account}:<namespace>:<relative-id>:<relative-name>", "ARNRegex": "^arn:${Partition}:mediaconnect:.+", "HasResource": true }, "Amazon S3": { "StringPrefix": "s3", "Actions": ["AbortMultipartUpload", "CreateBucket", "CreateJob", "DeleteBucket", "DeleteBucketPolicy", "DeleteBucketWebsite", "DeleteObject", "DeleteObjectTagging", "DeleteObjectVersion", "DeleteObjectVersionTagging", "DescribeJob", "GetAccelerateConfiguration", "GetAccountPublicAccessBlock", "GetAnalyticsConfiguration", "GetBucketAcl", "GetBucketCORS", "GetBucketLocation", "GetBucketLogging", "GetBucketNotification", "GetBucketObjectLockConfiguration", "GetBucketPolicy", "GetBucketPolicyStatus", "GetBucketPublicAccessBlock", "GetBucketRequestPayment", "GetBucketTagging", "GetBucketVersioning", "GetBucketWebsite", "GetEncryptionConfiguration", "GetInventoryConfiguration", "GetLifecycleConfiguration", "GetMetricsConfiguration", "GetObject", "GetObjectAcl", "GetObjectLegalHold", "GetObjectRetention", "GetObjectTagging", "GetObjectTorrent", "GetObjectVersion", "GetObjectVersionAcl", "GetObjectVersionForReplication", "GetObjectVersionTagging", "GetObjectVersionTorrent", "GetReplicationConfiguration", "HeadBucket", "ListAllMyBuckets", "ListBucket", "ListBucketByTags", "ListBucketMultipartUploads", "ListBucketVersions", "ListJobs", "ListMultipartUploadParts", "ObjectOwnerOverrideToBucketOwner", "PutAccelerateConfiguration", "PutAccountPublicAccessBlock", "PutAnalyticsConfiguration", "PutBucketAcl", "PutBucketCORS", "PutBucketLogging", "PutBucketNotification", "PutBucketObjectLockConfiguration", "PutBucketPolicy", "PutBucketPublicAccessBlock", "PutBucketRequestPayment", "PutBucketTagging", "PutBucketVersioning", "PutBucketWebsite", "PutEncryptionConfiguration", "PutInventoryConfiguration", "PutLifecycleConfiguration", "PutMetricsConfiguration", "PutObject", "PutObjectAcl", "PutObjectLegalHold", "PutObjectRetention", "PutObjectTagging", "PutObjectVersionAcl", "PutObjectVersionTagging", "PutReplicationConfiguration", "ReplicateDelete", "ReplicateObject", "ReplicateTags", "RestoreObject", "UpdateJobPriority", "UpdateJobStatus"], "ARNFormat": "arn:aws:s3:::<bucket_name>/<key_name>", "ARNRegex": "^arn:aws:s3:::.+", "conditionKeys": ["s3:ExistingJobOperation", "s3:ExistingJobPriority", "s3:ExistingObjectTag/<key>", "s3:JobSuspendedCause", "s3:LocationConstraint", "s3:RequestJobOperation", "s3:RequestJobPriority", "s3:RequestObjectTag/<key>", "s3:RequestObjectTagKeys", "s3:VersionId", "s3:authtype", "s3:delimiter", "s3:locationconstraint", "s3:max-keys", "s3:object-lock-legal-hold", "s3:object-lock-mode", "s3:object-lock-remaining-retention-days", "s3:object-lock-retain-until-date", "s3:prefix", "s3:signatureage", "s3:signatureversion", "s3:versionid", "s3:x-amz-acl", "s3:x-amz-content-sha256", "s3:x-amz-copy-source", "s3:x-amz-grant-full-control", "s3:x-amz-grant-read", "s3:x-amz-grant-read-acp", "s3:x-amz-grant-write", "s3:x-amz-grant-write-acp", "s3:x-amz-metadata-directive", "s3:x-amz-server-side-encryption", "s3:x-amz-server-side-encryption-aws-kms-key-id", "s3:x-amz-storage-class", "s3:x-amz-website-redirect-location"], "HasResource": true }, "Amazon SageMaker": { "StringPrefix": "sagemaker", "Actions": ["AddTags", "CreateAlgorithm", "CreateCodeRepository", "CreateCompilationJob", "CreateEndpoint", "CreateEndpointConfig", "CreateHyperParameterTuningJob", "CreateLabelingJob", "CreateModel", "CreateModelPackage", "CreateNotebookInstance", "CreateNotebookInstanceLifecycleConfig", "CreatePresignedNotebookInstanceUrl", "CreateTrainingJob", "CreateTransformJob", "CreateWorkteam", "DeleteAlgorithm", "DeleteCodeRepository", "DeleteEndpoint", "DeleteEndpointConfig", "DeleteModel", "DeleteModelPackage", "DeleteNotebookInstance", "DeleteNotebookInstanceLifecycleConfig", "DeleteTags", "DeleteWorkteam", "DescribeAlgorithm", "DescribeCodeRepository", "DescribeCompilationJob", "DescribeEndpoint", "DescribeEndpointConfig", "DescribeHyperParameterTuningJob", "DescribeLabelingJob", "DescribeModel", "DescribeModelPackage", "DescribeNotebookInstance", "DescribeNotebookInstanceLifecycleConfig", "DescribeSubscribedWorkteam", "DescribeTrainingJob", "DescribeTransformJob", "DescribeWorkteam", "GetSearchSuggestions", "InvokeEndpoint", "ListAlgorithms", "ListCodeRepositories", "ListCompilationJobs", "ListEndpointConfigs", "ListEndpoints", "ListHyperParameterTuningJobs", "ListLabelingJobs", "ListLabelingJobsForWorkteam", "ListModelPackages", "ListModels", "ListNotebookInstanceLifecycleConfigs", "ListNotebookInstances", "ListSubscribedWorkteams", "ListTags", "ListTrainingJobs", "ListTrainingJobsForHyperParameterTuningJob", "ListTransformJobs", "ListWorkteams", "RenderUiTemplate", "Search", "StartNotebookInstance", "StopCompilationJob", "StopHyperParameterTuningJob", "StopLabelingJob", "StopNotebookInstance", "StopTrainingJob", "StopTransformJob", "UpdateCodeRepository", "UpdateEndpoint", "UpdateEndpointWeightsAndCapacities", "UpdateNotebookInstance", "UpdateNotebookInstanceLifecycleConfig", "UpdateWorkteam"], "ARNFormat": "arn:aws:sagemaker:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:${Partition}:sagemaker:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "sagemaker:ResourceTag/", "sagemaker:ResourceTag/${TagKey}"], "HasResource": true }, "AWS Mobile Hub": { "StringPrefix": "mobilehub", "Actions": ["CreateProject", "CreateServiceRole", "DeleteProject", "DeleteProjectSnapshot", "DeployToStage", "DescribeBundle", "ExportBundle", "ExportProject", "GenerateProjectParameters", "GetProject", "GetProjectSnapshot", "ImportProject", "InstallBundle", "ListAvailableConnectors", "ListAvailableFeatures", "ListAvailableRegions", "ListBundles", "ListProjectSnapshots", "ListProjects", "SynchronizeProject", "UpdateProject", "VerifyServiceRole"], "ARNFormat": "arn:aws:mobilehub:<region>:<aws_account_ID>:project/<project_ID>", "ARNRegex": "^arn:aws:mobilehub:.+:[0-9]+:.+", "HasResource": true }, "AWS Resource Groups": { "StringPrefix": "resource-groups", "Actions": ["CreateGroup", "DeleteGroup", "GetGroup", "GetGroupQuery", "GetTags", "ListGroupResources", "ListGroups", "SearchResources", "Tag", "Untag", "UpdateGroup", "UpdateGroupQuery"], "ARNFormat": "arn:aws:<serviceName>:<region>:<account>:<resourceType>/<resourceName>", "ARNRegex": "^arn:aws:resource-groups:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Global Accelerator": { "StringPrefix": "globalaccelerator", "Actions": ["CreateAccelerator", "CreateEndpointGroup", "CreateListener", "DeleteAccelerator", "DeleteEndpointGroup", "DeleteListener", "DescribeAccelerator", "DescribeAcceleratorAttributes", "DescribeEndpointGroup", "DescribeListener", "ListAccelerators", "ListEndpointGroups", "ListListeners", "UpdateAccelerator", "UpdateAcceleratorAttributes", "UpdateEndpointGroup", "UpdateListener"], "ARNFormat": "arn:aws:globalaccelerator::<account>:accelerator/<AcceleratorId>", "ARNRegex": "^arn:aws:globalaccelerator::.+:.+", "HasResource": true }, "AWS Serverless Application Repository": { "StringPrefix": "serverlessrepo", "Actions": ["CreateApplication", "CreateApplicationVersion", "CreateCloudFormationChangeSet", "CreateCloudFormationTemplate", "DeleteApplication", "GetApplication", "GetApplicationPolicy", "GetCloudFormationTemplate", "ListApplicationDependencies", "ListApplicationVersions", "ListApplications", "PutApplicationPolicy", "SearchApplications", "UpdateApplication"], "ARNFormat": "arn:aws:serverlessrepo:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:serverlessrepo:.+:.+:.+", "HasResource": true }, "Manage Amazon API Gateway": { "StringPrefix": "apigateway", "Actions": ["DELETE", "GET", "PATCH", "POST", "PUT", "UpdateRestApiPolicy"], "ARNFormat": "arn:aws:apigateway:<region>::<api_gateway_resource_path>", "ARNRegex": "^arn:aws:apigateway:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Cloud Directory": { "StringPrefix": "clouddirectory", "Actions": ["AddFacetToObject", "ApplySchema", "AttachObject", "AttachPolicy", "AttachToIndex", "AttachTypedLink", "BatchRead", "BatchWrite", "CreateDirectory", "CreateFacet", "CreateIndex", "CreateObject", "CreateSchema", "CreateTypedLinkFacet", "DeleteDirectory", "DeleteFacet", "DeleteObject", "DeleteSchema", "DeleteTypedLinkFacet", "DetachFromIndex", "DetachObject", "DetachPolicy", "DetachTypedLink", "DisableDirectory", "EnableDirectory", "GetDirectory", "GetFacet", "GetLinkAttributes", "GetObjectAttributes", "GetObjectInformation", "GetSchemaAsJson", "GetTypedLinkFacetInformation", "ListAppliedSchemaArns", "ListAttachedIndices", "ListDevelopmentSchemaArns", "ListDirectories", "ListFacetAttributes", "ListFacetNames", "ListIncomingTypedLinks", "ListIndex", "ListObjectAttributes", "ListObjectChildren", "ListObjectParentPaths", "ListObjectParents", "ListObjectPolicies", "ListOutgoingTypedLinks", "ListPolicyAttachments", "ListPublishedSchemaArns", "ListTagsForResource", "ListTypedLinkFacetAttributes", "ListTypedLinkFacetNames", "LookupPolicy", "PublishSchema", "PutSchemaFromJson", "RemoveFacetFromObject", "TagResource", "UntagResource", "UpdateFacet", "UpdateLinkAttributes", "UpdateObjectAttributes", "UpdateSchema", "UpdateTypedLinkFacet"], "ARNFormat": "arn:aws:clouddirectory:<region>:<accountId>:<relative-id>", "ARNRegex": "^arn:${Partition}:clouddirectory:.+:[0-9]+:(directory|schema)/.+", "HasResource": true }, "AWS Elemental MediaTailor": { "StringPrefix": "mediatailor", "Actions": ["DeletePlaybackConfiguration", "GetPlaybackConfiguration", "ListPlaybackConfigurations", "ListTagsForResource", "PutPlaybackConfiguration", "TagResource", "UntagResource"], "ARNFormat": "arn:aws:mediatailor:<region>:<account-id>:<resource-type>/<resource-name>", "ARNRegex": "^arn:aws:mediatailor:.+:.+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Route 53": { "StringPrefix": "route53", "Actions": ["AssociateVPCWithHostedZone", "ChangeResourceRecordSets", "ChangeTagsForResource", "CreateHealthCheck", "CreateHostedZone", "CreateQueryLoggingConfig", "CreateReusableDelegationSet", "CreateTrafficPolicy", "CreateTrafficPolicyInstance", "CreateTrafficPolicyVersion", "CreateVPCAssociationAuthorization", "DeleteHealthCheck", "DeleteHostedZone", "DeleteQueryLoggingConfig", "DeleteReusableDelegationSet", "DeleteTrafficPolicy", "DeleteTrafficPolicyInstance", "DeleteVPCAssociationAuthorization", "DisassociateVPCFromHostedZone", "GetAccountLimit", "GetChange", "GetCheckerIpRanges", "GetGeoLocation", "GetHealthCheck", "GetHealthCheckCount", "GetHealthCheckLastFailureReason", "GetHealthCheckStatus", "GetHostedZone", "GetHostedZoneCount", "GetHostedZoneLimit", "GetQueryLoggingConfig", "GetReusableDelegationSet", "GetReusableDelegationSetLimit", "GetTrafficPolicy", "GetTrafficPolicyInstance", "GetTrafficPolicyInstanceCount", "ListGeoLocations", "ListHealthChecks", "ListHostedZones", "ListHostedZonesByName", "ListQueryLoggingConfigs", "ListResourceRecordSets", "ListReusableDelegationSets", "ListTagsForResource", "ListTagsForResources", "ListTrafficPolicies", "ListTrafficPolicyInstances", "ListTrafficPolicyInstancesByHostedZone", "ListTrafficPolicyInstancesByPolicy", "ListTrafficPolicyVersions", "ListVPCAssociationAuthorizations", "TestDNSAnswer", "UpdateHealthCheck", "UpdateHostedZoneComment", "UpdateTrafficPolicyComment", "UpdateTrafficPolicyInstance"], "ARNFormat": "arn:aws:route53:::<resource>/<id>", "ARNRegex": "^arn:aws:route53:::.+", "HasResource": true }, "Amazon SimpleDB": { "StringPrefix": "sdb", "Actions": ["BatchDeleteAttributes", "BatchPutAttributes", "CreateDomain", "DeleteAttributes", "DeleteDomain", "DomainMetadata", "GetAttributes", "ListDomains", "PutAttributes", "Select"], "ARNFormat": "arn:aws:sdb:<region>:<account_ID>:domain/<domain_name>", "ARNRegex": "^arn:aws:sdb:.+", "HasResource": true }, "AWS Security Token Service": { "StringPrefix": "sts", "Actions": ["AssumeRole", "AssumeRoleWithSAML", "AssumeRoleWithWebIdentity", "DecodeAuthorizationMessage", "GetCallerIdentity", "GetFederationToken"], "ARNFormat": "arn:aws:iam::<namespace>:<relative-id>", "ARNRegex": "^arn:aws:iam::.+", "conditionKeys": ["<web-identity-provider>:aud", "<web-identity-provider>:oaud", "<web-identity-provider>:sub", "aws:FederatedProvider", "saml:aud", "saml:cn", "saml:commonName", "saml:doc", "saml:eduorghomepageuri", "saml:eduorgidentityauthnpolicyuri", "saml:eduorglegalname", "saml:eduorgsuperioruri", "saml:eduorgwhitepagesuri", "saml:edupersonaffiliation", "saml:edupersonassurance", "saml:edupersonentitlement", "saml:edupersonnickname", "saml:edupersonorgdn", "saml:edupersonorgunitdn", "saml:edupersonprimaryaffiliation", "saml:edupersonprimaryorgunitdn", "saml:edupersonprincipalname", "saml:edupersonscopedaffiliation", "saml:edupersontargetedid", "saml:givenName", "saml:iss", "saml:mail", "saml:name", "saml:namequalifier", "saml:organizationStatus", "saml:primaryGroupSID", "saml:sub", "saml:sub_type", "saml:surname", "saml:uid", "saml:x500UniqueIdentifier", "sts:ExternalId"], "HasResource": true }, "AWS Elemental MediaPackage": { "StringPrefix": "mediapackage", "Actions": ["CreateChannel", "CreateOriginEndpoint", "DeleteChannel", "DeleteOriginEndpoint", "DescribeChannel", "DescribeOriginEndpoint", "ListChannels", "ListOriginEndpoints", "ListTagsForResource", "RotateIngestEndpointCredentials", "TagResource", "UntagResource", "UpdateChannel", "UpdateOriginEndpoint"], "ARNFormat": "arn:aws:mediapackage:<region>:<account_ID>:<resource>/<identifier>", "ARNRegex": "^arn:aws:mediapackage:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS App Mesh": { "StringPrefix": "appmesh", "Actions": ["CreateMesh", "CreateRoute", "CreateVirtualNode", "CreateVirtualRouter", "CreateVirtualService", "DeleteMesh", "DeleteRoute", "DeleteVirtualNode", "DeleteVirtualRouter", "DeleteVirtualService", "DescribeMesh", "DescribeRoute", "DescribeVirtualNode", "DescribeVirtualRouter", "DescribeVirtualService", "ListMeshes", "ListRoutes", "ListTagsForResource", "ListVirtualNodes", "ListVirtualRouters", "ListVirtualServices", "TagResource", "UntagResource", "UpdateMesh", "UpdateRoute", "UpdateVirtualNode", "UpdateVirtualRouter", "UpdateVirtualService"], "ARNFormat": "arn:aws:appmesh:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:appmesh:.+:.+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Managed Streaming for Kafka": { "StringPrefix": "kafka", "Actions": ["CreateCluster", "CreateConfiguration", "DeleteCluster", "DescribeCluster", "DescribeClusterOperation", "DescribeConfiguration", "DescribeConfigurationRevision", "GetBootstrapBrokers", "ListClusterOperations", "ListClusters", "ListConfigurations", "ListNodes", "ListTagsForResource", "TagResource", "UntagResource", "UpdateBrokerStorage", "UpdateClusterConfiguration"], "ARNFormat": "arn:aws:kafka:<region>:<account>:<resourceType>/<resourceName>/<UUID>", "ARNRegex": "^arn:aws:kafka:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Pinpoint SMS and Voice Service": { "StringPrefix": "sms-voice", "Actions": ["CreateConfigurationSet", "CreateConfigurationSetEventDestination", "DeleteConfigurationSet", "DeleteConfigurationSetEventDestination", "GetConfigurationSetEventDestinations", "ListConfigurationSets", "SendVoiceMessage", "UpdateConfigurationSetEventDestination"], "ARNFormat": "arn:aws:sms-voice:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:sms-voice:.+:.+:.+", "HasResource": false }, "Amazon Athena": { "StringPrefix": "athena", "Actions": ["BatchGetNamedQuery", "BatchGetQueryExecution", "CancelQueryExecution", "CreateNamedQuery", "CreateWorkGroup", "DeleteNamedQuery", "DeleteWorkGroup", "GetCatalogs", "GetExecutionEngine", "GetExecutionEngines", "GetNamedQuery", "GetNamespace", "GetNamespaces", "GetQueryExecution", "GetQueryExecutions", "GetQueryResults", "GetQueryResultsStream", "GetTable", "GetTables", "GetWorkGroup", "ListNamedQueries", "ListQueryExecutions", "ListTagsForResource", "ListWorkGroups", "RunQuery", "StartQueryExecution", "StopQueryExecution", "TagResource", "UntagResource", "UpdateWorkGroup"], "ARNFormat": "arn:${Partition}:athena:${Region}:${Account}:workgroup/${WorkGroupName}", "ARNRegex": "^arn:${Partition}:athena:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Marketplace Metering Service": { "StringPrefix": "aws-marketplace", "Actions": ["BatchMeterUsage", "MeterUsage", "RegisterUsage", "ResolveCustomer"], "HasResource": false }, "AWS Private Marketplace": { "StringPrefix": "aws-marketplace", "Actions": ["AssociateProductsWithPrivateMarketplace", "CreatePrivateMarketplace", "CreatePrivateMarketplaceProfile", "DescribePrivateMarketplaceProducts", "DescribePrivateMarketplaceProfile", "DescribePrivateMarketplaceStatus", "DisassociateProductsFromPrivateMarketplace", "ListPrivateMarketplaceProducts", "StartPrivateMarketplace", "StopPrivateMarketplace", "UpdatePrivateMarketplaceProfile"], "HasResource": false }, "Amazon CloudWatch": { "StringPrefix": "cloudwatch", "Actions": ["DeleteAlarms", "DeleteDashboards", "DescribeAlarmHistory", "DescribeAlarms", "DescribeAlarmsForMetric", "DisableAlarmActions", "EnableAlarmActions", "GetDashboard", "GetMetricData", "GetMetricStatistics", "GetMetricWidgetImage", "ListDashboards", "ListMetrics", "ListTagsForResource", "PutDashboard", "PutMetricAlarm", "PutMetricData", "SetAlarmState", "TagResource", "UntagResource"], "ARNFormat": "arn:${Partition}:cloudwatch:${Region}:${Account}:${ResourceType}/${ResourcePath}", "ARNRegex": "^arn:${Partition}:cloudwatch:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon EC2 Auto Scaling": { "StringPrefix": "autoscaling", "Actions": ["AttachInstances", "AttachLoadBalancerTargetGroups", "AttachLoadBalancers", "BatchDeleteScheduledAction", "BatchPutScheduledUpdateGroupAction", "CompleteLifecycleAction", "CreateAutoScalingGroup", "CreateLaunchConfiguration", "CreateOrUpdateTags", "DeleteAutoScalingGroup", "DeleteLaunchConfiguration", "DeleteLifecycleHook", "DeleteNotificationConfiguration", "DeletePolicy", "DeleteScheduledAction", "DeleteTags", "DescribeAccountLimits", "DescribeAdjustmentTypes", "DescribeAutoScalingGroups", "DescribeAutoScalingInstances", "DescribeAutoScalingNotificationTypes", "DescribeLaunchConfigurations", "DescribeLifecycleHookTypes", "DescribeLifecycleHooks", "DescribeLoadBalancerTargetGroups", "DescribeLoadBalancers", "DescribeMetricCollectionTypes", "DescribeNotificationConfigurations", "DescribePolicies", "DescribeScalingActivities", "DescribeScalingProcessTypes", "DescribeScheduledActions", "DescribeTags", "DescribeTerminationPolicyTypes", "DetachInstances", "DetachLoadBalancerTargetGroups", "DetachLoadBalancers", "DisableMetricsCollection", "EnableMetricsCollection", "EnterStandby", "ExecutePolicy", "ExitStandby", "PutLifecycleHook", "PutNotificationConfiguration", "PutScalingPolicy", "PutScheduledUpdateGroupAction", "RecordLifecycleActionHeartbeat", "ResumeProcesses", "SetDesiredCapacity", "SetInstanceHealth", "SetInstanceProtection", "SuspendProcesses", "TerminateInstanceInAutoScalingGroup", "UpdateAutoScalingGroup"], "ARNFormat": "arn:${Partition}:autoscaling:<region>:<account>:<relative-id>", "ARNRegex": "^arn:${Partition}:autoscaling:.+:.+:.+", "conditionKeys": ["autoscaling:ImageId", "autoscaling:InstanceType", "autoscaling:InstanceTypes", "autoscaling:LaunchConfigurationName", "autoscaling:LoadBalancerNames", "autoscaling:MaxSize", "autoscaling:MinSize", "autoscaling:ResourceTag/${TagKey}", "autoscaling:SpotPrice", "autoscaling:TargetGroupARNs", "autoscaling:VPCZoneIdentifiers", "aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Pinpoint": { "StringPrefix": "mobiletargeting", "Actions": ["CreateApp", "CreateCampaign", "CreateExportJob", "CreateImportJob", "CreateSegment", "DeleteAdmChannel", "DeleteApnsChannel", "DeleteApnsSandboxChannel", "DeleteApnsVoipChannel", "DeleteApnsVoipSandboxChannel", "DeleteApp", "DeleteBaiduChannel", "DeleteCampaign", "DeleteEmailChannel", "DeleteEndpoint", "DeleteEventStream", "DeleteGcmChannel", "DeleteSegment", "DeleteSmsChannel", "DeleteUserEndpoints", "DeleteVoiceChannel", "GetAdmChannel", "GetApnsChannel", "GetApnsSandboxChannel", "GetApnsVoipChannel", "GetApnsVoipSandboxChannel", "GetApp", "GetApplicationSettings", "GetApps", "GetBaiduChannel", "GetCampaign", "GetCampaignActivities", "GetCampaignVersion", "GetCampaignVersions", "GetCampaigns", "GetChannels", "GetEmailChannel", "GetEndpoint", "GetEventStream", "GetExportJob", "GetExportJobs", "GetGcmChannel", "GetImportJob", "GetImportJobs", "GetSegment", "GetSegmentExportJobs", "GetSegmentImportJobs", "GetSegmentVersion", "GetSegmentVersions", "GetSegments", "GetSmsChannel", "GetUserEndpoints", "GetVoiceChannel", "ListTagsForResource", "PhoneNumberValidate", "PutEventStream", "PutEvents", "RemoveAttributes", "SendMessages", "SendUsersMessages", "TagResource", "UntagResource", "UpdateAdmChannel", "UpdateApnsChannel", "UpdateApnsSandboxChannel", "UpdateApnsVoipChannel", "UpdateApnsVoipSandboxChannel", "UpdateApplicationSettings", "UpdateBaiduChannel", "UpdateCampaign", "UpdateEmailChannel", "UpdateEndpoint", "UpdateEndpointsBatch", "UpdateGcmChannel", "UpdateSegment", "UpdateSmsChannel", "UpdateVoiceChannel"], "ARNFormat": "arn:aws:mobiletargeting:<region>:<account_ID>:.+", "ARNRegex": "^arn:aws:mobiletargeting:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Snowball": { "StringPrefix": "snowball", "Actions": ["CancelCluster", "CancelJob", "CreateAddress", "CreateCluster", "CreateJob", "DescribeAddress", "DescribeAddresses", "DescribeCluster", "DescribeJob", "GetJobManifest", "GetJobUnlockCode", "GetSnowballUsage", "ListClusterJobs", "ListClusters", "ListJobs", "UpdateCluster", "UpdateJob"], "HasResource": false }, "Amazon Sumerian": { "StringPrefix": "sumerian", "Actions": ["Login", "ViewRelease"], "ARNFormat": "arn:aws:sumerian:<region>:<account-id>:<sumerian_resource_path>", "ARNRegex": "^arn:aws:sumerian:.+:.+:.+", "HasResource": true }, "AWS Auto Scaling": { "StringPrefix": "autoscaling-plans", "Actions": ["CreateScalingPlan", "DeleteScalingPlan", "DescribeScalingPlanResources", "DescribeScalingPlans", "GetScalingPlanResourceForecastData", "UpdateScalingPlan"], "HasResource": false }, "AWS Cost and Usage Report": { "StringPrefix": "cur", "Actions": ["DeleteReportDefinition", "DescribeReportDefinitions", "PutReportDefinition"], "ARNFormat": "arn:aws:cur:<region>:<account_ID>:definition/<reportname>", "ARNRegex": "^arn:aws:cur:.+:.+:.+", "HasResource": true }, "AWS Shield": { "StringPrefix": "shield", "Actions": ["AssociateDRTLogBucket", "AssociateDRTRole", "CreateProtection", "CreateSubscription", "DeleteProtection", "DeleteSubscription", "DescribeAttack", "DescribeDRTAccess", "DescribeEmergencyContactSettings", "DescribeProtection", "DescribeSubscription", "DisassociateDRTLogBucket", "DisassociateDRTRole", "GetSubscriptionState", "ListAttacks", "ListProtections", "UpdateEmergencyContactSettings"], "ARNFormat": "arn:aws:shield::<account_ID>:<resource>/<resource_id>", "ARNRegex": "^arn:aws:shield::[0-9]+:.+/.+", "HasResource": true }, "AWS Secrets Manager": { "StringPrefix": "secretsmanager", "Actions": ["CancelRotateSecret", "CreateSecret", "DeleteResourcePolicy", "DeleteSecret", "DescribeSecret", "GetRandomPassword", "GetResourcePolicy", "GetSecretValue", "ListSecretVersionIds", "ListSecrets", "PutResourcePolicy", "PutSecretValue", "RestoreSecret", "RotateSecret", "TagResource", "UntagResource", "UpdateSecret", "UpdateSecretVersionStage"], "ARNFormat": "arn:${Partition}:secretsmanager:${Region}:${Account}:secret:${SecretId}", "ARNRegex": "^arn:${Partition}:secretsmanager:.+", "conditionKeys": ["aws:RequestTag/tag-key", "aws:TagKeys", "secretsmanager:Description", "secretsmanager:ForceDeleteWithoutRecovery", "secretsmanager:KmsKeyId", "secretsmanager:Name", "secretsmanager:RecoveryWindowInDays", "secretsmanager:ResourceTag/tag-key", "secretsmanager:RotationLambdaARN", "secretsmanager:SecretId", "secretsmanager:VersionId", "secretsmanager:VersionStage", "secretsmanager:resource/AllowRotationLambdaArn"], "HasResource": true }, "Amazon Route53 Domains": { "StringPrefix": "route53domains", "Actions": ["CheckDomainAvailability", "DeleteTagsForDomain", "DisableDomainAutoRenew", "DisableDomainTransferLock", "EnableDomainAutoRenew", "EnableDomainTransferLock", "GetContactReachabilityStatus", "GetDomainDetail", "GetDomainSuggestions", "GetOperationDetail", "ListDomains", "ListOperations", "ListTagsForDomain", "RegisterDomain", "RenewDomain", "ResendContactReachabilityEmail", "RetrieveDomainAuthCode", "TransferDomain", "UpdateDomainContact", "UpdateDomainContactPrivacy", "UpdateDomainNameservers", "UpdateTagsForDomain", "ViewBilling"], "HasResource": false }, "Application Auto Scaling": { "StringPrefix": "application-autoscaling", "Actions": ["DeleteScalingPolicy", "DeleteScheduledAction", "DeregisterScalableTarget", "DescribeScalableTargets", "DescribeScalingActivities", "DescribeScalingPolicies", "DescribeScheduledActions", "PutScalingPolicy", "PutScheduledAction", "RegisterScalableTarget"], "HasResource": false }, "Amazon FSx": { "StringPrefix": "fsx", "Actions": ["CreateBackup", "CreateFileSystem", "CreateFileSystemFromBackup", "DeleteBackup", "DeleteFileSystem", "DescribeBackups", "DescribeFileSystems", "ListTagsForResource", "TagResource", "UntagResource", "UpdateFileSystem"], "ARNFormat": "arn:${Partition}:fsx:${Region}:${Account}:${ResourceType}/${ResourcePath}", "ARNRegex": "^arn:${Partition}:fsx:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS OpsWorks": { "StringPrefix": "opsworks", "Actions": ["AssignInstance", "AssignVolume", "AssociateElasticIp", "AttachElasticLoadBalancer", "CloneStack", "CreateApp", "CreateDeployment", "CreateInstance", "CreateLayer", "CreateStack", "CreateUserProfile", "DeleteApp", "DeleteInstance", "DeleteLayer", "DeleteStack", "DeleteUserProfile", "DeregisterEcsCluster", "DeregisterElasticIp", "DeregisterInstance", "DeregisterRdsDbInstance", "DeregisterVolume", "DescribeAgentVersions", "DescribeApps", "DescribeCommands", "DescribeDeployments", "DescribeEcsClusters", "DescribeElasticIps", "DescribeElasticLoadBalancers", "DescribeInstances", "DescribeLayers", "DescribeLoadBasedAutoScaling", "DescribeMyUserProfile", "DescribePermissions", "DescribeRaidArrays", "DescribeRdsDbInstances", "DescribeServiceErrors", "DescribeStackProvisioningParameters", "DescribeStackSummary", "DescribeStacks", "DescribeTimeBasedAutoScaling", "DescribeUserProfiles", "DescribeVolumes", "DetachElasticLoadBalancer", "DisassociateElasticIp", "GetHostnameSuggestion", "GrantAccess", "ListTags", "RebootInstance", "RegisterEcsCluster", "RegisterElasticIp", "RegisterInstance", "RegisterRdsDbInstance", "RegisterVolume", "SetLoadBasedAutoScaling", "SetPermission", "SetTimeBasedAutoScaling", "StartInstance", "StartStack", "StopInstance", "StopStack", "TagResource", "UnassignInstance", "UnassignVolume", "UntagResource", "UpdateApp", "UpdateElasticIp", "UpdateInstance", "UpdateLayer", "UpdateMyUserProfile", "UpdateRdsDbInstance", "UpdateStack", "UpdateUserProfile", "UpdateVolume"], "ARNFormat": "arn:aws:<serviceName>:<region>:<account>:<resourceType>/<resourceName>", "ARNRegex": "^arn:aws:opsworks:.+", "HasResource": true }, "AWS Amplify": { "StringPrefix": "amplify", "Actions": ["CreateApp", "CreateBranch", "CreateDomainAssociation", "DeleteApp", "DeleteBranch", "DeleteDomainAssociation", "DeleteJob", "GetApp", "GetBranch", "GetDomainAssociation", "GetJob", "ListApps", "ListBranches", "ListDomainAssociations", "ListJobs", "StartJob", "StopJob", "UpdateApp", "UpdateBranch", "UpdateDomainAssociation"], "ARNFormat": "arn:aws:amplify:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:amplify:.+:.+:.+", "HasResource": true }, "Amazon Kinesis Video Streams": { "StringPrefix": "kinesisvideo", "Actions": ["CreateStream", "DeleteStream", "DescribeStream", "GetDataEndpoint", "GetHLSStreamingSessionURL", "GetMedia", "GetMediaForFragmentList", "ListFragments", "ListStreams", "ListTagsForStream", "PutMedia", "TagStream", "UntagStream", "UpdateDataRetention", "UpdateStream"], "ARNFormat": "arn:aws:kinesisvideo:<region>:<account_ID>:<resourceType>/<resourceName>/<creationTime>", "ARNRegex": "^arn:aws:kinesisvideo:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon API Gateway": { "StringPrefix": "execute-api", "Actions": ["InvalidateCache", "Invoke"], "ARNFormat": "arn:aws:execute-api:<region>:<account_id>:<api_id>/<stage>/<method>/<api_specific_resource_path>", "ARNRegex": "^arn:aws:execute-api:.+", "HasResource": true }, "Amazon FreeRTOS": { "StringPrefix": "freertos", "Actions": ["CreateSoftwareConfiguration", "DeleteSoftwareConfiguration", "DescribeHardwarePlatform", "DescribeSoftwareConfiguration", "GetSoftwareURL", "GetSoftwareURLForConfiguration", "ListFreeRTOSVersions", "ListHardwarePlatforms", "ListHardwareVendors", "ListSoftwareConfigurations", "UpdateSoftwareConfiguration"], "ARNFormat": "arn:aws:freertos:<region>:<account_ID>:<type>/<name>", "ARNRegex": "^arn:aws:freertos:.+:[0-9]+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Elemental MediaLive": { "StringPrefix": "medialive", "Actions": ["BatchUpdateSchedule", "CreateChannel", "CreateInput", "CreateInputSecurityGroup", "CreateTags", "DeleteChannel", "DeleteInput", "DeleteInputSecurityGroup", "DeleteReservation", "DeleteTags", "DescribeChannel", "DescribeInput", "DescribeInputSecurityGroup", "DescribeOffering", "DescribeReservation", "DescribeSchedule", "ListChannels", "ListInputSecurityGroups", "ListInputs", "ListOfferings", "ListReservations", "ListTagsForResource", "PurchaseOffering", "StartChannel", "StopChannel", "UpdateChannel", "UpdateChannelClass", "UpdateInput", "UpdateInputSecurityGroup", "UpdateReservation"], "ARNFormat": "arn:${Partition}:medialive:${Region}:${Account}:${ResourceType}:${ResourcePath}", "ARNRegex": "^arn:${Partition}:medialive:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Key Management Service": { "StringPrefix": "kms", "Actions": ["CancelKeyDeletion", "ConnectCustomKeyStore", "CreateAlias", "CreateCustomKeyStore", "CreateGrant", "CreateKey", "Decrypt", "DeleteAlias", "DeleteCustomKeyStore", "DeleteImportedKeyMaterial", "DescribeCustomKeyStores", "DescribeKey", "DisableKey", "DisableKeyRotation", "DisconnectCustomKeyStore", "EnableKey", "EnableKeyRotation", "Encrypt", "GenerateDataKey", "GenerateDataKeyWithoutPlaintext", "GenerateRandom", "GetKeyPolicy", "GetKeyRotationStatus", "GetParametersForImport", "ImportKeyMaterial", "ListAliases", "ListGrants", "ListKeyPolicies", "ListKeys", "ListResourceTags", "ListRetirableGrants", "PutKeyPolicy", "ReEncryptFrom", "ReEncryptTo", "RetireGrant", "RevokeGrant", "ScheduleKeyDeletion", "TagResource", "UntagResource", "UpdateAlias", "UpdateCustomKeyStore", "UpdateKeyDescription"], "ARNFormat": "arn:aws:kms:<region>:<account_id>:<resource_type>/<id>", "ARNRegex": "^arn:aws:kms:.+", "conditionKeys": ["kms:BypassPolicyLockoutSafetyCheck", "kms:CallerAccount", "kms:EncryptionContextKeys", "kms:ExpirationModel", "kms:GrantConstraintType", "kms:GrantIsForAWSResource", "kms:GrantOperations", "kms:GranteePrincipal", "kms:KeyOrigin", "kms:ReEncryptOnSameKey", "kms:RetiringPrincipal", "kms:ValidTo", "kms:ViaService", "kms:WrappingAlgorithm", "kms:WrappingKeySpec"], "HasResource": true }, "AWS CloudHSM": { "StringPrefix": "cloudhsm", "Actions": ["AddTagsToResource", "CreateCluster", "CreateHapg", "CreateHsm", "CreateLunaClient", "DeleteCluster", "DeleteHapg", "DeleteHsm", "DeleteLunaClient", "DescribeBackups", "DescribeClusters", "DescribeHapg", "DescribeHsm", "DescribeLunaClient", "GetConfig", "InitializeCluster", "ListAvailableZones", "ListHapgs", "ListHsms", "ListLunaClients", "ListTags", "ListTagsForResource", "ModifyHapg", "ModifyHsm", "ModifyLunaClient", "RemoveTagsFromResource", "TagResource", "UntagResource"], "HasResource": false }, "AWS CodeDeploy": { "StringPrefix": "codedeploy", "Actions": ["AddTagsToOnPremisesInstances", "BatchGetApplicationRevisions", "BatchGetApplications", "BatchGetDeploymentGroups", "BatchGetDeploymentInstances", "BatchGetDeployments", "BatchGetOnPremisesInstances", "ContinueDeployment", "CreateApplication", "CreateDeployment", "CreateDeploymentConfig", "CreateDeploymentGroup", "DeleteApplication", "DeleteDeploymentConfig", "DeleteDeploymentGroup", "DeregisterOnPremisesInstance", "GetApplication", "GetApplicationRevision", "GetDeployment", "GetDeploymentConfig", "GetDeploymentGroup", "GetDeploymentInstance", "GetOnPremisesInstance", "ListApplicationRevisions", "ListApplications", "ListDeploymentConfigs", "ListDeploymentGroups", "ListDeploymentInstances", "ListDeployments", "ListOnPremisesInstances", "PutLifecycleEventHookExecutionStatus", "RegisterApplicationRevision", "RegisterOnPremisesInstance", "RemoveTagsFromOnPremisesInstances", "StopDeployment", "UpdateApplication", "UpdateDeploymentGroup"], "ARNFormat": "arn:aws:codedeploy:region:account:resource-type:resource-specifier", "ARNRegex": "^arn:aws:codedeploy:.+", "HasResource": true }, "Identity And Access Management": { "StringPrefix": "iam", "Actions": ["AddClientIDToOpenIDConnectProvider", "AddRoleToInstanceProfile", "AddUserToGroup", "AttachGroupPolicy", "AttachRolePolicy", "AttachUserPolicy", "ChangePassword", "CreateAccessKey", "CreateAccountAlias", "CreateGroup", "CreateInstanceProfile", "CreateLoginProfile", "CreateOpenIDConnectProvider", "CreatePolicy", "CreatePolicyVersion", "CreateRole", "CreateSAMLProvider", "CreateServiceLinkedRole", "CreateServiceSpecificCredential", "CreateUser", "CreateVirtualMFADevice", "DeactivateMFADevice", "DeleteAccessKey", "DeleteAccountAlias", "DeleteAccountPasswordPolicy", "DeleteGroup", "DeleteGroupPolicy", "DeleteInstanceProfile", "DeleteLoginProfile", "DeleteOpenIDConnectProvider", "DeletePolicy", "DeletePolicyVersion", "DeleteRole", "DeleteRolePermissionsBoundary", "DeleteRolePolicy", "DeleteSAMLProvider", "DeleteSSHPublicKey", "DeleteServerCertificate", "DeleteServiceLinkedRole", "DeleteServiceSpecificCredential", "DeleteSigningCertificate", "DeleteUser", "DeleteUserPermissionsBoundary", "DeleteUserPolicy", "DeleteVirtualMFADevice", "DetachGroupPolicy", "DetachRolePolicy", "DetachUserPolicy", "EnableMFADevice", "GenerateCredentialReport", "GenerateServiceLastAccessedDetails", "GetAccessKeyLastUsed", "GetAccountAuthorizationDetails", "GetAccountPasswordPolicy", "GetAccountSummary", "GetContextKeysForCustomPolicy", "GetContextKeysForPrincipalPolicy", "GetCredentialReport", "GetGroup", "GetGroupPolicy", "GetInstanceProfile", "GetLoginProfile", "GetOpenIDConnectProvider", "GetPolicy", "GetPolicyVersion", "GetRole", "GetRolePolicy", "GetSAMLProvider", "GetSSHPublicKey", "GetServerCertificate", "GetServiceLastAccessedDetails", "GetServiceLastAccessedDetailsWithEntities", "GetServiceLinkedRoleDeletionStatus", "GetUser", "GetUserPolicy", "ListAccessKeys", "ListAccountAliases", "ListAttachedGroupPolicies", "ListAttachedRolePolicies", "ListAttachedUserPolicies", "ListEntitiesForPolicy", "ListGroupPolicies", "ListGroups", "ListGroupsForUser", "ListInstanceProfiles", "ListInstanceProfilesForRole", "ListMFADevices", "ListOpenIDConnectProviders", "ListPolicies", "ListPoliciesGrantingServiceAccess", "ListPolicyVersions", "ListRolePolicies", "ListRoleTags", "ListRoles", "ListSAMLProviders", "ListSSHPublicKeys", "ListServerCertificates", "ListServiceSpecificCredentials", "ListSigningCertificates", "ListUserPolicies", "ListUserTags", "ListUsers", "ListVirtualMFADevices", "PassRole", "PutGroupPolicy", "PutRolePermissionsBoundary", "PutRolePolicy", "PutUserPermissionsBoundary", "PutUserPolicy", "RemoveClientIDFromOpenIDConnectProvider", "RemoveRoleFromInstanceProfile", "RemoveUserFromGroup", "ResetServiceSpecificCredential", "ResyncMFADevice", "SetDefaultPolicyVersion", "SetSecurityTokenServicePreferences", "SimulateCustomPolicy", "SimulatePrincipalPolicy", "TagRole", "TagUser", "UntagRole", "UntagUser", "UpdateAccessKey", "UpdateAccountPasswordPolicy", "UpdateAssumeRolePolicy", "UpdateGroup", "UpdateLoginProfile", "UpdateOpenIDConnectProviderThumbprint", "UpdateRole", "UpdateRoleDescription", "UpdateSAMLProvider", "UpdateSSHPublicKey", "UpdateServerCertificate", "UpdateServiceSpecificCredential", "UpdateSigningCertificate", "UpdateUser", "UploadSSHPublicKey", "UploadServerCertificate", "UploadSigningCertificate"], "ARNFormat": "arn:aws:iam::<namespace>:<relative-id>", "ARNRegex": "^arn:aws:iam::.+", "conditionKeys": ["iam:AWSServiceName", "iam:PassedToService", "iam:PermissionsBoundary", "iam:PolicyARN", "iam:ResourceTag/${TagKey}"], "HasResource": true }, "Amazon Route 53 Resolver": { "StringPrefix": "route53resolver", "Actions": ["AssociateResolverEndpointIpAddress", "AssociateResolverRule", "CreateResolverEndpoint", "CreateResolverRule", "DeleteResolverEndpoint", "DeleteResolverRule", "DisassociateResolverEndpointIpAddress", "DisassociateResolverRule", "GetResolverEndpoint", "GetResolverRule", "GetResolverRuleAssociation", "GetResolverRulePolicy", "ListResolverEndpointIpAddresses", "ListResolverEndpoints", "ListResolverRuleAssociations", "ListResolverRules", "ListTagsForResource", "PutResolverRulePolicy", "TagResource", "UntagResource", "UpdateResolverEndpoint", "UpdateResolverRule"], "ARNFormat": "arn:aws:route53resolver:<region>:<account-id>:<resource-type>/<resource-id>", "ARNRegex": "^arn:aws:route53resolver:.+:.+:.+", "HasResource": true }, "Amazon EC2": { "StringPrefix": "ec2", "Actions": ["AcceptReservedInstancesExchangeQuote", "AcceptTransitGatewayVpcAttachment", "AcceptVpcEndpointConnections", "AcceptVpcPeeringConnection", "AdvertiseByoipCidr", "AllocateAddress", "AllocateHosts", "ApplySecurityGroupsToClientVpnTargetNetwork", "AssignIpv6Addresses", "AssignPrivateIpAddresses", "AssociateAddress", "AssociateClientVpnTargetNetwork", "AssociateDhcpOptions", "AssociateIamInstanceProfile", "AssociateRouteTable", "AssociateSubnetCidrBlock", "AssociateTransitGatewayRouteTable", "AssociateVpcCidrBlock", "AttachClassicLinkVpc", "AttachInternetGateway", "AttachNetworkInterface", "AttachVolume", "AttachVpnGateway", "AuthorizeClientVpnIngress", "AuthorizeSecurityGroupEgress", "AuthorizeSecurityGroupIngress", "BundleInstance", "CancelBundleTask", "CancelCapacityReservation", "CancelConversionTask", "CancelExportTask", "CancelImportTask", "CancelReservedInstancesListing", "CancelSpotFleetRequests", "CancelSpotInstanceRequests", "ConfirmProductInstance", "CopyFpgaImage", "CopyImage", "CopySnapshot", "CreateCapacityReservation", "CreateClientVpnEndpoint", "CreateClientVpnRoute", "CreateCustomerGateway", "CreateDefaultSubnet", "CreateDefaultVpc", "CreateDhcpOptions", "CreateEgressOnlyInternetGateway", "CreateFleet", "CreateFlowLogs", "CreateFpgaImage", "CreateImage", "CreateInstanceExportTask", "CreateInternetGateway", "CreateKeyPair", "CreateLaunchTemplate", "CreateLaunchTemplateVersion", "CreateNatGateway", "CreateNetworkAcl", "CreateNetworkAclEntry", "CreateNetworkInterface", "CreateNetworkInterfacePermission", "CreatePlacementGroup", "CreateReservedInstancesListing", "CreateRoute", "CreateRouteTable", "CreateSecurityGroup", "CreateSnapshot", "CreateSnapshots", "CreateSpotDatafeedSubscription", "CreateSubnet", "CreateTags", "CreateTransitGateway", "CreateTransitGatewayRoute", "CreateTransitGatewayRouteTable", "CreateTransitGatewayVpcAttachment", "CreateVolume", "CreateVpc", "CreateVpcEndpoint", "CreateVpcEndpointConnectionNotification", "CreateVpcEndpointServiceConfiguration", "CreateVpcPeeringConnection", "CreateVpnConnection", "CreateVpnConnectionRoute", "CreateVpnGateway", "DeleteClientVpnEndpoint", "DeleteClientVpnRoute", "DeleteCustomerGateway", "DeleteDhcpOptions", "DeleteEgressOnlyInternetGateway", "DeleteFleets", "DeleteFlowLogs", "DeleteFpgaImage", "DeleteInternetGateway", "DeleteKeyPair", "DeleteLaunchTemplate", "DeleteLaunchTemplateVersions", "DeleteNatGateway", "DeleteNetworkAcl", "DeleteNetworkAclEntry", "DeleteNetworkInterface", "DeleteNetworkInterfacePermission", "DeletePlacementGroup", "DeleteRoute", "DeleteRouteTable", "DeleteSecurityGroup", "DeleteSnapshot", "DeleteSpotDatafeedSubscription", "DeleteSubnet", "DeleteTags", "DeleteTransitGateway", "DeleteTransitGatewayRoute", "DeleteTransitGatewayRouteTable", "DeleteTransitGatewayVpcAttachment", "DeleteVolume", "DeleteVpc", "DeleteVpcEndpointConnectionNotifications", "DeleteVpcEndpointServiceConfigurations", "DeleteVpcEndpoints", "DeleteVpcPeeringConnection", "DeleteVpnConnection", "DeleteVpnConnectionRoute", "DeleteVpnGateway", "DeprovisionByoipCidr", "DeregisterImage", "DescribeAccountAttributes", "DescribeAddresses", "DescribeAggregateIdFormat", "DescribeAvailabilityZones", "DescribeBundleTasks", "DescribeByoipCidrs", "DescribeCapacityReservations", "DescribeClassicLinkInstances", "DescribeClientVpnAuthorizationRules", "DescribeClientVpnConnections", "DescribeClientVpnEndpoints", "DescribeClientVpnRoutes", "DescribeClientVpnTargetNetworks", "DescribeConversionTasks", "DescribeCustomerGateways", "DescribeDhcpOptions", "DescribeEgressOnlyInternetGateways", "DescribeElasticGpus", "DescribeExportTasks", "DescribeFleetHistory", "DescribeFleetInstances", "DescribeFleets", "DescribeFlowLogs", "DescribeFpgaImageAttribute", "DescribeFpgaImages", "DescribeHostReservationOfferings", "DescribeHostReservations", "DescribeHosts", "DescribeIamInstanceProfileAssociations", "DescribeIdFormat", "DescribeIdentityIdFormat", "DescribeImageAttribute", "DescribeImages", "DescribeImportImageTasks", "DescribeImportSnapshotTasks", "DescribeInstanceAttribute", "DescribeInstanceCreditSpecifications", "DescribeInstanceStatus", "DescribeInstances", "DescribeInternetGateways", "DescribeKeyPairs", "DescribeLaunchTemplateVersions", "DescribeLaunchTemplates", "DescribeMovingAddresses", "DescribeNatGateways", "DescribeNetworkAcls", "DescribeNetworkInterfaceAttribute", "DescribeNetworkInterfacePermissions", "DescribeNetworkInterfaces", "DescribePlacementGroups", "DescribePrefixLists", "DescribePrincipalIdFormat", "DescribePublicIpv4Pools", "DescribeRegions", "DescribeReservedInstances", "DescribeReservedInstancesListings", "DescribeReservedInstancesModifications", "DescribeReservedInstancesOfferings", "DescribeRouteTables", "DescribeScheduledInstanceAvailability", "DescribeScheduledInstances", "DescribeSecurityGroupReferences", "DescribeSecurityGroups", "DescribeSnapshotAttribute", "DescribeSnapshots", "DescribeSpotDatafeedSubscription", "DescribeSpotFleetInstances", "DescribeSpotFleetRequestHistory", "DescribeSpotFleetRequests", "DescribeSpotInstanceRequests", "DescribeSpotPriceHistory", "DescribeStaleSecurityGroups", "DescribeSubnets", "DescribeTags", "DescribeTransitGatewayAttachments", "DescribeTransitGatewayRouteTables", "DescribeTransitGatewayVpcAttachments", "DescribeTransitGateways", "DescribeVolumeAttribute", "DescribeVolumeStatus", "DescribeVolumes", "DescribeVolumesModifications", "DescribeVpcAttribute", "DescribeVpcClassicLink", "DescribeVpcClassicLinkDnsSupport", "DescribeVpcEndpointConnectionNotifications", "DescribeVpcEndpointConnections", "DescribeVpcEndpointServiceConfigurations", "DescribeVpcEndpointServicePermissions", "DescribeVpcEndpointServices", "DescribeVpcEndpoints", "DescribeVpcPeeringConnections", "DescribeVpcs", "DescribeVpnConnections", "DescribeVpnGateways", "DetachClassicLinkVpc", "DetachInternetGateway", "DetachNetworkInterface", "DetachVolume", "DetachVpnGateway", "DisableTransitGatewayRouteTablePropagation", "DisableVgwRoutePropagation", "DisableVpcClassicLink", "DisableVpcClassicLinkDnsSupport", "DisassociateAddress", "DisassociateClientVpnTargetNetwork", "DisassociateIamInstanceProfile", "DisassociateRouteTable", "DisassociateSubnetCidrBlock", "DisassociateTransitGatewayRouteTable", "DisassociateVpcCidrBlock", "EnableTransitGatewayRouteTablePropagation", "EnableVgwRoutePropagation", "EnableVolumeIO", "EnableVpcClassicLink", "EnableVpcClassicLinkDnsSupport", "ExportClientVpnClientCertificateRevocationList", "ExportClientVpnClientConfiguration", "ExportTransitGatewayRoutes", "GetConsoleOutput", "GetConsoleScreenshot", "GetHostReservationPurchasePreview", "GetLaunchTemplateData", "GetPasswordData", "GetReservedInstancesExchangeQuote", "GetTransitGatewayAttachmentPropagations", "GetTransitGatewayRouteTableAssociations", "GetTransitGatewayRouteTablePropagations", "ImportClientVpnClientCertificateRevocationList", "ImportImage", "ImportInstance", "ImportKeyPair", "ImportSnapshot", "ImportVolume", "ModifyCapacityReservation", "ModifyClientVpnEndpoint", "ModifyFleet", "ModifyFpgaImageAttribute", "ModifyHosts", "ModifyIdFormat", "ModifyIdentityIdFormat", "ModifyImageAttribute", "ModifyInstanceAttribute", "ModifyInstanceCapacityReservationAttributes", "ModifyInstanceCreditSpecification", "ModifyInstanceEventStartTime", "ModifyInstancePlacement", "ModifyLaunchTemplate", "ModifyNetworkInterfaceAttribute", "ModifyReservedInstances", "ModifySnapshotAttribute", "ModifySpotFleetRequest", "ModifySubnetAttribute", "ModifyTransitGatewayVpcAttachment", "ModifyVolume", "ModifyVolumeAttribute", "ModifyVpcAttribute", "ModifyVpcEndpoint", "ModifyVpcEndpointConnectionNotification", "ModifyVpcEndpointServiceConfiguration", "ModifyVpcEndpointServicePermissions", "ModifyVpcPeeringConnectionOptions", "ModifyVpcTenancy", "MonitorInstances", "MoveAddressToVpc", "ProvisionByoipCidr", "PurchaseHostReservation", "PurchaseReservedInstancesOffering", "PurchaseScheduledInstances", "RebootInstances", "RegisterImage", "RejectTransitGatewayVpcAttachment", "RejectVpcEndpointConnections", "RejectVpcPeeringConnection", "ReleaseAddress", "ReleaseHosts", "ReplaceIamInstanceProfileAssociation", "ReplaceNetworkAclAssociation", "ReplaceNetworkAclEntry", "ReplaceRoute", "ReplaceRouteTableAssociation", "ReplaceTransitGatewayRoute", "ReportInstanceStatus", "RequestSpotFleet", "RequestSpotInstances", "ResetFpgaImageAttribute", "ResetImageAttribute", "ResetInstanceAttribute", "ResetNetworkInterfaceAttribute", "ResetSnapshotAttribute", "RestoreAddressToClassic", "RevokeClientVpnIngress", "RevokeSecurityGroupEgress", "RevokeSecurityGroupIngress", "RunInstances", "RunScheduledInstances", "SearchTransitGatewayRoutes", "StartInstances", "StopInstances", "TerminateClientVpnConnections", "TerminateInstances", "UnassignIpv6Addresses", "UnassignPrivateIpAddresses", "UnmonitorInstances", "UpdateSecurityGroupRuleDescriptionsEgress", "UpdateSecurityGroupRuleDescriptionsIngress", "WithdrawByoipCidr"], "ARNFormat": "arn:aws:ec2:<region>:<account>:<resourceType>/<resourcePath>", "ARNRegex": "^arn:aws:ec2:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:TagKeys", "ec2:AccepterVpc", "ec2:AuthorizedService", "ec2:AuthorizedUser", "ec2:AvailabilityZone", "ec2:CreateAction", "ec2:EbsOptimized", "ec2:ElasticGpuType", "ec2:Encrypted", "ec2:ImageType", "ec2:InstanceMarketType", "ec2:InstanceProfile", "ec2:InstanceType", "ec2:IsLaunchTemplateResource", "ec2:LaunchTemplate", "ec2:Owner", "ec2:ParentSnapshot", "ec2:ParentVolume", "ec2:Permission", "ec2:PlacementGroup", "ec2:PlacementGroupStrategy", "ec2:ProductCode", "ec2:Public", "ec2:Region", "ec2:RequesterVpc", "ec2:ReservedInstancesOfferingType", "ec2:ResourceTag/", "ec2:ResourceTag/${TagKey}", "ec2:RootDeviceType", "ec2:SnapshotTime", "ec2:SourceInstanceARN", "ec2:Subnet", "ec2:Tenancy", "ec2:VolumeIops", "ec2:VolumeSize", "ec2:VolumeType", "ec2:Vpc"], "HasResource": true }, "AWS Import Export Disk Service": { "StringPrefix": "importexport", "Actions": ["CancelJob", "CreateJob", "GetShippingLabel", "GetStatus", "ListJobs", "UpdateJob"], "HasResource": false }, "Amazon WorkMail": { "StringPrefix": "workmail", "Actions": ["AddMembersToGroup", "CreateGroup", "CreateMailDomain", "CreateMailUser", "CreateOrganization", "CreateResource", "DeleteMailDomain", "DeleteMobileDevice", "DeleteOrganization", "DescribeDirectories", "DescribeKmsKeys", "DescribeMailDomains", "DescribeMailGroups", "DescribeMailUsers", "DescribeOrganizations", "DisableMailGroups", "DisableMailUsers", "EnableMailDomain", "EnableMailGroups", "EnableMailUsers", "GetMailDomainDetails", "GetMailGroupDetails", "GetMailUserDetails", "GetMobileDeviceDetails", "GetMobileDevicesForUser", "GetMobilePolicyDetails", "ListMembersInMailGroup", "RemoveMembersFromGroup", "ResetUserPassword", "SearchMembers", "SetAdmin", "SetDefaultMailDomain", "SetMailGroupDetails", "SetMailUserDetails", "SetMobilePolicyDetails", "WipeMobileDevice"], "HasResource": false }, "Data Pipeline": { "StringPrefix": "datapipeline", "Actions": ["ActivatePipeline", "AddTags", "CreatePipeline", "DeactivatePipeline", "DeletePipeline", "DescribeObjects", "DescribePipelines", "EvaluateExpression", "GetAccountLimits", "GetPipelineDefinition", "ListPipelines", "PollForTask", "PutAccountLimits", "PutPipelineDefinition", "QueryObjects", "RemoveTags", "ReportTaskProgress", "ReportTaskRunnerHeartbeat", "SetStatus", "SetTaskStatus", "ValidatePipelineDefinition"], "conditionKeys": ["datapipeline:PipelineCreator", "datapipeline:Tag", "datapipeline:workerGroup"], "HasResource": false }, "AWS Server Migration Service": { "StringPrefix": "sms", "Actions": ["CreateApp", "CreateReplicationJob", "DeleteApp", "DeleteAppLaunchConfiguration", "DeleteAppReplicationConfiguration", "DeleteReplicationJob", "DeleteServerCatalog", "DisassociateConnectors", "GenerateChangeSet", "GenerateTemplate", "GetApp", "GetAppLaunchConfiguration", "GetAppReplicationConfiguration", "GetConnectors", "GetReplicationJobs", "GetReplicationRuns", "GetServers", "ImportServerCatalog", "LaunchApp", "ListApps", "PutAppLaunchConfiguration", "PutAppReplicationConfiguration", "StartAppReplication", "StartOnDemandReplicationRun", "StopAppReplication", "TerminateApp", "UpdateApp", "UpdateReplicationJob"], "ARNFormat": "arn:aws:<serviceName>:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:<serviceName>:.+:.+:.+", "HasResource": false }, "AWS CodeBuild": { "StringPrefix": "codebuild", "Actions": ["BatchDeleteBuilds", "BatchGetBuilds", "BatchGetProjects", "CreateProject", "CreateWebhook", "DeleteOAuthToken", "DeleteProject", "DeleteSourceCredentials", "DeleteWebhook", "ImportSourceCredentials", "InvalidateProjectCache", "ListBuilds", "ListBuildsForProject", "ListConnectedOAuthAccounts", "ListCuratedEnvironmentImages", "ListProjects", "ListRepositories", "ListSourceCredentials", "PersistOAuthToken", "StartBuild", "StopBuild", "UpdateProject", "UpdateWebhook"], "ARNFormat": "arn:${Partition}:codebuild:<region>:<account_ID>:<resource_type>/<resource_id>", "ARNRegex": "^arn:${Partition}:codebuild:.+:[0-9]+:.+/.+", "HasResource": true }, "AWS IoT Analytics": { "StringPrefix": "iotanalytics", "Actions": ["BatchPutMessage", "CancelPipelineReprocessing", "CreateChannel", "CreateDataset", "CreateDatasetContent", "CreateDatastore", "CreatePipeline", "DeleteChannel", "DeleteDataset", "DeleteDatasetContent", "DeleteDatastore", "DeletePipeline", "DescribeChannel", "DescribeDataset", "DescribeDatastore", "DescribeLoggingOptions", "DescribePipeline", "GetDatasetContent", "ListChannels", "ListDatasets", "ListDatastores", "ListPipelines", "ListTagsForResource", "PutLoggingOptions", "RunPipelineActivity", "SampleChannelData", "StartPipelineReprocessing", "TagResource", "UntagResource", "UpdateChannel", "UpdateDataset", "UpdateDatastore", "UpdatePipeline"], "ARNFormat": "arn:aws:iotanalytics:<region>:<account_ID>:<type>/<name>", "ARNRegex": "^arn:aws:iotanalytics:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:TagKeys", "iotanalytics:ResourceTag/${TagKey}"], "HasResource": true }, "AWS CloudFormation": { "StringPrefix": "cloudformation", "Actions": ["CancelUpdateStack", "ContinueUpdateRollback", "CreateChangeSet", "CreateStack", "CreateStackInstances", "CreateStackSet", "CreateUploadBucket", "DeleteChangeSet", "DeleteStack", "DeleteStackInstances", "DeleteStackSet", "DescribeAccountLimits", "DescribeChangeSet", "DescribeStackDriftDetectionStatus", "DescribeStackEvents", "DescribeStackInstance", "DescribeStackResource", "DescribeStackResourceDrifts", "DescribeStackResources", "DescribeStackSet", "DescribeStackSetOperation", "DescribeStacks", "DetectStackDrift", "DetectStackResourceDrift", "EstimateTemplateCost", "ExecuteChangeSet", "GetStackPolicy", "GetTemplate", "GetTemplateSummary", "ListChangeSets", "ListExports", "ListImports", "ListStackInstances", "ListStackResources", "ListStackSetOperationResults", "ListStackSetOperations", "ListStackSets", "ListStacks", "SetStackPolicy", "SignalResource", "StopStackSetOperation", "UpdateStack", "UpdateStackInstances", "UpdateStackSet", "UpdateTerminationProtection", "ValidateTemplate"], "ARNFormat": "arn:aws:cloudformation:<region>:<account>:<relative-id>", "ARNRegex": "^arn:aws:cloudformation:.+:[0-9]+:.+", "conditionKeys": ["cloudformation:ChangeSetName", "cloudformation:ResourceTypes", "cloudformation:RoleArn", "cloudformation:StackPolicyUrl", "cloudformation:TemplateUrl"], "HasResource": true }, "Amazon Connect": { "StringPrefix": "connect", "Actions": ["CreateInstance", "DescribeInstance", "DestroyInstance", "GetCurrentMetricData", "GetFederationToken", "GetFederationTokens", "GetMetricData", "ListInstances", "ModifyInstance", "StartOutboundVoiceContact", "StopContact"], "ARNFormat": "arn:${Partition}:connect", "ARNRegex": "^arn:${Partition}:connect:.+", "HasResource": true }, "Amazon Pinpoint Email Service": { "StringPrefix": "ses", "Actions": ["CreateConfigurationSet", "CreateConfigurationSetEventDestination", "CreateDedicatedIpPool", "CreateDeliverabilityTestReport", "CreateEmailIdentity", "DeleteConfigurationSet", "DeleteConfigurationSetEventDestination", "DeleteDedicatedIpPool", "DeleteEmailIdentity", "GetAccount", "GetBlacklistReports", "GetConfigurationSet", "GetConfigurationSetEventDestinations", "GetDedicatedIp", "GetDedicatedIps", "GetDeliverabilityDashboardOptions", "GetDeliverabilityTestReport", "GetDomainStatisticsReport", "GetEmailIdentity", "ListConfigurationSets", "ListDedicatedIpPools", "ListDeliverabilityTestReports", "ListEmailIdentities", "ListTagsForResource", "PutAccountDedicatedIpWarmupAttributes", "PutAccountSendingAttributes", "PutConfigurationSetDeliveryOptions", "PutConfigurationSetReputationOptions", "PutConfigurationSetSendingOptions", "PutConfigurationSetTrackingOptions", "PutDedicatedIpInPool", "PutDedicatedIpWarmupAttributes", "PutDeliverabilityDashboardOption", "PutEmailIdentityDkimAttributes", "PutEmailIdentityFeedbackAttributes", "PutEmailIdentityMailFromAttributes", "SendEmail", "TagResource", "UntagResource", "UpdateConfigurationSetEventDestination"], "ARNFormat": "arn:aws:ses:<region>:<account_ID>:<arn_type>/<resource_id>", "ARNRegex": "^arn:aws:ses:.+:[0-9]+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "ses:FeedbackAddress", "ses:FromAddress", "ses:FromDisplayName", "ses:Recipients"], "HasResource": true }, "Amazon SES": { "StringPrefix": "ses", "Actions": ["CloneReceiptRuleSet", "CreateConfigurationSet", "CreateConfigurationSetEventDestination", "CreateConfigurationSetTrackingOptions", "CreateCustomVerificationEmailTemplate", "CreateReceiptFilter", "CreateReceiptRule", "CreateReceiptRuleSet", "CreateTemplate", "DeleteConfigurationSet", "DeleteConfigurationSetEventDestination", "DeleteConfigurationSetTrackingOptions", "DeleteCustomVerificationEmailTemplate", "DeleteIdentity", "DeleteIdentityPolicy", "DeleteReceiptFilter", "DeleteReceiptRule", "DeleteReceiptRuleSet", "DeleteTemplate", "DeleteVerifiedEmailAddress", "DescribeActiveReceiptRuleSet", "DescribeConfigurationSet", "DescribeReceiptRule", "DescribeReceiptRuleSet", "GetAccountSendingEnabled", "GetCustomVerificationEmailTemplate", "GetIdentityDkimAttributes", "GetIdentityMailFromDomainAttributes", "GetIdentityNotificationAttributes", "GetIdentityPolicies", "GetIdentityVerificationAttributes", "GetSendQuota", "GetSendStatistics", "GetTemplate", "ListConfigurationSets", "ListCustomVerificationEmailTemplates", "ListIdentities", "ListIdentityPolicies", "ListReceiptFilters", "ListReceiptRuleSets", "ListTemplates", "ListVerifiedEmailAddresses", "PutIdentityPolicy", "ReorderReceiptRuleSet", "SendBounce", "SendBulkTemplatedEmail", "SendCustomVerificationEmail", "SendEmail", "SendRawEmail", "SendTemplatedEmail", "SetActiveReceiptRuleSet", "SetIdentityDkimEnabled", "SetIdentityFeedbackForwardingEnabled", "SetIdentityHeadersInNotificationsEnabled", "SetIdentityMailFromDomain", "SetIdentityNotificationTopic", "SetReceiptRulePosition", "TestRenderTemplate", "UpdateAccountSendingEnabled", "UpdateConfigurationSetEventDestination", "UpdateConfigurationSetReputationMetricsEnabled", "UpdateConfigurationSetSendingEnabled", "UpdateConfigurationSetTrackingOptions", "UpdateCustomVerificationEmailTemplate", "UpdateReceiptRule", "UpdateTemplate", "VerifyDomainDkim", "VerifyDomainIdentity", "VerifyEmailAddress", "VerifyEmailIdentity"], "ARNFormat": "arn:aws:ses:<region>:<account_ID>:<arn_type>/<resource_id>", "ARNRegex": "^arn:aws:ses:.+:[0-9]+:.+", "conditionKeys": ["ses:FeedbackAddress", "ses:FromAddress", "ses:FromDisplayName", "ses:Recipients"], "HasResource": true }, "AWS Cost Explorer Service": { "StringPrefix": "ce", "Actions": ["GetCostAndUsage", "GetCostForecast", "GetDimensionValues", "GetReservationCoverage", "GetReservationPurchaseRecommendation", "GetReservationUtilization", "GetTags"], "ARNFormat": "arn:aws:ce::<account_ID>:ce", "ARNRegex": "^arn:aws:ce::.+:.+", "HasResource": false }, "Amazon Elastic Inference": { "StringPrefix": "elastic-inference", "Actions": ["Connect"], "ARNFormat": "arn:aws:elastic-inference:<region>:<account-id>:elastic-inference-accelerator/<identifier>", "ARNRegex": "^arn:${Partition}:elastic-inference:.+", "HasResource": true }, "AWS Health APIs and Notifications": { "StringPrefix": "health", "Actions": ["DescribeAffectedEntities", "DescribeEntityAggregates", "DescribeEventAggregates", "DescribeEventDetails", "DescribeEventTypes", "DescribeEvents"], "ARNFormat": "arn:aws:health::<namespace>:<relative-id>", "ARNRegex": "^arn:aws:health:[^:]*:[^:]*:.+", "conditionKeys": ["health:eventTypeCode", "health:service"], "HasResource": true }, "Amazon GameLift": { "StringPrefix": "gamelift", "Actions": ["CreateAlias", "CreateBuild", "CreateFleet", "CreateGameSession", "CreatePlayerSession", "CreatePlayerSessions", "DeleteAlias", "DeleteBuild", "DeleteFleet", "DeleteScalingPolicy", "DescribeAlias", "DescribeBuild", "DescribeEC2InstanceLimits", "DescribeFleetAttributes", "DescribeFleetCapacity", "DescribeFleetEvents", "DescribeFleetPortSettings", "DescribeFleetUtilization", "DescribeGameSessionDetails", "DescribeGameSessions", "DescribeInstances", "DescribePlayerSessions", "DescribeRuntimeConfiguration", "DescribeScalingPolicies", "GetGameSessionLogUrl", "GetInstanceAccess", "ListAliases", "ListBuilds", "ListFleets", "PutScalingPolicy", "RequestUploadCredentials", "ResolveAlias", "SearchGameSessions", "UpdateAlias", "UpdateBuild", "UpdateFleetAttributes", "UpdateFleetCapacity", "UpdateFleetPortSettings", "UpdateGameSession", "UpdateRuntimeConfiguration"], "HasResource": false }, "AWS DeepLens": { "StringPrefix": "deeplens", "Actions": ["AssociateServiceRoleToAccount", "BatchGetDevice", "BatchGetModel", "BatchGetProject", "CreateDeviceCertificates", "CreateModel", "CreateProject", "DeleteModel", "DeleteProject", "DeployProject", "DeregisterDevice", "GetAssociatedResources", "GetDeploymentStatus", "GetDevice", "GetModel", "GetProject", "ImportProjectFromTemplate", "ListDeployments", "ListDevices", "ListModels", "ListProjects", "RegisterDevice", "RemoveProject", "UpdateProject"], "ARNFormat": "arn:aws:deeplens:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:deeplens:.+:.+:.+", "HasResource": true }, "The Data API allows access to RDS databases using web services-based APIs": { "StringPrefix": "rds-data", "Actions": ["BatchExecuteStatement", "BeginTransaction", "CommitTransaction", "ExecuteStatement", "RollbackTransaction"], "HasResource": false }, "AWS OpsWorks Configuration Management": { "StringPrefix": "opsworks-cm", "Actions": ["AssociateNode", "CreateBackup", "CreateServer", "DeleteBackup", "DeleteServer", "DescribeAccountAttributes", "DescribeBackups", "DescribeEvents", "DescribeNodeAssociationStatus", "DescribeServers", "DisassociateNode", "RestoreServer", "StartMaintenance", "UpdateServer", "UpdateServerEngineAttributes"], "ARNFormat": "arn:aws:opsworks-cm:<region>:<account>:<resourceType>/<id>", "ARNRegex": "^arn:aws:opsworks-cm:.+:[0-9]+:.+", "HasResource": false }, "AWS SSO Directory": { "StringPrefix": "sso-directory", "Actions": ["AddMemberToGroup", "CreateAlias", "CreateGroup", "CreateUser", "DeleteGroup", "DeleteUser", "DescribeDirectory", "DescribeGroups", "DescribeUsers", "DisableUser", "EnableUser", "ListGroupsForUser", "ListMembersInGroup", "RemoveMemberFromGroup", "UpdateGroup", "UpdatePassword", "UpdateUser", "VerifyEmail"], "ARNFormat": "arn:${Partition}:sso-directory:${Region}:${Account}:<relative-id>", "ARNRegex": "^arn:${Partition}:sso-directory:${Region}:.+", "HasResource": false }, "Application Discovery": { "StringPrefix": "discovery", "Actions": ["AssociateConfigurationItemsToApplication", "BatchDeleteImportData", "CreateApplication", "CreateTags", "DeleteApplications", "DeleteTags", "DescribeAgents", "DescribeConfigurations", "DescribeContinuousExports", "DescribeExportConfigurations", "DescribeExportTasks", "DescribeImportTasks", "DescribeTags", "DisassociateConfigurationItemsFromApplication", "ExportConfigurations", "GetDiscoverySummary", "ListConfigurations", "ListServerNeighbors", "StartContinuousExport", "StartDataCollectionByAgentIds", "StartExportTask", "StartImportTask", "StopContinuousExport", "StopDataCollectionByAgentIds", "UpdateApplication"], "HasResource": false }, "AWS CodeCommit": { "StringPrefix": "codecommit", "Actions": ["BatchGetRepositories", "CancelUploadArchive", "CreateBranch", "CreateCommit", "CreatePullRequest", "CreateRepository", "DeleteBranch", "DeleteCommentContent", "DeleteFile", "DeleteRepository", "DescribePullRequestEvents", "GetBlob", "GetBranch", "GetComment", "GetCommentsForComparedCommit", "GetCommentsForPullRequest", "GetCommit", "GetCommitHistory", "GetCommitsFromMergeBase", "GetDifferences", "GetFile", "GetFolder", "GetMergeConflicts", "GetObjectIdentifier", "GetPullRequest", "GetReferences", "GetRepository", "GetRepositoryTriggers", "GetTree", "GetUploadArchiveStatus", "GitPull", "GitPush", "ListBranches", "ListPullRequests", "ListRepositories", "ListTagsForResource", "MergePullRequestByFastForward", "PostCommentForComparedCommit", "PostCommentForPullRequest", "PostCommentReply", "PutFile", "PutRepositoryTriggers", "TagResource", "TestRepositoryTriggers", "UntagResource", "UpdateComment", "UpdateDefaultBranch", "UpdatePullRequestDescription", "UpdatePullRequestStatus", "UpdatePullRequestTitle", "UpdateRepositoryDescription", "UpdateRepositoryName", "UploadArchive"], "ARNFormat": "arn:aws:codecommit:<region>:<account_ID>:<repository_name>", "ARNRegex": "^arn:aws:codecommit:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "codecommit:References"], "HasResource": true }, "Amazon SNS": { "StringPrefix": "sns", "Actions": ["AddPermission", "CheckIfPhoneNumberIsOptedOut", "ConfirmSubscription", "CreatePlatformApplication", "CreatePlatformEndpoint", "CreateTopic", "DeleteEndpoint", "DeletePlatformApplication", "DeleteTopic", "GetEndpointAttributes", "GetPlatformApplicationAttributes", "GetSMSAttributes", "GetSubscriptionAttributes", "GetTopicAttributes", "ListEndpointsByPlatformApplication", "ListPhoneNumbersOptedOut", "ListPlatformApplications", "ListSubscriptions", "ListSubscriptionsByTopic", "ListTopics", "OptInPhoneNumber", "Publish", "RemovePermission", "SetEndpointAttributes", "SetPlatformApplicationAttributes", "SetSMSAttributes", "SetSubscriptionAttributes", "SetTopicAttributes", "Subscribe", "Unsubscribe"], "ARNFormat": "arn:aws:sns:<region>:<account_ID>:<topic_name>", "ARNRegex": "^arn:aws:sns:.+", "conditionKeys": ["sns:Endpoint", "sns:Protocol"], "HasResource": true }, "AWS Trusted Advisor": { "StringPrefix": "trustedadvisor", "Actions": ["DescribeAccountAccess", "DescribeCheckItems", "DescribeCheckRefreshStatuses", "DescribeCheckSummaries", "DescribeNotificationPreferences", "ExcludeCheckItems", "IncludeCheckItems", "RefreshCheck", "SetAccountAccess", "UpdateNotificationPreferences"], "ARNFormat": "arn:aws:trustedadvisor:*:<account_ID>:checks/{category}/{checkId}", "ARNRegex": "arn:aws:trustedadvisor:*", "HasResource": true }, "Amazon Cognito User Pools": { "StringPrefix": "cognito-idp", "Actions": ["AddCustomAttributes", "AdminAddUserToGroup", "AdminConfirmSignUp", "AdminCreateUser", "AdminDeleteUser", "AdminDeleteUserAttributes", "AdminDisableProviderForUser", "AdminDisableUser", "AdminEnableUser", "AdminForgetDevice", "AdminGetDevice", "AdminGetUser", "AdminInitiateAuth", "AdminLinkProviderForUser", "AdminListDevices", "AdminListGroupsForUser", "AdminListUserAuthEvents", "AdminRemoveUserFromGroup", "AdminResetUserPassword", "AdminRespondToAuthChallenge", "AdminSetUserMFAPreference", "AdminSetUserPassword", "AdminSetUserSettings", "AdminUpdateAuthEventFeedback", "AdminUpdateDeviceStatus", "AdminUpdateUserAttributes", "AdminUserGlobalSignOut", "AssociateSoftwareToken", "ChangePassword", "ConfirmDevice", "ConfirmForgotPassword", "ConfirmSignUp", "CreateGroup", "CreateIdentityProvider", "CreateResourceServer", "CreateUserImportJob", "CreateUserPool", "CreateUserPoolClient", "CreateUserPoolDomain", "DeleteGroup", "DeleteIdentityProvider", "DeleteResourceServer", "DeleteUser", "DeleteUserAttributes", "DeleteUserPool", "DeleteUserPoolClient", "DeleteUserPoolDomain", "DescribeIdentityProvider", "DescribeResourceServer", "DescribeRiskConfiguration", "DescribeUserImportJob", "DescribeUserPool", "DescribeUserPoolClient", "DescribeUserPoolDomain", "ForgetDevice", "ForgotPassword", "GetCSVHeader", "GetDevice", "GetGroup", "GetIdentityProviderByIdentifier", "GetSigningCertificate", "GetUICustomization", "GetUser", "GetUserAttributeVerificationCode", "GetUserPoolMfaConfig", "GlobalSignOut", "InitiateAuth", "ListDevices", "ListGroups", "ListIdentityProviders", "ListResourceServers", "ListTagsForResource", "ListUserImportJobs", "ListUserPoolClients", "ListUserPools", "ListUsers", "ListUsersInGroup", "ResendConfirmationCode", "RespondToAuthChallenge", "SetRiskConfiguration", "SetUICustomization", "SetUserMFAPreference", "SetUserPoolMfaConfig", "SetUserSettings", "SignUp", "StartUserImportJob", "StopUserImportJob", "TagResource", "UntagResource", "UpdateAuthEventFeedback", "UpdateDeviceStatus", "UpdateGroup", "UpdateIdentityProvider", "UpdateResourceServer", "UpdateUserAttributes", "UpdateUserPool", "UpdateUserPoolClient", "UpdateUserPoolDomain", "VerifySoftwareToken", "VerifyUserAttribute"], "ARNFormat": "arn:aws:cognito-idp:<region>:<account>:<resourceType>/<resourcePath>:", "ARNRegex": "^arn:aws:cognito-idp:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Config": { "StringPrefix": "config", "Actions": ["BatchGetAggregateResourceConfig", "BatchGetResourceConfig", "DeleteAggregationAuthorization", "DeleteConfigRule", "DeleteConfigurationAggregator", "DeleteConfigurationRecorder", "DeleteDeliveryChannel", "DeleteEvaluationResults", "DeletePendingAggregationRequest", "DeleteRemediationConfiguration", "DeleteRetentionConfiguration", "DeliverConfigSnapshot", "DescribeAggregateComplianceByConfigRules", "DescribeAggregationAuthorizations", "DescribeComplianceByConfigRule", "DescribeComplianceByResource", "DescribeConfigRuleEvaluationStatus", "DescribeConfigRules", "DescribeConfigurationAggregatorSourcesStatus", "DescribeConfigurationAggregators", "DescribeConfigurationRecorderStatus", "DescribeConfigurationRecorders", "DescribeDeliveryChannelStatus", "DescribeDeliveryChannels", "DescribePendingAggregationRequests", "DescribeRemediationConfigurations", "DescribeRemediationExecutionStatus", "DescribeRetentionConfigurations", "GetAggregateComplianceDetailsByConfigRule", "GetAggregateConfigRuleComplianceSummary", "GetAggregateDiscoveredResourceCounts", "GetAggregateResourceConfig", "GetComplianceDetailsByConfigRule", "GetComplianceDetailsByResource", "GetComplianceSummaryByConfigRule", "GetComplianceSummaryByResourceType", "GetDiscoveredResourceCounts", "GetResourceConfigHistory", "GetResources", "GetTagKeys", "ListAggregateDiscoveredResources", "ListDiscoveredResources", "ListTagsForResource", "PutAggregationAuthorization", "PutConfigRule", "PutConfigurationAggregator", "PutConfigurationRecorder", "PutDeliveryChannel", "PutEvaluations", "PutRemediationConfigurations", "PutRetentionConfiguration", "SelectResourceConfig", "StartConfigRulesEvaluation", "StartConfigurationRecorder", "StartRemediationExecution", "StopConfigurationRecorder", "TagResource", "UntagResource"], "ARNFormat": "arn:<partition>:config:<region>:<account>:<resourceType>/<resourceId>", "ARNRegex": "arn:<partition>:config:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon RDS": { "StringPrefix": "rds", "Actions": ["AddRoleToDBCluster", "AddRoleToDBInstance", "AddSourceIdentifierToSubscription", "AddTagsToResource", "ApplyPendingMaintenanceAction", "AuthorizeDBSecurityGroupIngress", "BacktrackDBCluster", "CopyDBClusterParameterGroup", "CopyDBClusterSnapshot", "CopyDBParameterGroup", "CopyDBSnapshot", "CopyOptionGroup", "CreateDBCluster", "CreateDBClusterEndpoint", "CreateDBClusterParameterGroup", "CreateDBClusterSnapshot", "CreateDBInstance", "CreateDBInstanceReadReplica", "CreateDBParameterGroup", "CreateDBSecurityGroup", "CreateDBSnapshot", "CreateDBSubnetGroup", "CreateEventSubscription", "CreateGlobalCluster", "CreateOptionGroup", "DeleteDBCluster", "DeleteDBClusterEndpoint", "DeleteDBClusterParameterGroup", "DeleteDBClusterSnapshot", "DeleteDBInstance", "DeleteDBInstanceAutomatedBackup", "DeleteDBParameterGroup", "DeleteDBSecurityGroup", "DeleteDBSnapshot", "DeleteDBSubnetGroup", "DeleteEventSubscription", "DeleteGlobalCluster", "DeleteOptionGroup", "DescribeAccountAttributes", "DescribeCertificates", "DescribeDBClusterBacktracks", "DescribeDBClusterEndpoints", "DescribeDBClusterParameterGroups", "DescribeDBClusterParameters", "DescribeDBClusterSnapshotAttributes", "DescribeDBClusterSnapshots", "DescribeDBClusters", "DescribeDBEngineVersions", "DescribeDBInstanceAutomatedBackups", "DescribeDBInstances", "DescribeDBLogFiles", "DescribeDBParameterGroups", "DescribeDBParameters", "DescribeDBSecurityGroups", "DescribeDBSnapshotAttributes", "DescribeDBSnapshots", "DescribeDBSubnetGroups", "DescribeEngineDefaultClusterParameters", "DescribeEngineDefaultParameters", "DescribeEventCategories", "DescribeEventSubscriptions", "DescribeEvents", "DescribeGlobalClusters", "DescribeOptionGroupOptions", "DescribeOptionGroups", "DescribeOrderableDBInstanceOptions", "DescribePendingMaintenanceActions", "DescribeReservedDBInstances", "DescribeReservedDBInstancesOfferings", "DescribeSourceRegions", "DescribeValidDBInstanceModifications", "DownloadCompleteDBLogFile", "DownloadDBLogFilePortion", "FailoverDBCluster", "ListTagsForResource", "ModifyCurrentDBClusterCapacity", "ModifyDBCluster", "ModifyDBClusterEndpoint", "ModifyDBClusterParameterGroup", "ModifyDBClusterSnapshotAttribute", "ModifyDBInstance", "ModifyDBParameterGroup", "ModifyDBSnapshot", "ModifyDBSnapshotAttribute", "ModifyDBSubnetGroup", "ModifyEventSubscription", "ModifyGlobalCluster", "ModifyOptionGroup", "PromoteReadReplica", "PromoteReadReplicaDBCluster", "PurchaseReservedDBInstancesOffering", "RebootDBInstance", "RemoveFromGlobalCluster", "RemoveRoleFromDBCluster", "RemoveRoleFromDBInstance", "RemoveSourceIdentifierFromSubscription", "RemoveTagsFromResource", "ResetDBClusterParameterGroup", "ResetDBParameterGroup", "RestoreDBClusterFromS3", "RestoreDBClusterFromSnapshot", "RestoreDBClusterToPointInTime", "RestoreDBInstanceFromDBSnapshot", "RestoreDBInstanceFromS3", "RestoreDBInstanceToPointInTime", "RevokeDBSecurityGroupIngress", "StartDBCluster", "StartDBInstance", "StopDBCluster", "StopDBInstance"], "ARNFormat": "arn:aws:rds:<region>:<accountID>:<relative-id>", "ARNRegex": "^arn:aws:rds:.+", "conditionKeys": ["Piops", "rds:DatabaseClass", "rds:DatabaseEngine", "rds:DatabaseName", "rds:EndpointType", "rds:MultiAz", "rds:Piops", "rds:StorageEncrypted", "rds:StorageSize", "rds:Vpc", "rds:cluster-pg-tag", "rds:cluster-snapshot-tag", "rds:cluster-tag", "rds:db-tag", "rds:es-tag", "rds:og-tag", "rds:pg-tag", "rds:req-tag", "rds:ri-tag", "rds:secgrp-tag", "rds:snapshot-tag", "rds:subgrp-tag"], "HasResource": true }, "AWS Elastic Beanstalk": { "StringPrefix": "elasticbeanstalk", "Actions": ["AbortEnvironmentUpdate", "AddTags", "ApplyEnvironmentManagedAction", "CheckDNSAvailability", "ComposeEnvironments", "CreateApplication", "CreateApplicationVersion", "CreateConfigurationTemplate", "CreateEnvironment", "CreatePlatformVersion", "CreateStorageLocation", "DeleteApplication", "DeleteApplicationVersion", "DeleteConfigurationTemplate", "DeleteEnvironmentConfiguration", "DeletePlatformVersion", "DescribeAccountAttributes", "DescribeApplicationVersions", "DescribeApplications", "DescribeConfigurationOptions", "DescribeConfigurationSettings", "DescribeEnvironmentHealth", "DescribeEnvironmentManagedActionHistory", "DescribeEnvironmentManagedActions", "DescribeEnvironmentResources", "DescribeEnvironments", "DescribeEvents", "DescribeInstancesHealth", "DescribePlatformVersion", "ListAvailableSolutionStacks", "ListPlatformVersions", "ListTagsForResource", "RebuildEnvironment", "RemoveTags", "RequestEnvironmentInfo", "RestartAppServer", "RetrieveEnvironmentInfo", "SwapEnvironmentCNAMEs", "TerminateEnvironment", "UpdateApplication", "UpdateApplicationResourceLifecycle", "UpdateApplicationVersion", "UpdateConfigurationTemplate", "UpdateEnvironment", "ValidateConfigurationSettings"], "ARNFormat": "arn:aws:elasticbeanstalk:<region>:<account_ID>:<resource_type>/<path_to_resource>", "ARNRegex": "^arn:aws:elasticbeanstalk:.+:.*:.+/.+", "conditionKeys": ["elasticbeanstalk:FromApplication", "elasticbeanstalk:FromApplicationVersion", "elasticbeanstalk:FromConfigurationTemplate", "elasticbeanstalk:FromEnvironment", "elasticbeanstalk:FromPlatform", "elasticbeanstalk:FromSolutionStack", "elasticbeanstalk:InApplication"], "HasResource": true }, "Amazon Simple Workflow Service": { "StringPrefix": "swf", "Actions": ["CancelTimer", "CancelWorkflowExecution", "CompleteWorkflowExecution", "ContinueAsNewWorkflowExecution", "CountClosedWorkflowExecutions", "CountOpenWorkflowExecutions", "CountPendingActivityTasks", "CountPendingDecisionTasks", "DeprecateActivityType", "DeprecateDomain", "DeprecateWorkflowType", "DescribeActivityType", "DescribeDomain", "DescribeWorkflowExecution", "DescribeWorkflowType", "FailWorkflowExecution", "GetWorkflowExecutionHistory", "ListActivityTypes", "ListClosedWorkflowExecutions", "ListDomains", "ListOpenWorkflowExecutions", "ListWorkflowTypes", "PollForActivityTask", "PollForDecisionTask", "RecordActivityTaskHeartbeat", "RecordMarker", "RegisterActivityType", "RegisterDomain", "RegisterWorkflowType", "RequestCancelActivityTask", "RequestCancelExternalWorkflowExecution", "RequestCancelWorkflowExecution", "RespondActivityTaskCanceled", "RespondActivityTaskCompleted", "RespondActivityTaskFailed", "RespondDecisionTaskCompleted", "ScheduleActivityTask", "SignalExternalWorkflowExecution", "SignalWorkflowExecution", "StartChildWorkflowExecution", "StartTimer", "StartWorkflowExecution", "TerminateWorkflowExecution"], "ARNFormat": "arn:aws:swf:<region>:<account>:/<domain>/<domainName>", "ARNRegex": "^arn:aws:swf:.+", "conditionKeys": [" swf:workflowType.name", "swf:activityType.name", "swf:activityType.version", "swf:defaultTaskList.name", "swf:name", "swf:tagFilter.tag", "swf:tagList.member.0", "swf:tagList.member.1", "swf:tagList.member.2", "swf:tagList.member.3", "swf:tagList.member.4", "swf:taskList.name", "swf:typeFilter.name", "swf:typeFilter.version", "swf:version", "swf:workflowType.name", "swf:workflowType.version"], "HasResource": true }, "Amazon Macie": { "StringPrefix": "macie", "Actions": ["AssociateMemberAccount", "AssociateS3Resources", "DisassociateMemberAccount", "DisassociateS3Resources", "ListMemberAccounts", "ListS3Resources", "UpdateS3Resources"], "conditionKeys": ["aws:SourceArn"], "HasResource": false }, "AWS AppSync": { "StringPrefix": "appsync", "Actions": ["CreateApiKey", "CreateDataSource", "CreateFunction", "CreateGraphqlApi", "CreateResolver", "CreateType", "DeleteApiKey", "DeleteDataSource", "DeleteFunction", "DeleteGraphqlApi", "DeleteResolver", "DeleteType", "GetDataSource", "GetFunction", "GetGraphqlApi", "GetIntrospectionSchema", "GetResolver", "GetSchemaCreationStatus", "GetType", "GraphQL", "ListApiKeys", "ListDataSources", "ListFunctions", "ListGraphqlApis", "ListResolvers", "ListTypes", "StartSchemaCreation", "UpdateApiKey", "UpdateDataSource", "UpdateFunction", "UpdateGraphqlApi", "UpdateResolver", "UpdateType"], "ARNFormat": "arn:aws:appsync:<region>:<account>:<resourceType>/<resourcePath>", "ARNRegex": "^arn:aws:appsync:.+", "HasResource": true }, "Elastic Load Balancing V2": { "StringPrefix": "elasticloadbalancing", "Actions": ["AddListenerCertificates", "AddTags", "CreateListener", "CreateLoadBalancer", "CreateRule", "CreateTargetGroup", "DeleteListener", "DeleteLoadBalancer", "DeleteRule", "DeleteTargetGroup", "DeregisterTargets", "DescribeAccountLimits", "DescribeListenerCertificates", "DescribeListeners", "DescribeLoadBalancerAttributes", "DescribeLoadBalancers", "DescribeRules", "DescribeSSLPolicies", "DescribeTags", "DescribeTargetGroupAttributes", "DescribeTargetGroups", "DescribeTargetHealth", "ModifyListener", "ModifyLoadBalancerAttributes", "ModifyRule", "ModifyTargetGroup", "ModifyTargetGroupAttributes", "RegisterTargets", "RemoveListenerCertificates", "RemoveTags", "SetIpAddressType", "SetRulePriorities", "SetSecurityGroups", "SetSubnets", "SetWebAcl"], "ARNFormat": "arn:aws:elasticloadbalancing:<region>:<account>:<resourceType>/<resourceid>", "ARNRegex": "^arn:aws:elasticloadbalancing:.+", "conditionKeys": ["aws:RequestTag/tag-key", "aws:TagKeys", "elasticloadbalancing:ResourceTag/", "elasticloadbalancing:ResourceTag/tag-key"], "HasResource": true }, "Elastic Load Balancing": { "StringPrefix": "elasticloadbalancing", "Actions": ["AddTags", "ApplySecurityGroupsToLoadBalancer", "AttachLoadBalancerToSubnets", "ConfigureHealthCheck", "CreateAppCookieStickinessPolicy", "CreateLBCookieStickinessPolicy", "CreateLoadBalancer", "CreateLoadBalancerListeners", "CreateLoadBalancerPolicy", "DeleteLoadBalancer", "DeleteLoadBalancerListeners", "DeleteLoadBalancerPolicy", "DeregisterInstancesFromLoadBalancer", "DescribeInstanceHealth", "DescribeLoadBalancerAttributes", "DescribeLoadBalancerPolicies", "DescribeLoadBalancerPolicyTypes", "DescribeLoadBalancers", "DescribeTags", "DetachLoadBalancerFromSubnets", "DisableAvailabilityZonesForLoadBalancer", "EnableAvailabilityZonesForLoadBalancer", "ModifyLoadBalancerAttributes", "RegisterInstancesWithLoadBalancer", "RemoveTags", "SetLoadBalancerListenerSSLCertificate", "SetLoadBalancerPoliciesForBackendServer", "SetLoadBalancerPoliciesOfListener"], "ARNFormat": "arn:aws:elasticloadbalancing:<region>:<account>:<resourceType>/<resourceid>", "ARNRegex": "^arn:aws:elasticloadbalancing:.+", "conditionKeys": ["aws:RequestTag/tag-key", "aws:TagKeys", "elasticloadbalancing:ResourceTag/", "elasticloadbalancing:ResourceTag/tag-key"], "HasResource": true }, "AWS Certificate Manager": { "StringPrefix": "acm", "Actions": ["AddTagsToCertificate", "DeleteCertificate", "DescribeCertificate", "ExportCertificate", "GetCertificate", "ImportCertificate", "ListCertificates", "ListTagsForCertificate", "RemoveTagsFromCertificate", "RenewCertificate", "RequestCertificate", "ResendValidationEmail", "UpdateCertificateOptions"], "ARNFormat": "arn:aws:acm:<region>:<account_ID>:<arn_type>/<resource_id>", "ARNRegex": "^arn:aws:acm:.+:[0-9]+:.+", "HasResource": true }, "AWS X-Ray": { "StringPrefix": "xray", "Actions": ["BatchGetTraces", "CreateGroup", "CreateSamplingRule", "DeleteGroup", "DeleteSamplingRule", "GetEncryptionConfig", "GetGroup", "GetGroups", "GetSamplingRules", "GetSamplingStatisticSummaries", "GetSamplingTargets", "GetServiceGraph", "GetTimeSeriesServiceStatistics", "GetTraceGraph", "GetTraceSummaries", "PutEncryptionConfig", "PutTelemetryRecords", "PutTraceSegments", "UpdateGroup", "UpdateSamplingRule"], "ARNFormat": "arn:${Partition}:xray:${Region}:${Account}:${ResourceType}/${ResourceId}", "ARNRegex": "^arn:${Partition}:xray:.+", "HasResource": true }, "Amazon CloudFront": { "StringPrefix": "cloudfront", "Actions": ["CreateCloudFrontOriginAccessIdentity", "CreateDistribution", "CreateDistributionWithTags", "CreateInvalidation", "CreateStreamingDistribution", "CreateStreamingDistributionWithTags", "DeleteCloudFrontOriginAccessIdentity", "DeleteDistribution", "DeleteStreamingDistribution", "GetCloudFrontOriginAccessIdentity", "GetCloudFrontOriginAccessIdentityConfig", "GetDistribution", "GetDistributionConfig", "GetInvalidation", "GetStreamingDistribution", "GetStreamingDistributionConfig", "ListCloudFrontOriginAccessIdentities", "ListDistributions", "ListDistributionsByWebACLId", "ListInvalidations", "ListStreamingDistributions", "ListTagsForResource", "TagResource", "UntagResource", "UpdateCloudFrontOriginAccessIdentity", "UpdateDistribution", "UpdateStreamingDistribution"], "HasResource": false }, "Amazon Elastic Container Service for Kubernetes": { "StringPrefix": "eks", "Actions": ["CreateCluster", "DeleteCluster", "DescribeCluster", "DescribeUpdate", "ListClusters", "ListUpdates", "UpdateClusterVersion"], "ARNFormat": "arn:aws:eks:<region>:<account_ID>:<resource_type>/<relative_ID>", "ARNRegex": "^arn:aws:eks:.+", "HasResource": true }, "AWS Firewall Manager": { "StringPrefix": "fms", "Actions": ["AssociateAdminAccount", "DeleteNotificationChannel", "DeletePolicy", "DisassociateAdminAccount", "GetAdminAccount", "GetComplianceDetail", "GetNotificationChannel", "GetPolicy", "GetProtectionStatus", "ListComplianceStatus", "ListMemberAccounts", "ListPolicies", "PutNotificationChannel", "PutPolicy"], "ARNFormat": "arn:aws:fms:<region>:<account_id>:<resource>/<resource_id>", "ARNRegex": "^arn:aws:fms:.+:[0-9]+:.+/.+", "HasResource": true }, "Amazon Kinesis": { "StringPrefix": "kinesis", "Actions": ["AddTagsToStream", "CreateStream", "DecreaseStreamRetentionPeriod", "DeleteStream", "DeregisterStreamConsumer", "DescribeLimits", "DescribeStream", "DescribeStreamConsumer", "DescribeStreamSummary", "DisableEnhancedMonitoring", "EnableEnhancedMonitoring", "GetRecords", "GetShardIterator", "IncreaseStreamRetentionPeriod", "ListShards", "ListStreamConsumers", "ListStreams", "ListTagsForStream", "MergeShards", "PutRecord", "PutRecords", "RegisterStreamConsumer", "RemoveTagsFromStream", "SplitShard", "SubscribeToShard", "UpdateShardCount"], "ARNFormat": "arn:aws:kinesis:<region>:<account>:<resourceType>/<resourceName>", "ARNRegex": "^arn:aws:kinesis:.+", "HasResource": true }, "Amazon Translate": { "StringPrefix": "translate", "Actions": ["DeleteTerminology", "GetTerminology", "ImportTerminology", "ListTerminologies", "TranslateText"], "ARNFormat": "arn:${Partition}:translate:${Region}:${AccountId}:${ResourceType}/${ResourceName}", "ARNRegex": "^arn:${Partition}:translate:.+:.+:.+", "HasResource": false }, "AWS Billing": { "StringPrefix": "aws-portal", "Actions": ["ModifyAccount", "ModifyBilling", "ModifyPaymentMethods", "ViewAccount", "ViewBilling", "ViewPaymentMethods", "ViewUsage"], "HasResource": false }, "AWS Directory Service": { "StringPrefix": "ds", "Actions": ["AcceptSharedDirectory", "AddIpRoutes", "AddTagsToResource", "AuthorizeApplication", "CancelSchemaExtension", "ConnectDirectory", "CreateAlias", "CreateComputer", "CreateConditionalForwarder", "CreateDirectory", "CreateIdentityPoolDirectory", "CreateLogSubscription", "CreateMicrosoftAD", "CreateSnapshot", "CreateTrust", "DeleteConditionalForwarder", "DeleteDirectory", "DeleteLogSubscription", "DeleteSnapshot", "DeleteTrust", "DeregisterEventTopic", "DescribeConditionalForwarders", "DescribeDirectories", "DescribeDomainControllers", "DescribeEventTopics", "DescribeSharedDirectories", "DescribeSnapshots", "DescribeTrusts", "DisableRadius", "DisableSso", "EnableRadius", "EnableSso", "GetAuthorizedApplicationDetails", "GetDirectoryLimits", "GetSnapshotLimits", "ListAuthorizedApplications", "ListIpRoutes", "ListLogSubscriptions", "ListSchemaExtensions", "ListTagsForResource", "RegisterEventTopic", "RejectSharedDirectory", "RemoveIpRoutes", "RemoveTagsFromResource", "ResetUserPassword", "RestoreFromSnapshot", "ShareDirectory", "StartSchemaExtension", "UnauthorizeApplication", "UnshareDirectory", "UpdateConditionalForwarder", "UpdateNumberOfDomainControllers", "UpdateRadius", "VerifyTrust"], "ARNFormat": "arn:<partition>:ds:<region>:<accountID>:<relative-id>", "ARNRegex": "^arn:<partition>:ds:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS IoT SiteWise": { "StringPrefix": "iotsitewise", "Actions": ["AssociateGatewaySink", "AssociateGatewaySource", "AssociateViewEntities", "CreateAsset", "CreateAssetTemplate", "CreateGateway", "CreateGroup", "CreateMeasurementDataStore", "CreateMetricType", "CreateView", "DeleteAsset", "DeleteAssetTemplate", "DeleteGateway", "DeleteGroup", "DeleteMeasurementDataStore", "DeleteMetricType", "DeleteView", "DeregisterViewEntities", "DescribeAssetTemplates", "DescribeAssets", "DescribeGateways", "DescribeGroups", "DescribeMeasurementDataStores", "DescribeMetricTypes", "DescribeViews", "DisassociateGatewaySink", "DisassociateGatewaySource", "DisassociateViewEntities", "GetMeasurementData", "GetMetricData", "ListAssetTemplates", "ListAssets", "ListGateways", "ListGroups", "ListMeasurementDataStores", "ListMeasurementDataStreams", "ListMetricTypes", "ListViewEntities", "ListViews", "RegisterViewEntities", "UpdateAsset", "UpdateAssetTemplate", "UpdateGateway", "UpdateGroup", "UpdateMeasurementDataStore", "UpdateView"], "ARNFormat": "arn:aws:iotsitewise:<region>:<account_ID>:<type>/<name>", "ARNRegex": "^arn:${Partition}:iotsitewise:.+-\\d+:\\d{12}:.+", "HasResource": true }, "AWS WAF Regional": { "StringPrefix": "waf-regional", "Actions": ["AssociateWebACL", "CreateByteMatchSet", "CreateGeoMatchSet", "CreateIPSet", "CreateRateBasedRule", "CreateRegexMatchSet", "CreateRegexPatternSet", "CreateRule", "CreateRuleGroup", "CreateSizeConstraintSet", "CreateSqlInjectionMatchSet", "CreateWebACL", "CreateXssMatchSet", "DeleteByteMatchSet", "DeleteGeoMatchSet", "DeleteIPSet", "DeleteLoggingConfiguration", "DeletePermissionPolicy", "DeleteRateBasedRule", "DeleteRegexMatchSet", "DeleteRegexPatternSet", "DeleteRule", "DeleteRuleGroup", "DeleteSizeConstraintSet", "DeleteSqlInjectionMatchSet", "DeleteWebACL", "DeleteXssMatchSet", "DisassociateWebACL", "GetByteMatchSet", "GetChangeToken", "GetChangeTokenStatus", "GetGeoMatchSet", "GetIPSet", "GetLoggingConfiguration", "GetPermissionPolicy", "GetRateBasedRule", "GetRateBasedRuleManagedKeys", "GetRegexMatchSet", "GetRegexPatternSet", "GetRule", "GetRuleGroup", "GetSampledRequests", "GetSizeConstraintSet", "GetSqlInjectionMatchSet", "GetWebACL", "GetWebACLForResource", "GetXssMatchSet", "ListActivatedRulesInRuleGroup", "ListByteMatchSets", "ListGeoMatchSets", "ListIPSets", "ListLoggingConfigurations", "ListRateBasedRules", "ListRegexMatchSets", "ListRegexPatternSets", "ListResourcesForWebACL", "ListRuleGroups", "ListRules", "ListSizeConstraintSets", "ListSqlInjectionMatchSets", "ListSubscribedRuleGroups", "ListWebACLs", "ListXssMatchSets", "PutLoggingConfiguration", "PutPermissionPolicy", "UpdateByteMatchSet", "UpdateGeoMatchSet", "UpdateIPSet", "UpdateRateBasedRule", "UpdateRegexMatchSet", "UpdateRegexPatternSet", "UpdateRule", "UpdateRuleGroup", "UpdateSizeConstraintSet", "UpdateSqlInjectionMatchSet", "UpdateWebACL", "UpdateXssMatchSet"], "ARNFormat": "arn:aws:waf-regional:<region>:<account_ID>:<resource>/<resource_id>", "ARNRegex": "^arn:aws:waf-regional:.+:[0-9]+:.+/.+", "HasResource": true }, "Amazon Elastic Container Service": { "StringPrefix": "ecs", "Actions": ["CreateCluster", "CreateService", "CreateTaskSet", "DeleteAccountSetting", "DeleteAttributes", "DeleteCluster", "DeleteService", "DeleteTaskSet", "DeregisterContainerInstance", "DeregisterTaskDefinition", "DescribeClusters", "DescribeContainerInstances", "DescribeServices", "DescribeTaskDefinition", "DescribeTaskSets", "DescribeTasks", "DiscoverPollEndpoint", "ListAccountSettings", "ListAttributes", "ListClusters", "ListContainerInstances", "ListServices", "ListTagsForResource", "ListTaskDefinitionFamilies", "ListTaskDefinitions", "ListTasks", "Poll", "PutAccountSetting", "PutAccountSettingDefault", "PutAttributes", "RegisterContainerInstance", "RegisterTaskDefinition", "RunTask", "StartTask", "StartTelemetrySession", "StopTask", "SubmitContainerStateChange", "SubmitTaskStateChange", "TagResource", "UntagResource", "UpdateContainerAgent", "UpdateContainerInstancesState", "UpdateService", "UpdateServicePrimaryTaskSet", "UpdateTaskSet"], "ARNFormat": "arn:aws:ecs:<region>:<account_ID>:<resource_type>/<relative_ID>", "ARNRegex": "^arn:aws:ecs:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "ecs:ResourceTag/${TagKey}", "ecs:cluster", "ecs:container-instances", "ecs:service", "ecs:task-definition"], "HasResource": true }, "Amazon Elastic Container Registry": { "StringPrefix": "ecr", "Actions": ["BatchCheckLayerAvailability", "BatchDeleteImage", "BatchGetImage", "CompleteLayerUpload", "CreateRepository", "DeleteLifecyclePolicy", "DeleteRepository", "DeleteRepositoryPolicy", "DescribeImages", "DescribeRepositories", "GetAuthorizationToken", "GetDownloadUrlForLayer", "GetLifecyclePolicy", "GetLifecyclePolicyPreview", "GetRepositoryPolicy", "InitiateLayerUpload", "ListImages", "ListTagsForResource", "PutImage", "PutLifecyclePolicy", "SetRepositoryPolicy", "StartLifecyclePolicyPreview", "TagResource", "UntagResource", "UploadLayerPart"], "ARNFormat": "arn:aws:ecr:<region>:<account_ID>:repository/<repository_name>", "ARNRegex": "arn:aws:ecr+:[^:]+:[0-9]{12}:repository/.*", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys", "ecr:ResourceTag/${TagKey}"], "HasResource": true }, "Amazon WorkLink": { "StringPrefix": "worklink", "Actions": ["AssociateWebsiteCertificateAuthority", "CreateFleet", "DeleteFleet", "DescribeCompanyNetworkConfiguration", "DescribeDevice", "DescribeDevicePolicyConfiguration", "DescribeFleetMetadata", "DescribeIdentityProviderConfiguration", "DescribeWebsiteCertificateAuthority", "DisassociateWebsiteCertificateAuthority", "ListDevices", "ListFleets", "ListWebsiteCertificateAuthorities", "SignOutUser", "UpdateCompanyNetworkConfiguration", "UpdateDevicePolicyConfiguration", "UpdateFleetMetadata", "UpdateIdentityProviderConfiguration"], "ARNFormat": "arn:${Partition}:worklink::${account}:${resourceType}/${resourcePath}", "ARNRegex": "^arn:${Partition}:worklink:.+", "HasResource": true }, "Amazon DynamoDB Accelerator (DAX)": { "StringPrefix": "dax", "Actions": ["BatchGetItem", "BatchWriteItem", "ConditionCheckItem", "CreateCluster", "CreateParameterGroup", "CreateSubnetGroup", "DecreaseReplicationFactor", "DeleteCluster", "DeleteItem", "DeleteParameterGroup", "DeleteSubnetGroup", "DescribeClusters", "DescribeDefaultParameters", "DescribeEvents", "DescribeParameterGroups", "DescribeParameters", "DescribeSubnetGroups", "GetItem", "IncreaseReplicationFactor", "ListTags", "PutItem", "Query", "RebootNode", "Scan", "TagResource", "UntagResource", "UpdateCluster", "UpdateItem", "UpdateParameterGroup", "UpdateSubnetGroup"], "ARNFormat": "arn:aws:dax:<region>:<accountId>:cache/<clustername>", "ARNRegex": "^arn:aws:dax:.+:[0-9]+:cache/[a-zA-Z0-9_.-]+", "conditionKeys": ["dax:EnclosingOperation"], "HasResource": true }, "Amazon Resource Group Tagging API": { "StringPrefix": "tag", "Actions": ["GetResources", "GetTagKeys", "GetTagValues", "TagResources", "UntagResources"], "HasResource": false }, "Amazon WorkSpaces": { "StringPrefix": "workspaces", "Actions": ["AssociateIpGroups", "AuthorizeIpRules", "CreateIpGroup", "CreateTags", "CreateWorkspaces", "DeleteIpGroup", "DeleteTags", "DeleteWorkspaceImage", "DescribeAccount", "DescribeAccountModifications", "DescribeClientProperties", "DescribeIpGroups", "DescribeTags", "DescribeWorkspaceBundles", "DescribeWorkspaceDirectories", "DescribeWorkspaceImages", "DescribeWorkspaces", "DescribeWorkspacesConnectionStatus", "DisassociateIpGroups", "ImportWorkspaceImage", "ListAvailableManagementCidrRanges", "ModifyAccount", "ModifyClientProperties", "ModifyWorkspaceProperties", "ModifyWorkspaceState", "RebootWorkspaces", "RebuildWorkspaces", "RevokeIpRules", "StartWorkspaces", "StopWorkspaces", "TerminateWorkspaces", "UpdateRulesOfIpGroup"], "ARNFormat": "arn:aws:workspaces:*:*", "ARNRegex": "arn:aws:workspaces:*", "HasResource": true }, "Amazon CloudWatch Logs": { "StringPrefix": "logs", "Actions": ["AssociateKmsKey", "CancelExportTask", "CreateExportTask", "CreateLogDelivery", "CreateLogGroup", "CreateLogStream", "DeleteDestination", "DeleteLogDelivery", "DeleteLogGroup", "DeleteLogStream", "DeleteMetricFilter", "DeleteResourcePolicy", "DeleteRetentionPolicy", "DeleteSubscriptionFilter", "DescribeDestinations", "DescribeExportTasks", "DescribeLogGroups", "DescribeLogStreams", "DescribeMetricFilters", "DescribeQueries", "DescribeResourcePolicies", "DescribeSubscriptionFilters", "DisassociateKmsKey", "FilterLogEvents", "GetLogDelivery", "GetLogEvents", "GetLogGroupFields", "GetLogRecord", "GetQueryResults", "ListLogDeliveries", "ListTagsLogGroup", "PutDestination", "PutDestinationPolicy", "PutLogEvents", "PutMetricFilter", "PutResourcePolicy", "PutRetentionPolicy", "PutSubscriptionFilter", "StartQuery", "StopQuery", "TagLogGroup", "TestMetricFilter", "UntagLogGroup", "UpdateLogDelivery"], "ARNFormat": "arn:aws:logs:.+:.+:.+", "ARNRegex": "^arn:aws:logs:.+", "HasResource": true }, "Amazon Chime": { "StringPrefix": "chime", "Actions": ["AcceptDelegate", "ActivateUsers", "AddDomain", "AddOrUpdateGroups", "AssociatePhoneNumberWithUser", "AssociatePhoneNumbersWithVoiceConnector", "AuthorizeDirectory", "BatchDeletePhoneNumber", "BatchSuspendUser", "BatchUnsuspendUser", "BatchUpdatePhoneNumber", "BatchUpdateUser", "ConnectDirectory", "CreateAccount", "CreateApiKey", "CreateBot", "CreateBotMembership", "CreateCDRBucket", "CreatePhoneNumberOrder", "CreateVoiceConnector", "DeleteAccount", "DeleteAccountOpenIdConfig", "DeleteApiKey", "DeleteCDRBucket", "DeleteDelegate", "DeleteDomain", "DeleteEventsConfiguration", "DeleteGroups", "DeletePhoneNumber", "DeleteVoiceConnector", "DeleteVoiceConnectorOrigination", "DeleteVoiceConnectorTermination", "DeleteVoiceConnectorTerminationCredentials", "DisassociatePhoneNumberFromUser", "DisassociatePhoneNumbersFromVoiceConnector", "DisconnectDirectory", "GetAccount", "GetAccountResource", "GetAccountSettings", "GetAccountWithOpenIdConfig", "GetBot", "GetCDRBucket", "GetDomain", "GetEventsConfiguration", "GetGlobalSettings", "GetMeetingDetail", "GetPhoneNumber", "GetPhoneNumberOrder", "GetTelephonyLimits", "GetUser", "GetUserActivityReportData", "GetUserByEmail", "GetUserSettings", "GetVoiceConnector", "GetVoiceConnectorOrigination", "GetVoiceConnectorTermination", "GetVoiceConnectorTerminationHealth", "InviteDelegate", "InviteUsers", "ListAccountUsageReportData", "ListAccounts", "ListApiKeys", "ListBots", "ListCDRBucket", "ListCallingRegions", "ListDelegates", "ListDirectories", "ListDomains", "ListGroups", "ListMeetingEvents", "ListMeetingsReportData", "ListPhoneNumberOrders", "ListPhoneNumbers", "ListUsers", "ListVoiceConnectorTerminationCredentials", "ListVoiceConnectors", "LogoutUser", "PutEventsConfiguration", "PutVoiceConnectorOrigination", "PutVoiceConnectorTermination", "PutVoiceConnectorTerminationCredentials", "RegenerateSecurityToken", "RenameAccount", "RenewDelegate", "ResetAccountResource", "ResetPersonalPIN", "RestorePhoneNumber", "RetrieveDataExports", "SearchAvailablePhoneNumbers", "StartDataExport", "SubmitSupportRequest", "SuspendUsers", "UnauthorizeDirectory", "UpdateAccount", "UpdateAccountOpenIdConfig", "UpdateAccountResource", "UpdateAccountSettings", "UpdateBot", "UpdateCDRSettings", "UpdateGlobalSettings", "UpdatePhoneNumber", "UpdateSupportedLicenses", "UpdateUser", "UpdateUserLicenses", "UpdateUserSettings", "UpdateVoiceConnector", "ValidateAccountResource"], "HasResource": false }, "Amazon ElastiCache": { "StringPrefix": "elasticache", "Actions": ["AddTagsToResource", "AuthorizeCacheSecurityGroupIngress", "CopySnapshot", "CreateCacheCluster", "CreateCacheParameterGroup", "CreateCacheSecurityGroup", "CreateCacheSubnetGroup", "CreateReplicationGroup", "CreateSnapshot", "DecreaseReplicaCount", "DeleteCacheCluster", "DeleteCacheParameterGroup", "DeleteCacheSecurityGroup", "DeleteCacheSubnetGroup", "DeleteReplicationGroup", "DeleteSnapshot", "DescribeCacheClusters", "DescribeCacheEngineVersions", "DescribeCacheParameterGroups", "DescribeCacheParameters", "DescribeCacheSecurityGroups", "DescribeCacheSubnetGroups", "DescribeEngineDefaultParameters", "DescribeEvents", "DescribeReplicationGroups", "DescribeReservedCacheNodes", "DescribeReservedCacheNodesOfferings", "DescribeSnapshots", "IncreaseReplicaCount", "ListAllowedNodeTypeModifications", "ListTagsForResource", "ModifyCacheCluster", "ModifyCacheParameterGroup", "ModifyCacheSubnetGroup", "ModifyReplicationGroup", "ModifyReplicationGroupShardConfiguration", "PurchaseReservedCacheNodesOffering", "RebootCacheCluster", "RemoveTagsFromResource", "ResetCacheParameterGroup", "RevokeCacheSecurityGroupIngress", "TestFailover"], "HasResource": false }, "Amazon Kinesis Firehose": { "StringPrefix": "firehose", "Actions": ["CreateDeliveryStream", "DeleteDeliveryStream", "DescribeDeliveryStream", "ListDeliveryStreams", "ListTagsForDeliveryStream", "PutRecord", "PutRecordBatch", "StartDeliveryStreamEncryption", "StopDeliveryStreamEncryption", "TagDeliveryStream", "UntagDeliveryStream", "UpdateDestination"], "ARNFormat": "arn:aws:firehose:<region>:<account_ID>:deliverystream/<deliverystreamname>", "ARNRegex": "^arn:aws:firehose:.+:[0-9]+:deliverystream/.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Service Catalog": { "StringPrefix": "servicecatalog", "Actions": ["AcceptPortfolioShare", "AssociatePrincipalWithPortfolio", "AssociateProductWithPortfolio", "AssociateServiceActionWithProvisioningArtifact", "AssociateTagOptionWithResource", "BatchAssociateServiceActionWithProvisioningArtifact", "BatchDisassociateServiceActionFromProvisioningArtifact", "CopyProduct", "CreateConstraint", "CreatePortfolio", "CreatePortfolioShare", "CreateProduct", "CreateProvisionedProductPlan", "CreateProvisioningArtifact", "CreateServiceAction", "CreateTagOption", "DeleteConstraint", "DeletePortfolio", "DeletePortfolioShare", "DeleteProduct", "DeleteProvisionedProductPlan", "DeleteProvisioningArtifact", "DeleteServiceAction", "DeleteTagOption", "DescribeConstraint", "DescribeCopyProductStatus", "DescribePortfolio", "DescribePortfolioShareStatus", "DescribeProduct", "DescribeProductAsAdmin", "DescribeProductView", "DescribeProvisionedProduct", "DescribeProvisionedProductPlan", "DescribeProvisioningArtifact", "DescribeProvisioningParameters", "DescribeRecord", "DescribeServiceAction", "DescribeTagOption", "DisableAWSOrganizationsAccess", "DisassociatePrincipalFromPortfolio", "DisassociateProductFromPortfolio", "DisassociateServiceActionFromProvisioningArtifact", "DisassociateTagOptionFromResource", "EnableAWSOrganizationsAccess", "ExecuteProvisionedProductPlan", "ExecuteProvisionedProductServiceAction", "GetAWSOrganizationsAccessStatus", "ListAcceptedPortfolioShares", "ListConstraintsForPortfolio", "ListLaunchPaths", "ListOrganizationPortfolioAccess", "ListPortfolioAccess", "ListPortfolios", "ListPortfoliosForProduct", "ListPrincipalsForPortfolio", "ListProvisionedProductPlans", "ListProvisioningArtifacts", "ListProvisioningArtifactsForServiceAction", "ListRecordHistory", "ListResourcesForTagOption", "ListServiceActions", "ListServiceActionsForProvisioningArtifact", "ListTagOptions", "ProvisionProduct", "RejectPortfolioShare", "ScanProvisionedProducts", "SearchProducts", "SearchProductsAsAdmin", "SearchProvisionedProducts", "TerminateProvisionedProduct", "UpdateConstraint", "UpdatePortfolio", "UpdateProduct", "UpdateProvisionedProduct", "UpdateProvisioningArtifact", "UpdateServiceAction", "UpdateTagOption"], "ARNFormat": "arn:aws:(catalog|servicecatalog):<region>:<account>:<resourceType>/<id>", "ARNRegex": "^arn:aws:(catalog|servicecatalog):.+", "conditionKeys": ["servicecatalog:accountLevel", "servicecatalog:roleLevel", "servicecatalog:userLevel"], "HasResource": true }, "Amazon Mechanical Turk": { "StringPrefix": "mechanicalturk", "Actions": ["ApproveAssignment", "ApproveRejectedAssignment", "AssignQualification", "BlockWorker", "ChangeHITTypeOfHIT", "CreateHIT", "CreateQualificationType", "DisableHIT", "DisposeHIT", "DisposeQualificationType", "ExtendHIT", "ForceExpireHIT", "GetAccountBalance", "GetAssignment", "GetAssignmentsForHIT", "GetBlockedWorkers", "GetBonusPayments", "GetFileUploadURL", "GetHIT", "GetHITsForQualificationType", "GetQualificationRequests", "GetQualificationScore", "GetQualificationType", "GetQualificationsForQualificationType", "GetRequesterStatistic", "GetRequesterWorkerStatistic", "GetReviewResultsForHIT", "GetReviewableHITs", "GrantBonus", "GrantQualification", "NotifyWorkers", "RegisterHITType", "RejectAssignment", "RejectQualificationRequest", "RevokeQualification", "SearchHITs", "SearchQualificationTypes", "SendTestEventNotification", "SetHITAsReviewing", "SetHITTypeNotification", "UnblockWorker", "UpdateQualificationScore", "UpdateQualificationType"], "HasResource": false }, "Amazon MQ": { "StringPrefix": "mq", "Actions": ["CreateBroker", "CreateConfiguration", "CreateTags", "CreateUser", "DeleteBroker", "DeleteTags", "DeleteUser", "DescribeBroker", "DescribeBrokerEngineTypes", "DescribeBrokerInstanceOptions", "DescribeConfiguration", "DescribeConfigurationRevision", "DescribeUser", "ListBrokers", "ListConfigurationRevisions", "ListConfigurations", "ListTags", "ListUsers", "RebootBroker", "UpdateBroker", "UpdateConfiguration", "UpdateUser"], "ARNFormat": "arn:${Partition}:mq:<region>:<account>:.+", "ARNRegex": "^arn:${Partition}:mq:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Storage Gateway": { "StringPrefix": "storagegateway", "Actions": ["ActivateGateway", "AddCache", "AddTagsToResource", "AddUploadBuffer", "AddWorkingStorage", "AttachVolume", "CancelArchival", "CancelRetrieval", "CreateCachediSCSIVolume", "CreateNFSFileShare", "CreateSMBFileShare", "CreateSnapshot", "CreateSnapshotFromVolumeRecoveryPoint", "CreateStorediSCSIVolume", "CreateTapeWithBarcode", "CreateTapes", "DeleteBandwidthRateLimit", "DeleteChapCredentials", "DeleteFileShare", "DeleteGateway", "DeleteSnapshotSchedule", "DeleteTape", "DeleteTapeArchive", "DeleteVolume", "DescribeBandwidthRateLimit", "DescribeCache", "DescribeCachediSCSIVolumes", "DescribeChapCredentials", "DescribeGatewayInformation", "DescribeMaintenanceStartTime", "DescribeNFSFileShares", "DescribeSMBFileShares", "DescribeSMBSettings", "DescribeSnapshotSchedule", "DescribeStorediSCSIVolumes", "DescribeTapeArchives", "DescribeTapeRecoveryPoints", "DescribeTapes", "DescribeUploadBuffer", "DescribeVTLDevices", "DescribeWorkingStorage", "DetachVolume", "DisableGateway", "JoinDomain", "ListFileShares", "ListGateways", "ListLocalDisks", "ListTagsForResource", "ListTapes", "ListVolumeInitiators", "ListVolumeRecoveryPoints", "ListVolumes", "NotifyWhenUploaded", "RefreshCache", "RemoveTagsFromResource", "ResetCache", "RetrieveTapeArchive", "RetrieveTapeRecoveryPoint", "SetLocalConsolePassword", "SetSMBGuestPassword", "ShutdownGateway", "StartGateway", "UpdateBandwidthRateLimit", "UpdateChapCredentials", "UpdateGatewayInformation", "UpdateGatewaySoftwareNow", "UpdateMaintenanceStartTime", "UpdateNFSFileShare", "UpdateSMBFileShare", "UpdateSnapshotSchedule", "UpdateVTLDeviceType"], "ARNFormat": "arn:aws:storagegateway:us-east-1:<account>:<resourceType>/<resourceName>", "ARNRegex": "^arn:aws:storagegateway:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Elastic MapReduce": { "StringPrefix": "elasticmapreduce", "Actions": ["AddInstanceFleet", "AddInstanceGroups", "AddJobFlowSteps", "AddTags", "CancelSteps", "CreateEditor", "CreateSecurityConfiguration", "DeleteEditor", "DeleteSecurityConfiguration", "DescribeCluster", "DescribeEditor", "DescribeSecurityConfiguration", "DescribeStep", "ListBootstrapActions", "ListClusters", "ListEditors", "ListInstanceFleets", "ListInstanceGroups", "ListInstances", "ListSecurityConfigurations", "ListSteps", "ModifyInstanceFleet", "ModifyInstanceGroups", "OpenEditorInConsole", "PutAutoScalingPolicy", "RemoveAutoScalingPolicy", "RemoveTags", "RunJobFlow", "SetTerminationProtection", "StartEditor", "StopEditor", "TerminateJobFlows", "ViewEventsFromAllClustersInConsole"], "ARNFormat": "arn:aws:elasticmapreduce:<region>:<account>:<resourceType>/<resourceId>", "ARNRegex": "^arn:aws:elasticmapreduce:.+", "conditionKeys": ["elasticmapreduce:RequestTag/${TagKey}", "elasticmapreduce:ResourceTag/${TagKey}"], "HasResource": true }, "AWS Batch": { "StringPrefix": "batch", "Actions": ["CancelJob", "CreateComputeEnvironment", "CreateJobQueue", "DeleteComputeEnvironment", "DeleteJobQueue", "DeregisterJobDefinition", "DescribeComputeEnvironments", "DescribeJobDefinitions", "DescribeJobQueues", "DescribeJobs", "ListJobs", "RegisterJobDefinition", "SubmitJob", "TerminateJob", "UpdateComputeEnvironment", "UpdateJobQueue"], "ARNFormat": "arn:aws:batch:<region>:<account_ID>:<resource_type>/<relative_ID>", "ARNRegex": "^arn:aws:batch:.+", "conditionKeys": ["batch:Image", "batch:Privileged", "batch:User"], "HasResource": true }, "AWS IoT Events": { "StringPrefix": "iotevents", "Actions": ["BatchPutMessage", "BatchUpdateDetector", "CreateDetectorModel", "CreateInput", "DeleteDetectorModel", "DeleteInput", "DescribeDetector", "DescribeDetectorModel", "DescribeInput", "DescribeLoggingOptions", "ListDetectorModelVersions", "ListDetectorModels", "ListDetectors", "ListInputs", "ListTagsForResource", "PutLoggingOptions", "TagResource", "UntagResource", "UpdateDetectorModel", "UpdateInput", "UpdateInputRouting"], "ARNFormat": "arn:aws:iotevents:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:iotevents:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS CloudTrail": { "StringPrefix": "cloudtrail", "Actions": ["AddTags", "CreateTrail", "DeleteTrail", "DescribeTrails", "GetEventSelectors", "GetTrailStatus", "ListPublicKeys", "ListTags", "LookupEvents", "PutEventSelectors", "RemoveTags", "StartLogging", "StopLogging", "UpdateTrail"], "ARNFormat": "arn:aws:cloudtrail:<region>:<account>:<resource>", "ARNRegex": "^arn:aws:cloudtrail:.+:[0-9]+:.+", "HasResource": true }, "Amazon DynamoDB": { "StringPrefix": "dynamodb", "Actions": ["BatchGetItem", "BatchWriteItem", "ConditionCheckItem", "CreateBackup", "CreateGlobalTable", "CreateTable", "DeleteBackup", "DeleteItem", "DeleteTable", "DescribeBackup", "DescribeContinuousBackups", "DescribeGlobalTable", "DescribeGlobalTableSettings", "DescribeLimits", "DescribeReservedCapacity", "DescribeReservedCapacityOfferings", "DescribeStream", "DescribeTable", "DescribeTimeToLive", "GetItem", "GetRecords", "GetShardIterator", "ListBackups", "ListGlobalTables", "ListStreams", "ListTables", "ListTagsOfResource", "PurchaseReservedCapacityOfferings", "PutItem", "Query", "RestoreTableFromBackup", "RestoreTableToPointInTime", "Scan", "TagResource", "UntagResource", "UpdateContinuousBackups", "UpdateGlobalTable", "UpdateGlobalTableSettings", "UpdateItem", "UpdateTable", "UpdateTimeToLive"], "ARNFormat": "arn:aws:dynamodb:<region>:<accountID>:<resourceType>/<resourcePath>", "ARNRegex": "^arn:aws:dynamodb:.+:.+", "conditionKeys": ["dynamodb:Attributes", "dynamodb:EnclosingOperation", "dynamodb:LeadingKeys", "dynamodb:ReturnConsumedCapacity", "dynamodb:ReturnValues", "dynamodb:Select"], "HasResource": true }, "Amazon Elasticsearch Service": { "StringPrefix": "es", "Actions": ["AddTags", "CreateElasticsearchDomain", "DeleteElasticsearchDomain", "DeleteElasticsearchServiceRole", "DescribeElasticsearchDomain", "DescribeElasticsearchDomainConfig", "DescribeElasticsearchDomains", "DescribeElasticsearchInstanceTypeLimits", "DescribeReservedElasticsearchInstanceOfferings", "DescribeReservedElasticsearchInstances", "ESHttpDelete", "ESHttpGet", "ESHttpHead", "ESHttpPost", "ESHttpPut", "GetCompatibleElasticsearchVersions", "GetUpgradeHistory", "GetUpgradeStatus", "ListDomainNames", "ListElasticsearchInstanceTypes", "ListElasticsearchVersions", "ListTags", "PurchaseReservedElasticsearchInstance", "RemoveTags", "UpdateElasticsearchDomainConfig", "UpgradeElasticsearchDomain"], "ARNFormat": "arn:aws:es:<region>:<account_ID>:<resource>", "ARNRegex": "^arn:aws:es:.+", "HasResource": true }, "Amazon Personalize": { "StringPrefix": "personalize", "Actions": ["CreateCampaign", "CreateDataset", "CreateDatasetGroup", "CreateDatasetImportJob", "CreateEventTracker", "CreateSchema", "CreateSolution", "CreateSolutionVersion", "DeleteCampaign", "DeleteDataset", "DeleteDatasetGroup", "DeleteEventTracker", "DeleteSchema", "DeleteSolution", "DescribeAlgorithm", "DescribeCampaign", "DescribeDataset", "DescribeDatasetGroup", "DescribeDatasetImportJob", "DescribeEventTracker", "DescribeFeatureTransformation", "DescribeRecipe", "DescribeSchema", "DescribeSolution", "DescribeSolutionVersion", "GetPersonalizedRanking", "GetRecommendations", "GetSolutionMetrics", "ListCampaigns", "ListDatasetGroups", "ListDatasetImportJobs", "ListDatasets", "ListEventTrackers", "ListRecipes", "ListSchemas", "ListSolutionVersions", "ListSolutions", "PutEvents", "UpdateCampaign"], "ARNFormat": "arn:aws:personalize:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:personalize:.+:.+:.+", "HasResource": true }, "AWS Cloud9": { "StringPrefix": "cloud9", "Actions": ["CreateEnvironmentEC2", "CreateEnvironmentMembership", "CreateEnvironmentSSH", "DeleteEnvironment", "DeleteEnvironmentMembership", "DescribeEnvironmentMemberships", "DescribeEnvironmentStatus", "DescribeEnvironments", "GetUserPublicKey", "ListEnvironments", "UpdateEnvironment", "UpdateEnvironmentMembership", "ValidateEnvironmentName"], "ARNFormat": "arn:aws:cloud9:<region>:<account-id>:<resource_type>:<resource_id>", "ARNRegex": "^arn:aws:cloud9:.+:[0-9]+:.+:.+", "conditionKeys": ["cloud9:EnvironmentId", "cloud9:EnvironmentName", "cloud9:InstanceType", "cloud9:Permissions", "cloud9:SubnetId", "cloud9:UserArn"], "HasResource": true }, "AWS Transfer for SFTP": { "StringPrefix": "transfer", "Actions": ["CreateServer", "CreateUser", "DeleteServer", "DeleteSshPublicKey", "DeleteUser", "DescribeServer", "DescribeUser", "ImportSshPublicKey", "ListServers", "ListTagsForResource", "ListUsers", "StartServer", "StopServer", "TagResource", "TestIdentityProvider", "UntagResource", "UpdateServer", "UpdateUser"], "ARNFormat": "arn:aws:transfer:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:transfer:.+:.+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Budget Service": { "StringPrefix": "budgets", "Actions": ["ModifyBudget", "ViewBudget"], "ARNFormat": "arn:aws:budgets::<account_ID>:budget/<budgetname>", "ARNRegex": "^arn:aws:budgets::.+:.+", "HasResource": true }, "Amazon Textract": { "StringPrefix": "textract", "Actions": ["AnalyzeDocument", "DetectDocumentText", "GetDocumentAnalysis", "GetDocumentTextDetection", "StartDocumentAnalysis", "StartDocumentTextDetection"], "ARNFormat": "arn:aws:textract:<region>:<accountID>:<relative-id>", "ARNRegex": "^arn:aws:textract::.+", "HasResource": false }, "AWS Support": { "StringPrefix": "support", "Actions": ["AddAttachmentsToSet", "AddCommunicationToCase", "CreateCase", "DescribeAttachment", "DescribeCases", "DescribeCommunications", "DescribeServices", "DescribeSeverityLevels", "DescribeTrustedAdvisorCheckRefreshStatuses", "DescribeTrustedAdvisorCheckResult", "DescribeTrustedAdvisorCheckSummaries", "DescribeTrustedAdvisorChecks", "RefreshTrustedAdvisorCheck", "ResolveCase"], "HasResource": false }, "Amazon GroundTruth Labeling": { "StringPrefix": "groundtruthlabeling", "Actions": ["DescribeConsoleJob", "ListDatasetObjects", "RunFilterOrSampleDatasetJob", "RunGenerateManifestByCrawlingJob"], "ARNFormat": "arn:${Partition}:groundtruthlabeling:${region}:${account}:${resourceType}/${resourcePath}", "ARNRegex": "^arn:${Partition}:groundtruthlabeling:.+", "HasResource": false }, "Amazon Cognito Identity": { "StringPrefix": "cognito-identity", "Actions": ["CreateIdentityPool", "DeleteIdentities", "DeleteIdentityPool", "DescribeIdentity", "DescribeIdentityPool", "GetCredentialsForIdentity", "GetId", "GetIdentityPoolRoles", "GetOpenIdToken", "GetOpenIdTokenForDeveloperIdentity", "ListIdentities", "ListIdentityPools", "ListTagsForResource", "LookupDeveloperIdentity", "MergeDeveloperIdentities", "SetIdentityPoolRoles", "TagResource", "UnlinkDeveloperIdentity", "UnlinkIdentity", "UntagResource", "UpdateIdentityPool"], "ARNFormat": "arn:aws:cognito-identity:<region>:<account>:<resourceType>/<resourcePath>", "ARNRegex": "^arn:aws:cognito-identity:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Elemental MediaStore": { "StringPrefix": "mediastore", "Actions": ["CreateContainer", "DeleteContainer", "DeleteContainerPolicy", "DeleteCorsPolicy", "DeleteLifecyclePolicy", "DeleteObject", "DescribeContainer", "DescribeObject", "GetContainerPolicy", "GetCorsPolicy", "GetLifecyclePolicy", "GetObject", "ListContainers", "ListItems", "PutContainerPolicy", "PutCorsPolicy", "PutLifecyclePolicy", "PutObject", "StartAccessLogging", "StopAccessLogging"], "ARNFormat": "arn:aws:mediastore:<Region>:<Account>:<Resource>", "ARNRegex": "^arn:aws:mediastore:.+:.+", "HasResource": true }, "Amazon Polly": { "StringPrefix": "polly", "Actions": ["DeleteLexicon", "DescribeVoices", "GetLexicon", "GetSpeechSynthesisTask", "ListLexicons", "ListSpeechSynthesisTasks", "PutLexicon", "StartSpeechSynthesisTask", "SynthesizeSpeech"], "ARNFormat": "arn:aws:polly:<region>:<accountID>:<relative-id>", "ARNRegex": "^arn:aws:polly::.+", "HasResource": true }, "AWS License Manager": { "StringPrefix": "license-manager", "Actions": ["CreateLicenseConfiguration", "DeleteLicenseConfiguration", "GetLicenseConfiguration", "GetServiceSettings", "ListAssociationsForLicenseConfiguration", "ListLicenseConfigurations", "ListLicenseSpecificationsForResource", "ListResourceInventory", "ListTagsForResource", "ListUsageForLicenseConfiguration", "TagResource", "UntagResource", "UpdateLicenseConfiguration", "UpdateLicenseSpecificationsForResource", "UpdateServiceSettings"], "ARNFormat": "arn:aws:license-manager:<region>:<account-id>:<resourceType>/<resourceId>", "ARNRegex": "^arn:aws:license-manager:.+:.+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:TagKeys", "license-manager:ResourceTag/${TagKey}"], "HasResource": true }, "Alexa for Business": { "StringPrefix": "a4b", "Actions": ["ApproveSkill", "AssociateContactWithAddressBook", "AssociateDeviceWithRoom", "AssociateSkillGroupWithRoom", "AssociateSkillWithSkillGroup", "AssociateSkillWithUsers", "CreateAddressBook", "CreateBusinessReportSchedule", "CreateConferenceProvider", "CreateContact", "CreateProfile", "CreateRoom", "CreateSkillGroup", "CreateUser", "DeleteAddressBook", "DeleteBusinessReportSchedule", "DeleteConferenceProvider", "DeleteContact", "DeleteDevice", "DeleteProfile", "DeleteRoom", "DeleteRoomSkillParameter", "DeleteSkillAuthorization", "DeleteSkillGroup", "DeleteUser", "DisassociateContactFromAddressBook", "DisassociateDeviceFromRoom", "DisassociateSkillFromSkillGroup", "DisassociateSkillFromUsers", "DisassociateSkillGroupFromRoom", "ForgetSmartHomeAppliances", "GetAddressBook", "GetConferencePreference", "GetConferenceProvider", "GetContact", "GetDevice", "GetProfile", "GetRoom", "GetRoomSkillParameter", "GetSkillGroup", "ListBusinessReportSchedules", "ListConferenceProviders", "ListDeviceEvents", "ListSkills", "ListSkillsStoreCategories", "ListSkillsStoreSkillsByCategory", "ListSmartHomeAppliances", "ListTags", "PutConferencePreference", "PutRoomSkillParameter", "PutSkillAuthorization", "RegisterAVSDevice", "RejectSkill", "ResolveRoom", "RevokeInvitation", "SearchAddressBooks", "SearchContacts", "SearchDevices", "SearchProfiles", "SearchRooms", "SearchSkillGroups", "SearchUsers", "SendInvitation", "StartDeviceSync", "StartSmartHomeApplianceDiscovery", "TagResource", "UntagResource", "UpdateAddressBook", "UpdateBusinessReportSchedule", "UpdateConferenceProvider", "UpdateContact", "UpdateDevice", "UpdateProfile", "UpdateRoom", "UpdateSkillGroup"], "ARNFormat": "arn:aws:a4b:<region>:<account-id>:<resource-type>/<resource_id>", "ARNRegex": "^arn:aws:a4b:.+:.+:.+", "conditionKeys": ["a4b:amazonId", "a4b:filters_deviceType", "aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Certificate Manager Private Certificate Authority": { "StringPrefix": "acm-pca", "Actions": ["CreateCertificateAuthority", "CreateCertificateAuthorityAuditReport", "CreatePermission", "DeleteCertificateAuthority", "DeletePermission", "DescribeCertificateAuthority", "DescribeCertificateAuthorityAuditReport", "GetCertificate", "GetCertificateAuthorityCertificate", "GetCertificateAuthorityCsr", "ImportCertificateAuthorityCertificate", "IssueCertificate", "ListCertificateAuthorities", "ListPermissions", "ListTags", "RestoreCertificateAuthority", "RevokeCertificate", "TagCertificateAuthority", "UntagCertificateAuthority", "UpdateCertificateAuthority"], "ARNFormat": "arn:aws:acm-pca:<region>:<account_ID>:<arn_type>/<resource_id>", "ARNRegex": "^arn:aws:acm-pca:.+:[0-9]+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS IoT 1-Click": { "StringPrefix": "iot1click", "Actions": ["AssociateDeviceWithPlacement", "ClaimDevicesByClaimCode", "CreatePlacement", "CreateProject", "DeletePlacement", "DeleteProject", "DescribeDevice", "DescribePlacement", "DescribeProject", "DisassociateDeviceFromPlacement", "FinalizeDeviceClaim", "GetDeviceMethods", "GetDevicesInPlacement", "InitiateDeviceClaim", "InvokeDeviceMethod", "ListDeviceEvents", "ListDevices", "ListPlacements", "ListProjects", "ListTagsForResource", "TagResource", "UnclaimDevice", "UntagResource", "UpdateDeviceState", "UpdatePlacement", "UpdateProject"], "ARNFormat": "arn:aws:iot1click:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:iot1click:.+:[0-9]+:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Step Functions": { "StringPrefix": "states", "Actions": ["CreateActivity", "CreateStateMachine", "DeleteActivity", "DeleteStateMachine", "DescribeActivity", "DescribeExecution", "DescribeStateMachine", "DescribeStateMachineForExecution", "GetActivityTask", "GetExecutionHistory", "ListActivities", "ListExecutions", "ListStateMachines", "ListTagsForResource", "SendTaskFailure", "SendTaskHeartbeat", "SendTaskSuccess", "StartExecution", "StopExecution", "TagResource", "UntagResource", "UpdateStateMachine"], "ARNFormat": "arn:aws:<serviceName>:<region>:<account>:<resourceType>:<resourceName>", "ARNRegex": "^arn:aws:states:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS CodePipeline": { "StringPrefix": "codepipeline", "Actions": ["AcknowledgeJob", "AcknowledgeThirdPartyJob", "CreateCustomActionType", "CreatePipeline", "DeleteCustomActionType", "DeletePipeline", "DeleteWebhook", "DeregisterWebhookWithThirdParty", "DisableStageTransition", "EnableStageTransition", "GetJobDetails", "GetPipeline", "GetPipelineExecution", "GetPipelineState", "GetThirdPartyJobDetails", "ListActionExecutions", "ListActionTypes", "ListPipelineExecutions", "ListPipelines", "ListTagsForResource", "ListWebhooks", "PollForJobs", "PollForThirdPartyJobs", "PutActionRevision", "PutApprovalResult", "PutJobFailureResult", "PutJobSuccessResult", "PutThirdPartyJobFailureResult", "PutThirdPartyJobSuccessResult", "PutWebhook", "RegisterWebhookWithThirdParty", "RetryStageExecution", "StartPipelineExecution", "TagResource", "UntagResource", "UpdatePipeline"], "ARNFormat": "arn:aws:codepipeline:<region>:<account_ID>:<path_to_pipeline_resource>", "ARNRegex": "arn:aws:codepipeline:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Security Hub": { "StringPrefix": "securityhub", "Actions": ["AcceptInvitation", "BatchDisableStandards", "BatchEnableStandards", "BatchImportFindings", "CreateInsight", "CreateMembers", "DeclineInvitations", "DeleteInsight", "DeleteInvitations", "DeleteMembers", "DescribeProducts", "DisableImportFindingsForProduct", "DisableSecurityHub", "DisassociateFromMasterAccount", "DisassociateMembers", "EnableImportFindingsForProduct", "EnableSecurityHub", "GetEnabledStandards", "GetFindings", "GetInsightResults", "GetInsights", "GetInvitationsCount", "GetMasterAccount", "GetMembers", "InviteMembers", "ListEnabledProductsForImport", "ListInvitations", "ListMembers", "ListProductSubscribers", "UpdateFindings", "UpdateInsight"], "ARNFormat": "arn:aws:securityhub:<region>:<account_ID>:.+", "ARNRegex": "^arn:aws:securityhub:.+", "conditionKeys": ["securityhub:TargetAccount"], "HasResource": true }, "Amazon Message Delivery Service": { "StringPrefix": "ec2messages", "Actions": ["AcknowledgeMessage", "DeleteMessage", "FailMessage", "GetEndpoint", "GetMessages", "SendReply"], "HasResource": false }, "AWS Greengrass": { "StringPrefix": "greengrass", "Actions": ["AssociateRoleToGroup", "AssociateServiceRoleToAccount", "CreateConnectorDefinition", "CreateConnectorDefinitionVersion", "CreateCoreDefinition", "CreateCoreDefinitionVersion", "CreateDeployment", "CreateDeviceDefinition", "CreateDeviceDefinitionVersion", "CreateFunctionDefinition", "CreateFunctionDefinitionVersion", "CreateGroup", "CreateGroupCertificateAuthority", "CreateGroupVersion", "CreateLoggerDefinition", "CreateLoggerDefinitionVersion", "CreateResourceDefinition", "CreateResourceDefinitionVersion", "CreateSoftwareUpdateJob", "CreateSubscriptionDefinition", "CreateSubscriptionDefinitionVersion", "DeleteConnectorDefinition", "DeleteCoreDefinition", "DeleteDeviceDefinition", "DeleteFunctionDefinition", "DeleteGroup", "DeleteLoggerDefinition", "DeleteResourceDefinition", "DeleteSubscriptionDefinition", "DisassociateRoleFromGroup", "DisassociateServiceRoleFromAccount", "GetAssociatedRole", "GetBulkDeploymentStatus", "GetConnectivityInfo", "GetConnectorDefinition", "GetConnectorDefinitionVersion", "GetCoreDefinition", "GetCoreDefinitionVersion", "GetDeploymentStatus", "GetDeviceDefinition", "GetDeviceDefinitionVersion", "GetFunctionDefinition", "GetFunctionDefinitionVersion", "GetGroup", "GetGroupCertificateAuthority", "GetGroupCertificateConfiguration", "GetGroupVersion", "GetLoggerDefinition", "GetLoggerDefinitionVersion", "GetResourceDefinition", "GetResourceDefinitionVersion", "GetServiceRoleForAccount", "GetSubscriptionDefinition", "GetSubscriptionDefinitionVersion", "ListBulkDeploymentDetailedReports", "ListBulkDeployments", "ListConnectorDefinitionVersions", "ListConnectorDefinitions", "ListCoreDefinitionVersions", "ListCoreDefinitions", "ListDeployments", "ListDeviceDefinitionVersions", "ListDeviceDefinitions", "ListFunctionDefinitionVersions", "ListFunctionDefinitions", "ListGroupCertificateAuthorities", "ListGroupVersions", "ListGroups", "ListLoggerDefinitionVersions", "ListLoggerDefinitions", "ListResourceDefinitionVersions", "ListResourceDefinitions", "ListSubscriptionDefinitionVersions", "ListSubscriptionDefinitions", "ListTagsForResource", "ResetDeployments", "StartBulkDeployment", "StopBulkDeployment", "TagResource", "UntagResource", "UpdateConnectivityInfo", "UpdateConnectorDefinition", "UpdateCoreDefinition", "UpdateDeviceDefinition", "UpdateFunctionDefinition", "UpdateGroup", "UpdateGroupCertificateConfiguration", "UpdateLoggerDefinition", "UpdateResourceDefinition", "UpdateSubscriptionDefinition"], "ARNFormat": "arn:aws:greengrass:<region>:<account_ID>:/greengrass/<type>/<Id>", "ARNRegex": "^arn:aws:greengrass:.+:[0-9]+:.+", "conditionKeys": ["aws:CurrentTime", "aws:EpochTime", "aws:MultiFactorAuthAge", "aws:MultiFactorAuthPresent", "aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:SecureTransport", "aws:TagKeys", "aws:UserAgent"], "HasResource": true }, "Amazon Redshift": { "StringPrefix": "redshift", "Actions": ["AcceptReservedNodeExchange", "AuthorizeClusterSecurityGroupIngress", "AuthorizeSnapshotAccess", "BatchDeleteClusterSnapshots", "BatchModifyClusterSnapshots", "CancelQuery", "CancelQuerySession", "CancelResize", "CopyClusterSnapshot", "CreateCluster", "CreateClusterParameterGroup", "CreateClusterSecurityGroup", "CreateClusterSnapshot", "CreateClusterSubnetGroup", "CreateClusterUser", "CreateEventSubscription", "CreateHsmClientCertificate", "CreateHsmConfiguration", "CreateSavedQuery", "CreateSnapshotCopyGrant", "CreateSnapshotSchedule", "CreateTags", "DeleteCluster", "DeleteClusterParameterGroup", "DeleteClusterSecurityGroup", "DeleteClusterSnapshot", "DeleteClusterSubnetGroup", "DeleteEventSubscription", "DeleteHsmClientCertificate", "DeleteHsmConfiguration", "DeleteSavedQueries", "DeleteSnapshotCopyGrant", "DeleteSnapshotSchedule", "DeleteTags", "DescribeAccountAttributes", "DescribeClusterDbRevisions", "DescribeClusterParameterGroups", "DescribeClusterParameters", "DescribeClusterSecurityGroups", "DescribeClusterSnapshots", "DescribeClusterSubnetGroups", "DescribeClusterTracks", "DescribeClusterVersions", "DescribeClusters", "DescribeDefaultClusterParameters", "DescribeEventCategories", "DescribeEventSubscriptions", "DescribeEvents", "DescribeHsmClientCertificates", "DescribeHsmConfigurations", "DescribeLoggingStatus", "DescribeOrderableClusterOptions", "DescribeQuery", "DescribeReservedNodeOfferings", "DescribeReservedNodes", "DescribeResize", "DescribeSnapshotCopyGrants", "DescribeSnapshotSchedules", "DescribeStorage", "DescribeTable", "DescribeTableRestoreStatus", "DescribeTags", "DisableLogging", "DisableSnapshotCopy", "EnableLogging", "EnableSnapshotCopy", "ExecuteQuery", "FetchResults", "GetClusterCredentials", "GetReservedNodeExchangeOfferings", "JoinGroup", "ListDatabases", "ListSavedQueries", "ListSchemas", "ListTables", "ModifyCluster", "ModifyClusterDbRevision", "ModifyClusterIamRoles", "ModifyClusterMaintenance", "ModifyClusterParameterGroup", "ModifyClusterSnapshot", "ModifyClusterSnapshotSchedule", "ModifyClusterSubnetGroup", "ModifyEventSubscription", "ModifySavedQuery", "ModifySnapshotCopyRetentionPeriod", "ModifySnapshotSchedule", "PurchaseReservedNodeOffering", "RebootCluster", "ResetClusterParameterGroup", "ResizeCluster", "RestoreFromClusterSnapshot", "RestoreTableFromClusterSnapshot", "RevokeClusterSecurityGroupIngress", "RevokeSnapshotAccess", "RotateEncryptionKey", "ViewQueriesFromConsole", "ViewQueriesInConsole"], "ARNFormat": "arn:aws:redshift:<region>:<accountID>:<relative-id>", "ARNRegex": "^arn:aws:redshift:.+:.+:.+", "conditionKeys": ["redshift:DbName", "redshift:DbUser", "redshift:DurationSeconds"], "HasResource": true }, "Amazon SQS": { "StringPrefix": "sqs", "Actions": ["AddPermission", "ChangeMessageVisibility", "ChangeMessageVisibilityBatch", "CreateQueue", "DeleteMessage", "DeleteMessageBatch", "DeleteQueue", "GetQueueAttributes", "GetQueueUrl", "ListDeadLetterSourceQueues", "ListQueueTags", "ListQueues", "PurgeQueue", "ReceiveMessage", "RemovePermission", "SendMessage", "SendMessageBatch", "SetQueueAttributes", "TagQueue", "UntagQueue"], "ARNFormat": "arn:aws:sqs:<region>:<account_ID>:<queue_name>", "ARNRegex": "^arn:aws:sqs:.+", "HasResource": true }, "AWS Cloud Map": { "StringPrefix": "servicediscovery", "Actions": ["CreateHttpNamespace", "CreatePrivateDnsNamespace", "CreatePublicDnsNamespace", "CreateService", "DeleteNamespace", "DeleteService", "DeregisterInstance", "DiscoverInstances", "GetInstance", "GetInstancesHealthStatus", "GetNamespace", "GetOperation", "GetService", "ListInstances", "ListNamespaces", "ListOperations", "ListServices", "RegisterInstance", "UpdateInstanceCustomHealthStatus", "UpdateService"], "ARNFormat": "arn:aws:servicediscovery:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:aws:servicediscovery:.+", "conditionKeys": ["servicediscovery:NamespaceArn", "servicediscovery:NamespaceName", "servicediscovery:ServiceArn", "servicediscovery:ServiceName"], "HasResource": true }, "Amazon WorkDocs": { "StringPrefix": "workdocs", "Actions": ["AbortDocumentVersionUpload", "ActivateUser", "AddResourcePermissions", "AddUserToGroup", "CheckAlias", "CreateComment", "CreateCustomMetadata", "CreateFolder", "CreateInstance", "CreateLabels", "CreateNotificationSubscription", "CreateUser", "DeactivateUser", "DeleteComment", "DeleteCustomMetadata", "DeleteDocument", "DeleteFolder", "DeleteFolderContents", "DeleteInstance", "DeleteLabels", "DeleteNotificationSubscription", "DeleteUser", "DeregisterDirectory", "DescribeActivities", "DescribeAvailableDirectories", "DescribeComments", "DescribeDocumentVersions", "DescribeFolderContents", "DescribeGroups", "DescribeInstances", "DescribeNotificationSubscriptions", "DescribeResourcePermissions", "DescribeRootFolders", "DescribeUsers", "DownloadDocumentVersion", "GetCurrentUser", "GetDocument", "GetDocumentPath", "GetDocumentVersion", "GetFolder", "GetFolderPath", "GetResources", "InitiateDocumentVersionUpload", "RegisterDirectory", "RemoveAllResourcePermissions", "RemoveResourcePermission", "UpdateDocument", "UpdateDocumentVersion", "UpdateFolder", "UpdateInstanceAlias", "UpdateUser"], "HasResource": false }, "AWS Marketplace Management Portal": { "StringPrefix": "aws-marketplace-management", "Actions": ["uploadFiles", "viewMarketing", "viewReports", "viewSettings", "viewSupport"], "HasResource": false }, "Comprehend Medical": { "StringPrefix": "comprehendmedical", "Actions": ["DetectEntities", "DetectPHI"], "ARNFormat": "arn:${Partition}:comprehendmedical:${Region}:${AccountId}:${ResourceType}/${ResourceName}", "ARNRegex": "^arn:${Partition}:comprehendmedical:.+:.+:.+", "HasResource": false }, "Amazon Managed Blockchain": { "StringPrefix": "managedblockchain", "Actions": ["CreateMember", "CreateNetwork", "CreateNode", "CreateProposal", "DeleteMember", "DeleteNode", "GetMember", "GetNetwork", "GetNode", "GetProposal", "ListInvitations", "ListMembers", "ListNetworks", "ListNodes", "ListProposalVotes", "ListProposals", "RejectInvitation", "VoteOnProposal"], "ARNFormat": "arn:aws:managedblockchain:<region>:<accountId>:<resourceType>/<resourcePath>", "ARNRegex": "^arn:aws:managedblockchain:.+:[0-9]+:.+", "HasResource": true }, "Amazon Glacier": { "StringPrefix": "glacier", "Actions": ["AbortMultipartUpload", "AbortVaultLock", "AddTagsToVault", "CompleteMultipartUpload", "CompleteVaultLock", "CreateVault", "DeleteArchive", "DeleteVault", "DeleteVaultAccessPolicy", "DeleteVaultNotifications", "DescribeJob", "DescribeVault", "GetDataRetrievalPolicy", "GetJobOutput", "GetVaultAccessPolicy", "GetVaultLock", "GetVaultNotifications", "InitiateJob", "InitiateMultipartUpload", "InitiateVaultLock", "ListJobs", "ListMultipartUploads", "ListParts", "ListProvisionedCapacity", "ListTagsForVault", "ListVaults", "PurchaseProvisionedCapacity", "RemoveTagsFromVault", "SetDataRetrievalPolicy", "SetVaultAccessPolicy", "SetVaultNotifications", "UploadArchive", "UploadMultipartPart"], "ARNFormat": "arn:aws:glacier:<region>:<accountID>:<relative-id>", "ARNRegex": "^arn:aws:glacier:.+:.+:.+", "conditionKeys": ["glacier:ArchiveAgeInDays", "glacier:ResourceTag/"], "HasResource": true }, "Amazon Rekognition": { "StringPrefix": "rekognition", "Actions": ["CompareFaces", "CreateCollection", "CreateStreamProcessor", "DeleteCollection", "DeleteFaces", "DeleteStreamProcessor", "DescribeCollection", "DescribeStreamProcessor", "DetectFaces", "DetectLabels", "DetectModerationLabels", "DetectText", "GetCelebrityInfo", "GetCelebrityRecognition", "GetContentModeration", "GetFaceDetection", "GetFaceSearch", "GetLabelDetection", "GetPersonTracking", "IndexFaces", "ListCollections", "ListFaces", "ListStreamProcessors", "RecognizeCelebrities", "SearchFaces", "SearchFacesByImage", "StartCelebrityRecognition", "StartContentModeration", "StartFaceDetection", "StartFaceSearch", "StartLabelDetection", "StartPersonTracking", "StartStreamProcessor", "StopStreamProcessor"], "ARNFormat": "arn:aws:rekognition:<region>:<accountID>:<relative-id>", "ARNRegex": "^arn:aws:rekognition::.+", "HasResource": true }, "AWS WAF": { "StringPrefix": "waf", "Actions": ["CreateByteMatchSet", "CreateGeoMatchSet", "CreateIPSet", "CreateRateBasedRule", "CreateRegexMatchSet", "CreateRegexPatternSet", "CreateRule", "CreateRuleGroup", "CreateSizeConstraintSet", "CreateSqlInjectionMatchSet", "CreateWebACL", "CreateXssMatchSet", "DeleteByteMatchSet", "DeleteGeoMatchSet", "DeleteIPSet", "DeleteLoggingConfiguration", "DeletePermissionPolicy", "DeleteRateBasedRule", "DeleteRegexMatchSet", "DeleteRegexPatternSet", "DeleteRule", "DeleteRuleGroup", "DeleteSizeConstraintSet", "DeleteSqlInjectionMatchSet", "DeleteWebACL", "DeleteXssMatchSet", "GetByteMatchSet", "GetChangeToken", "GetChangeTokenStatus", "GetGeoMatchSet", "GetIPSet", "GetLoggingConfiguration", "GetPermissionPolicy", "GetRateBasedRule", "GetRateBasedRuleManagedKeys", "GetRegexMatchSet", "GetRegexPatternSet", "GetRule", "GetRuleGroup", "GetSampledRequests", "GetSizeConstraintSet", "GetSqlInjectionMatchSet", "GetWebACL", "GetXssMatchSet", "ListActivatedRulesInRuleGroup", "ListByteMatchSets", "ListGeoMatchSets", "ListIPSets", "ListLoggingConfigurations", "ListRateBasedRules", "ListRegexMatchSets", "ListRegexPatternSets", "ListRuleGroups", "ListRules", "ListSizeConstraintSets", "ListSqlInjectionMatchSets", "ListSubscribedRuleGroups", "ListWebACLs", "ListXssMatchSets", "PutLoggingConfiguration", "PutPermissionPolicy", "UpdateByteMatchSet", "UpdateGeoMatchSet", "UpdateIPSet", "UpdateRateBasedRule", "UpdateRegexMatchSet", "UpdateRegexPatternSet", "UpdateRule", "UpdateRuleGroup", "UpdateSizeConstraintSet", "UpdateSqlInjectionMatchSet", "UpdateWebACL", "UpdateXssMatchSet"], "ARNFormat": "arn:aws:waf::<account_ID>:<resource>/<resource_id>", "ARNRegex": "^arn:aws:waf::[0-9]+:.+/.+", "HasResource": true }, "Amazon AppStream 2.0": { "StringPrefix": "appstream", "Actions": ["AssociateFleet", "BatchAssociateUserStack", "BatchDisassociateUserStack", "CopyImage", "CreateDirectoryConfig", "CreateFleet", "CreateImageBuilder", "CreateImageBuilderStreamingURL", "CreateStack", "CreateStreamingURL", "CreateUsageReportSubscription", "CreateUser", "DeleteDirectoryConfig", "DeleteFleet", "DeleteImage", "DeleteImageBuilder", "DeleteImagePermissions", "DeleteStack", "DeleteUsageReportSubscription", "DeleteUser", "DescribeDirectoryConfigs", "DescribeFleets", "DescribeImageBuilders", "DescribeImagePermissions", "DescribeImages", "DescribeSessions", "DescribeStacks", "DescribeUsageReportSubscriptions", "DescribeUserStackAssociations", "DescribeUsers", "DisableUser", "DisassociateFleet", "EnableUser", "ExpireSession", "ListAssociatedFleets", "ListAssociatedStacks", "ListTagsForResource", "StartFleet", "StartImageBuilder", "StopFleet", "StopImageBuilder", "Stream", "TagResource", "UntagResource", "UpdateDirectoryConfig", "UpdateFleet", "UpdateImagePermissions", "UpdateStack"], "ARNFormat": "arn:aws:appstream:<region>:<account>:<resourceType>/<resourcePath>", "ARNRegex": "^arn:aws:appstream:.+", "conditionKeys": ["appstream:userId", "aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon QuickSight": { "StringPrefix": "quicksight", "Actions": ["CreateAdmin", "CreateGroup", "CreateGroupMembership", "CreateReader", "CreateUser", "DeleteGroup", "DeleteGroupMembership", "DeleteUser", "DeleteUserByPrincipalId", "DescribeGroup", "DescribeUser", "GetDashboardEmbedUrl", "GetGroupMapping", "ListGroupMemberships", "ListGroups", "ListUserGroups", "ListUsers", "RegisterUser", "SearchDirectoryGroups", "SetGroupMapping", "Subscribe", "Unsubscribe", "UpdateGroup", "UpdateUser"], "ARNFormat": "arn:aws:quicksight::<region>:<accountId>:<resourceType>/<resourceId>", "ARNRegex": "^arn:aws:quicksight::.+", "conditionKeys": ["quicksight:IamArn", "quicksight:SessionName", "quicksight:UserName"], "HasResource": true }, "Amazon WorkSpaces Application Manager": { "StringPrefix": "wam", "Actions": ["AuthenticatePackager"], "HasResource": false }, "Amazon Data Lifecycle Manager": { "StringPrefix": "dlm", "Actions": ["CreateLifecyclePolicy", "DeleteLifecyclePolicy", "GetLifecyclePolicies", "GetLifecyclePolicy", "UpdateLifecyclePolicy"], "ARNFormat": "arn:${Partition}:dlm:<region>:<account-id>:policy/<resource_name>", "ARNRegex": "^arn:${Partition}:dlm:.+:.+:.+", "HasResource": true }, "AWS Well-Architected Tool": { "StringPrefix": "wellarchitected", "Actions": ["CreateWorkload", "GetWorkload", "ListWorkloads"], "ARNFormat": "arn:aws:wellarchitected:<region>:<account-id>:<resource-type>/<resource_name>", "ARNRegex": "^arn:${Partition}:wellarchitected:.+", "HasResource": true }, "AWS Elemental MediaConvert": { "StringPrefix": "mediaconvert", "Actions": ["AssociateCertificate", "CancelJob", "CreateJob", "CreateJobTemplate", "CreatePreset", "CreateQueue", "DeleteJobTemplate", "DeletePreset", "DeleteQueue", "DescribeEndpoints", "DisassociateCertificate", "GetJob", "GetJobTemplate", "GetPreset", "GetQueue", "ListJobTemplates", "ListJobs", "ListPresets", "ListQueues", "ListTagsForResource", "TagResource", "UntagResource", "UpdateJobTemplate", "UpdatePreset", "UpdateQueue"], "ARNFormat": "arn:${Partition}:mediaconvert:<region>:<account>:<resourceType>/<resourceId>", "ARNRegex": "^arn:${Partition}:mediaconvert:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Inspector": { "StringPrefix": "inspector", "Actions": ["AddAttributesToFindings", "CreateAssessmentTarget", "CreateAssessmentTemplate", "CreateResourceGroup", "DeleteAssessmentRun", "DeleteAssessmentTarget", "DeleteAssessmentTemplate", "DescribeAssessmentRuns", "DescribeAssessmentTargets", "DescribeAssessmentTemplates", "DescribeCrossAccountAccessRole", "DescribeFindings", "DescribeResourceGroups", "DescribeRulesPackages", "GetTelemetryMetadata", "ListAssessmentRunAgents", "ListAssessmentRuns", "ListAssessmentTargets", "ListAssessmentTemplates", "ListEventSubscriptions", "ListFindings", "ListRulesPackages", "ListTagsForResource", "PreviewAgents", "RegisterCrossAccountAccessRole", "RemoveAttributesFromFindings", "SetTagsForResource", "StartAssessmentRun", "StopAssessmentRun", "SubscribeToEvent", "UnsubscribeFromEvent", "UpdateAssessmentTarget"], "HasResource": false }, "Amazon Lightsail": { "StringPrefix": "lightsail", "Actions": ["AllocateStaticIp", "AttachDisk", "AttachInstancesToLoadBalancer", "AttachLoadBalancerTlsCertificate", "AttachStaticIp", "CloseInstancePublicPorts", "CopySnapshot", "CreateCloudFormationStack", "CreateDisk", "CreateDiskFromSnapshot", "CreateDiskSnapshot", "CreateDomain", "CreateDomainEntry", "CreateInstanceSnapshot", "CreateInstances", "CreateInstancesFromSnapshot", "CreateKeyPair", "CreateLoadBalancer", "CreateLoadBalancerTlsCertificate", "CreateRelationalDatabase", "CreateRelationalDatabaseFromSnapshot", "CreateRelationalDatabaseSnapshot", "DeleteDisk", "DeleteDiskSnapshot", "DeleteDomain", "DeleteDomainEntry", "DeleteInstance", "DeleteInstanceSnapshot", "DeleteKeyPair", "DeleteKnownHostKeys", "DeleteLoadBalancer", "DeleteLoadBalancerTlsCertificate", "DeleteRelationalDatabase", "DeleteRelationalDatabaseSnapshot", "DetachDisk", "DetachInstancesFromLoadBalancer", "DetachStaticIp", "DownloadDefaultKeyPair", "ExportSnapshot", "GetActiveNames", "GetBlueprints", "GetBundles", "GetCloudFormationStackRecords", "GetDisk", "GetDiskSnapshot", "GetDiskSnapshots", "GetDisks", "GetDomain", "GetDomains", "GetExportSnapshotRecords", "GetInstance", "GetInstanceAccessDetails", "GetInstanceMetricData", "GetInstancePortStates", "GetInstanceSnapshot", "GetInstanceSnapshots", "GetInstanceState", "GetInstances", "GetKeyPair", "GetKeyPairs", "GetLoadBalancer", "GetLoadBalancerMetricData", "GetLoadBalancerTlsCertificates", "GetLoadBalancers", "GetOperation", "GetOperations", "GetOperationsForResource", "GetRegions", "GetRelationalDatabase", "GetRelationalDatabaseBlueprints", "GetRelationalDatabaseBundles", "GetRelationalDatabaseEvents", "GetRelationalDatabaseLogEvents", "GetRelationalDatabaseLogStreams", "GetRelationalDatabaseMasterUserPassword", "GetRelationalDatabaseMetricData", "GetRelationalDatabaseParameters", "GetRelationalDatabaseSnapshot", "GetRelationalDatabaseSnapshots", "GetRelationalDatabases", "GetStaticIp", "GetStaticIps", "ImportKeyPair", "IsVpcPeered", "OpenInstancePublicPorts", "PeerVpc", "PutInstancePublicPorts", "RebootInstance", "RebootRelationalDatabase", "ReleaseStaticIp", "StartInstance", "StartRelationalDatabase", "StopInstance", "StopRelationalDatabase", "TagResource", "UnpeerVpc", "UntagResource", "UpdateDomainEntry", "UpdateLoadBalancerAttribute", "UpdateRelationalDatabase", "UpdateRelationalDatabaseParameters"], "ARNFormat": "arn:aws:lightsail:<regionName>:<userAccountId>:<resourceType>/<Id>", "ARNRegex": "arn:aws:lightsail:.+", "HasResource": true }, "AWS RoboMaker": { "StringPrefix": "robomaker", "Actions": ["BatchDescribeSimulationJob", "CancelSimulationJob", "CreateDeploymentJob", "CreateFleet", "CreateRobot", "CreateRobotApplication", "CreateRobotApplicationVersion", "CreateSimulationApplication", "CreateSimulationApplicationVersion", "CreateSimulationJob", "DeleteRobot", "DeleteRobotApplication", "DeleteSimulationApplication", "DeregisterRobot", "DescribeDeploymentJob", "DescribeFleet", "DescribeRobot", "DescribeRobotApplication", "DescribeSimulationApplication", "DescribeSimulationJob", "ListDeploymentJobs", "ListFleets", "ListRobotApplications", "ListRobots", "ListSimulationApplications", "ListSimulationJobs", "RegisterRobot", "RestartSimulationJob", "SyncDeploymentJob", "UpdateRobotApplication", "UpdateSimulationApplication"], "ARNFormat": "arn:${Partition}:robomaker:${Region}:${AccountId}:${ResourceType}/${ResourceName}", "ARNRegex": "^arn:${Partition}:robomaker:.+:.+:.+", "HasResource": true }, "AWS CodeStar": { "StringPrefix": "codestar", "Actions": ["AssociateTeamMember", "CreateProject", "CreateUserProfile", "DeleteExtendedAccess", "DeleteProject", "DeleteUserProfile", "DescribeProject", "DescribeUserProfile", "DisassociateTeamMember", "GetExtendedAccess", "ListProjects", "ListResources", "ListTeamMembers", "ListUserProfiles", "PutExtendedAccess", "UpdateProject", "UpdateTeamMember", "UpdateUserProfile", "VerifyServiceRole"], "ARNFormat": "arn:aws:codestar:<region>:<account_ID>:<resource_type>/<resource_id>", "ARNRegex": "^arn:aws:codestar:.+:[0-9]+:project/.+", "HasResource": true }, "Amazon Cognito Sync": { "StringPrefix": "cognito-sync", "Actions": ["BulkPublish", "DeleteDataset", "DescribeDataset", "DescribeIdentityPoolUsage", "DescribeIdentityUsage", "GetBulkPublishDetails", "GetCognitoEvents", "GetIdentityPoolConfiguration", "ListDatasets", "ListIdentityPoolUsage", "ListRecords", "QueryRecords", "RegisterDevice", "SetCognitoEvents", "SetDatasetConfiguration", "SetIdentityPoolConfiguration", "SubscribeToDataset", "UnsubscribeFromDataset", "UpdateRecords"], "ARNFormat": "arn:aws:cognito-sync:<region>:<account>:<resourceType>/<resourcePath>:", "ARNRegex": "^arn:aws:cognito-sync:.+", "HasResource": true }, "Amazon CloudSearch": { "StringPrefix": "cloudsearch", "Actions": ["AddTags", "BuildSuggesters", "CreateDomain", "DefineAnalysisScheme", "DefineExpression", "DefineIndexField", "DefineSuggester", "DeleteAnalysisScheme", "DeleteDomain", "DeleteExpression", "DeleteIndexField", "DeleteSuggester", "DescribeAnalysisSchemes", "DescribeAvailabilityOptions", "DescribeDomains", "DescribeExpressions", "DescribeIndexFields", "DescribeScalingParameters", "DescribeServiceAccessPolicies", "DescribeSuggesters", "IndexDocuments", "ListDomainNames", "ListTags", "RemoveTags", "UpdateAvailabilityOptions", "UpdateScalingParameters", "UpdateServiceAccessPolicies", "document", "search", "suggest"], "ARNFormat": "arn:aws:cloudsearch:<region>:<account>:<resourceType>/<resourceName>", "ARNRegex": "^arn:aws:cloudsearch:.+:.+:.+", "HasResource": true }, "AWS Direct Connect": { "StringPrefix": "directconnect", "Actions": ["AllocateConnectionOnInterconnect", "AllocateHostedConnection", "AllocatePrivateVirtualInterface", "AllocatePublicVirtualInterface", "AssociateConnectionWithLag", "AssociateHostedConnection", "AssociateVirtualInterface", "ConfirmConnection", "ConfirmPrivateVirtualInterface", "ConfirmPublicVirtualInterface", "CreateBGPPeer", "CreateConnection", "CreateDirectConnectGateway", "CreateDirectConnectGatewayAssociation", "CreateInterconnect", "CreateLag", "CreatePrivateVirtualInterface", "CreatePublicVirtualInterface", "DeleteBGPPeer", "DeleteConnection", "DeleteDirectConnectGateway", "DeleteDirectConnectGatewayAssociation", "DeleteInterconnect", "DeleteLag", "DeleteVirtualInterface", "DescribeConnectionLoa", "DescribeConnections", "DescribeConnectionsOnInterconnect", "DescribeDirectConnectGatewayAssociations", "DescribeDirectConnectGatewayAttachments", "DescribeDirectConnectGateways", "DescribeHostedConnections", "DescribeInterconnectLoa", "DescribeInterconnects", "DescribeLags", "DescribeLoa", "DescribeLocations", "DescribeTags", "DescribeVirtualGateways", "DescribeVirtualInterfaces", "DisassociateConnectionFromLag", "TagResource", "UntagResource", "UpdateLag", "UpdateVirtualInterfaceAttributes"], "HasResource": false }, "Amazon Neptune": { "StringPrefix": "neptune-db", "Actions": ["connect"], "ARNFormat": "arn:aws:neptune-db:<region>:<accountID>:<relative-id>", "ARNRegex": "^arn:aws:neptune-db:.+", "HasResource": true }, "DataSync": { "StringPrefix": "datasync", "Actions": ["CancelTaskExecution", "CreateAgent", "CreateLocationEfs", "CreateLocationNfs", "CreateLocationS3", "CreateTask", "DeleteAgent", "DeleteLocation", "DeleteTask", "DescribeAgent", "DescribeLocationEfs", "DescribeLocationNfs", "DescribeLocationS3", "DescribeTask", "DescribeTaskExecution", "ListAgents", "ListLocations", "ListTagsForResource", "ListTaskExecutions", "ListTasks", "StartTaskExecution", "TagResource", "UntagResource", "UpdateAgent", "UpdateTask"], "ARNFormat": "arn:${Partition}:datasync:<region>:<account>:<resourceType>/<resourceName>", "ARNRegex": "^arn:${Partition}:datasync:.+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Elastic Transcoder": { "StringPrefix": "elastictranscoder", "Actions": ["CancelJob", "CreateJob", "CreatePipeline", "CreatePreset", "DeletePipeline", "DeletePreset", "ListJobsByPipeline", "ListJobsByStatus", "ListPipelines", "ListPresets", "ReadJob", "ReadPipeline", "ReadPreset", "TestRole", "UpdatePipeline", "UpdatePipelineNotifications", "UpdatePipelineStatus"], "ARNFormat": "arn:aws:elastictranscoder:<region>:<account>:<resourceType>/<resourceId>", "ARNRegex": "^arn:aws:elastictranscoder:.+", "HasResource": true }, "AWS Organizations": { "StringPrefix": "organizations", "Actions": ["AcceptHandshake", "AttachPolicy", "CancelHandshake", "CreateAccount", "CreateGovCloudAccount", "CreateOrganization", "CreateOrganizationalUnit", "CreatePolicy", "DeclineHandshake", "DeleteOrganization", "DeleteOrganizationalUnit", "DeletePolicy", "DescribeAccount", "DescribeCreateAccountStatus", "DescribeHandshake", "DescribeOrganization", "DescribeOrganizationalUnit", "DescribePolicy", "DetachPolicy", "DisableAWSServiceAccess", "DisablePolicyType", "EnableAWSServiceAccess", "EnableAllFeatures", "EnablePolicyType", "InviteAccountToOrganization", "LeaveOrganization", "ListAWSServiceAccessForOrganization", "ListAccounts", "ListAccountsForParent", "ListChildren", "ListCreateAccountStatus", "ListHandshakesForAccount", "ListHandshakesForOrganization", "ListOrganizationalUnitsForParent", "ListParents", "ListPolicies", "ListPoliciesForTarget", "ListRoots", "ListTagsForResource", "ListTargetsForPolicy", "MoveAccount", "RemoveAccountFromOrganization", "TagResource", "UntagResource", "UpdateOrganizationalUnit", "UpdatePolicy"], "ARNFormat": "arn:${Partition}:organizations::<masterAccountId>:<resource>/o-<organizationId>(/<resourceType>/<resourceId>)?", "ARNRegex": "^arn:${Partition}:organizations::.+:.+", "conditionKeys": ["organizations:ServicePrincipal"], "HasResource": true }, "AWS Performance Insights": { "StringPrefix": "pi", "Actions": ["DescribeDimensionKeys", "GetResourceMetrics"], "ARNFormat": "arn:aws:pi:<region>:<account>:<resource-type>/<relative-id>", "ARNRegex": "^arn:aws:pi:.+", "HasResource": true }, "Amazon Kinesis Analytics V2": { "StringPrefix": "kinesisanalytics", "Actions": ["AddApplicationCloudWatchLoggingOption", "AddApplicationInput", "AddApplicationInputProcessingConfiguration", "AddApplicationOutput", "AddApplicationReferenceDataSource", "CreateApplication", "CreateApplicationSnapshot", "DeleteApplication", "DeleteApplicationCloudWatchLoggingOption", "DeleteApplicationInputProcessingConfiguration", "DeleteApplicationOutput", "DeleteApplicationReferenceDataSource", "DeleteApplicationSnapshot", "DescribeApplication", "DescribeApplicationSnapshot", "DiscoverInputSchema", "ListApplicationSnapshots", "ListApplications", "ListTagsForResource", "StartApplication", "StopApplication", "TagResource", "UntagResource", "UpdateApplication"], "ARNFormat": "arn:aws:kinesisanalytics:<region>:<account_ID>:application/<applicationname>", "ARNRegex": "^arn:aws:kinesisanalytics:.+:[0-9]+:application/[a-zA-Z0-9_.-]+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "Amazon Kinesis Analytics": { "StringPrefix": "kinesisanalytics", "Actions": ["AddApplicationInput", "AddApplicationOutput", "AddApplicationReferenceDataSource", "CreateApplication", "DeleteApplication", "DeleteApplicationOutput", "DeleteApplicationReferenceDataSource", "DescribeApplication", "DiscoverInputSchema", "ListApplications", "ListTagsForResource", "StartApplication", "StopApplication", "TagResource", "UntagResource", "UpdateApplication"], "ARNFormat": "arn:aws:kinesisanalytics:<region>:<account_ID>:application/<applicationname>", "ARNRegex": "^arn:aws:kinesisanalytics:.+:[0-9]+:application/[a-zA-Z0-9_.-]+", "conditionKeys": ["aws:RequestTag/${TagKey}", "aws:ResourceTag/${TagKey}", "aws:TagKeys"], "HasResource": true }, "AWS Accounts": { "StringPrefix": "account", "Actions": ["DisableRegion", "EnableRegion", "ListRegions"], "conditionKeys": ["account:TargetRegion"], "HasResource": false }, "AWS Price List": { "StringPrefix": "pricing", "Actions": ["DescribeServices", "GetAttributeValues", "GetProducts"], "HasResource": false } }, "policyTypes": { "SQSPolicy": { "Name": "SQS Queue Policy", "AssociatedService": ["Amazon SQS"] }, "S3Policy": { "Name": "S3 Bucket Policy", "AssociatedService": ["Amazon S3"] }, "VPCPolicy": { "Name": "VPC Endpoint Policy", "AssociatedService": ["Amazon S3", "Amazon DynamoDB For VPC Policies"] }, "IAMPolicy": { "Name": "IAM Policy", "AssociatedService": ["*"] }, "SNSPolicy": { "Name": "SNS Topic Policy", "AssociatedService": ["Amazon SNS"] } }, "VPCPolicyServiceActionMap": { "Amazon DynamoDB For VPC Policies": ["DescribeContinuousBackups", "DescribeBackup", "DescribeReservedCapacity", "PurchaseReservedCapacityOfferings", "ListBackups", "DeleteItem", "Query", "DeleteBackup", "DescribeTable", "CreateTable", "BatchGetItem", "BatchWriteItem", "DeleteTable", "RestoreTableFromBackup", "GetItem", "DescribeLimits", "UpdateTable", "UpdateItem", "DescribeReservedCapacityOfferings", "ListTables", "Scan", "PutItem", "CreateBackup"] } }